<?php 

$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);
    
								include '../database/config2.php';
$sqlquery = "SELECT * FROM members WHERE id=:id";
$sqlstmt = $conn->prepare($sqlquery);
$sqlstmt->bindParam(':id', $id);
$sqlstmt->execute();
$sqlrow = $sqlstmt->fetch(PDO::FETCH_ASSOC);
								
$query3 = "SELECT * FROM contributions WHERE memberId=:memberId";
$stmt3 = $conn->prepare($query3);
$stmt3->bindParam(':memberId', $id);
$stmt3->execute();
$received = 0;

while ($row3 = $stmt3->fetch(PDO::FETCH_ASSOC)){
    $received = $received + $row3['amount'];
}

$query4 = "SELECT * FROM contributions WHERE memberId=:memberId AND motive='Media'";
$stmt4 = $conn->prepare($query4);
$stmt4->bindParam(':memberId', $id);
$stmt4->execute();
$mediaReceived = 0;

while ($row4 = $stmt4->fetch(PDO::FETCH_ASSOC)){
    $mediaReceived = $mediaReceived + $row4['amount'];
}

$query5 = "SELECT * FROM contributions WHERE memberId=:memberId AND motive='Coffers'";
$stmt5 = $conn->prepare($query5);
$stmt5->bindParam(':memberId', $id);
$stmt5->execute();
$coffersReceived = 0;

while ($row5 = $stmt5->fetch(PDO::FETCH_ASSOC)){
    $coffersReceived = $coffersReceived + $row5['amount'];
}
	
?>


<section>
    <div class="container">
        <div class="row m-0">
            <div class="col-md-12 col-12">
                <div class="row">
                    <div class="col-12 mb-4">
                        <div class="row box-right">
                            <div class="col-md-8 ps-0 ">
                                <p class="ps-3 textmuted fw-bold h6 mb-0" style="font-size: 40px">TOTAL RECEIVED</p>
                                <p class="fw-bold d-flex" style="font-size: 80px"> <?php echo number_format($received); ?> </p>
                                <p class="ms-3 px-2 bg-green" style="font-size: 30px;">Since last month</p>
                            </div>
                            <div class="col-md-4">
                                <p class="p-blue" style="font-size: 30px"> <span class="fas fa-circle pe-2" style="font-size: 25px;"></span>Coffers </p>
                                <p class="fw-bold mb-3"><?php echo number_format($coffersReceived); ?> </p>
                                <p class="p-org" style="font-size: 30px"><span class="fas fa-circle pe-2" style="font-size: 25px;"></span>Media</p>
                                <p class="fw-bold"><?php echo number_format($mediaReceived); ?></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 px-0">
					
					<?php
						if(isset($_POST['pay'])){
								include '../database/config2.php';
							try{
 
								// insert query
								$query2 = "INSERT INTO contributions SET transactionId=:transactionId, memberId=:memberId, motive=:motive, paymentDate=:paymentDate, amount=:amount, departmentId=:departmentId, type='Deposit'";
						 
								// prepare query for execution
								$stmt2 = $conn->prepare($query2);
						 
								// posted values
								$transid=htmlspecialchars(strip_tags($_POST['transid']));
								$pmotive=htmlspecialchars(strip_tags($_POST['pmotive']));
								$pdate=htmlspecialchars(strip_tags($_POST['pdate']));
								$pamount=htmlspecialchars(strip_tags($_POST['pamount']));
						 
								// bind the parameters
								$stmt2->bindParam(':transactionId', $transid);
								$stmt2->bindParam(':motive', $pmotive);
								$stmt2->bindParam(':paymentDate', $pdate);
								$stmt2->bindParam(':amount', $pamount);
								$stmt2->bindParam(':departmentId', $sqlrow['depId']);
								$stmt2->bindParam(':memberId', $id);
						 
								if($stmt2->execute()){
									echo "<div class='alert alert-success'>Payment was received.</div>";
								}else{
									echo "<div class='alert alert-danger'>Unable to receive payment.</div>";
								}
						 
							}
						 
							// show error
							catch(PDOException $exception){
								die('ERROR: ' . $exception->getMessage());
							}
						}
					?>
					
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post"> 
                            <div class="box-right">
                                <div class="d-flex mb-2">
                                    <p class="fw-bold">Create new invoice</p>
                                </div>
                                <div class="d-flex mb-2">
                                    <p class="h7"><b>Transaction ID:</b>
                                        <input type="text" name="transid" value="dep<?php echo $pass; ?>c" name="trnumber" style="border:0px" readonly>
                                    </p>
                                </div>
                                <div class="row">
                                    <div class="col-12 mb-2">
                                        <p class="textmuted h8">Details</p> 
                                        <input class="control-form" name="pmotive" style="font-size:35px" placeholder="Payment motive" name="type" list="paymentmotive" required>
                                        <datalist id="paymentmotive" required>
                                            <option value="Media">Media</option>
                                            <option value="Coffers">Coffers</option>
                                        </datalist>
                                    </div>
                                    <div class="col-6">
                                        <p class="textmuted h8">Paid on</p> <input class="form-control" type="date" name="pdate" placeholder="Oct 25, 2020" max=<?php echo date('Y-m-d');?> style="font-size:35px" required>
                                    </div>
                                    <div class="col-6">
                                        <p class="textmuted h8">Amount</p> <input class="form-control" type="number" name="pamount" style="font-size:35px; border:2px solid green;" required>
                                    </div>
                                </div>
                            </div><br>
                            <div class="row">
                                <div class="col col-sm-4"></div>
                                <div class="col col-sm-4 text-center">
                                    <button tyle="submit" class="btn btn-warning" name="pay" style="font-size:35px; padding:25px">
                                        <i class="fab fa-amazon-pay fa-2x"></i>
                                    </button>
                                <div class="col col-sm-4"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php 
    include "includes/footer.php";
?>