<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
	include '../database/config2.php';
		
	$query2 = "SELECT * FROM notifications WHERE depId=:depId AND state='sent' ORDER BY id DESC";
	$stmt2=$conn->prepare($query2);
	$stmt2->bindParam(':depId', $departmentalId);
	$stmt2->execute();
	
	$queryn = "SELECT * FROM notifications WHERE depId=:depId AND state='sent' AND hasRead=0";
	$stmtn=$conn->prepare($queryn);
	$stmtn->bindParam(':depId', $departmentalId);
	$stmtn->execute();
	$rown=$stmtn->fetch(PDO::FETCH_ASSOC);
	$numn=$stmtn->rowCount();
	
?>

<section class="homeCard">
    <div class="bootstrap snippets bootdey">
        <div class="row">
            <div class="card-body">
                <div class="col-sm-12 bg-white ">
                    <div class=" row border-bottom padding-sm" style="height: 80px;">
					
                        <h1>All Notifications <?php if($numn != 0) { ?><span class="badge bg-danger">Unread: <?php echo $numn; ?></span><?php } ?></h1>
                    </div>
                    <!-- member list -->
                    <ul class="friend-list">
					<?php
					while ($row2 = $stmt2->fetch(PDO::FETCH_ASSOC)){
						$query4 = "SELECT * FROM members WHERE id=:id";
						$stmt4=$conn->prepare($query4);
							$stmt4->bindParam(':id', $row2['senderId']);

						$stmt4->execute();
							$row4 = $stmt4->fetch(PDO::FETCH_ASSOC);					
						$hour = date('d M Y h:i A', strtotime($row2['date']));  
						
						echo "<li class='active bounceInDown'"; if($row2['hasRead'] == 0) { echo "style='font-weight: bold; font-style: italic; '"; } echo ">
                            <a href='seenotification.php?id={$row2['id']}&senderId={$row2['senderId']}' class='clearfix'>";
						echo $row4['image'] ? "<img src='../members-images/{$row4['image']}' alt='' class='img-circle'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='img-circle'>"; 
                          echo"      <div class='friend-name'>	
                                    <strong>{$row4['name']}</strong>
                                </div>
                                <div class='last-message text-muted'>{$row2['subject']}</div>
								<small class='time text-muted'>{$hour}</small> 
								"; if($row2['hasRead'] == 0) { echo "<small class='chat-alert badge bg-danger'>Unread</small>"; } else { echo "
                                <small class='chat-alert badge bg-success'>Read</small> "; } echo"
                            </a>
                        </li>";
					}
					?>
                        
                                         
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>


<?php 
    include "includes/footer.php";
?>