<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }
	    include "includes/header.php";
	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);

	
	$full_name = $row['name'];
		$senderId = $row['id'];

	    include "includes/sidebar.php";

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Withdrawal Notifications
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>
<section>
<?php

	 
	if($numsidebar>0){
	 
			 while ($row2 = $stmtsidebar->fetch(PDO::FETCH_ASSOC)){
			
			$abcquery = "SELECT * FROM departments WHERE id=:id";
			$abcstmt = $conn->prepare($abcquery);
			$abcstmt->bindParam(':id', $row2['departmentId']);
			$abcstmt->execute();
			$abcrow = $abcstmt->fetch(PDO::FETCH_ASSOC);
			
			echo "<div class='alert alert-warning' role='alert'>
					<form action='#Out' method='POST'>
						<table class='table'>
							<thead class=''>
								<tr>
									<th>Date Request</th>
									<th>Date Approved</th>
									<th>Department</th>
									<th>Amount (CFA)</th>
									<th>Motive</th>
									<th>Backing Document </th>
									<th>Action</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>".date('d M Y', strtotime($row2['requestDate']))."</td>
									<td>".date('d M Y', strtotime(date('d M Y')))."</td>
									<td>{$abcrow['name']}</td>
									<td>". number_format($row2['amount']) ."</td>
									<td>{$row2['motive']}</td>
									<td>";
										echo $row2['file'] ? "<a href='leadersapp/withdrawal_files/{$row2['file']}' target='blank' class='alert-link' style='text-decoration:underline;'>View</a>" : "None"; 
									
									
									echo "</td>
									<td>
										<div class='main' style='float: right'>
										    <a href='approveWithdrawal.php?id={$row2['id']}&depId={$abcrow['id']}&senderId=$senderId' type='submit' class='btn btn-success'>Approve</a>
										    <a href='rejectWithdrawal.php?id={$row2['id']}&depId={$abcrow['id']}&senderId=$senderId' type='submit' class='btn btn-danger'>Reject</a>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</form>
				</div>";
		}
	 
	}

?>

</section>

<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-content">
                <div class="card-body">
				<?php				 
				 
				$querys = "SELECT * FROM contributions WHERE type='Withdrawal' OR type='Rejected' ORDER BY id DESC";
				$stmts = $conn->prepare($querys);
				$stmts->execute();
				$nums = $stmts->rowCount();
				
				if($nums>0){
					echo "<table id='table_1' class='table table-striped'
							data-show-export='true'
							data-show-print='true'
							data-pagination='true'
							data-toggle='table'
							data-side-pagination='server'
							data-click-to-select='true'
							data-toolbar='#toolbar'
							data-show-toggle='true'
							data-show-columns='true'
						
						>";	
						echo "<thead class='thead-dark'>
									<tr>
										<th>Date Request</th>
										<th>Date Approved</th>
										<th>Department</th>
										<th>Amount (CFA)</th>
										<th>Transaction ID</th>
										<th>Motive </th>
										<th>Backing Document </th>
										<th>Decision</th>
									</tr>
								</thead>
								<tbody>";						
					while ($rows = $stmts->fetch(PDO::FETCH_ASSOC)){
						
						$queryt = "SELECT * FROM departments WHERE id=:id";
						$querytstmt=$conn->prepare($queryt);
						$querytstmt->bindParam(':id', $rows['departmentId']);
						$querytstmt->execute();
						$querytrow=$querytstmt->fetch(PDO::FETCH_ASSOC);
						
								echo "
									<tr>
										<td>"; 
											if($rows['requestDate'] == '0000-00-00'){
												echo "-";
											} else {
												echo date('d M Y', strtotime($rows['requestDate'])); 
											}
										echo "</td>
										<td>"; 
											if($rows['paymentDate'] == '0000-00-00'){
												echo "-";
											} else {
												echo date('d M Y', strtotime($rows['paymentDate'])); 
											}
										echo "</td>
										<td>{$querytrow['name']}</td>
										<td>". number_format($rows['amount']) ."</td>
										<th>{$rows['transactionId']}</th>
										<td>{$rows['motive']}</td>
										<td>";
										echo $rows['file'] ? "<a href='leadersapp/withdrawal_files/{$rows['file']}' target='blank' class='alert-link' style='text-decoration:underline;'>View</a>" : "None"; 								
									echo "</td>
										<td>
											<div class='main'>";
											if($rows['type'] == 'Withdrawal'){ ?>
												<p class='text-success'>Accepted</p>
											<?php } else if($rows['type'] == 'Rejected'){ ?>
												<p class='text-danger'>Rejected</p>
											<?php }
												
											echo "</div>
										</td>
									</tr>";							
					}	
					echo "</tbody>
					</table>";
				 
				}
				 
				else{
					echo "<div class='alert alert-danger'>No records found.</div>";
				}
				?>
                </div>
            </div>
        </div>
    </div>
</section>
            
<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});

</script>





<?php
    include "includes/footer.php" ;
?>