<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Checkin Equipment
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container-fluid homeCard">

		<div class="row">
        <div class="col col-md-12">
            <h1>Checkin</h1>
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
                        <table id="table" class="table table-striped">
                            <thead>
                                <tr>
                                    <th scope="col">Date Collected</th>
                                    <th scope="col">Return Date</th>
                                    <th scope="col">Item Name</th>
                                    <th scope="col">Brand</th>
                                    <th scope="col">Category</th>
                                    <th scope="col">Image</th>
                                    <th scope="col">Collected by</th>
                                    <th scope="col">Refunded by</th>
                                    <th scope="col">Quantity</th>
                                    <th scope="col">Remark</th>
                                    <th scope="col">In-coming State</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>    
                            <tbody id="myDepts">
                                <form action="#0" method="POST">
                                    <tr>
                                        <td><input type="text" class="form-control" value="30 OCT 2021" name="" required readonly></td>
                                        <td><input type="date" class="form-control" name="" required></td>
                                        <td><input type="text" class="form-control" name="" value="360 Fish Eye Camera Lense" style="display:none" readonly>360 Fish Eye Camera Lense</td>
                                        <td><input type="text" class="form-control" name="" value="SONY" style="display:none" readonly><span class="badge bg-success">SONY</span></td>
                                        <td><input type="text" class="form-control" name="" value="BROADCASTING" style="display:none" readonly><span class="badge bg-warning">BROADCASTING</span></td>
                                        <td>
                                            <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Neil Wing">
                                                <img src="https://bootdey.com/img/Content/avatar/avatar4.png" class="rounded-circle avatar-xs" alt="" />
                                            </a>
                                        </td>
                                        <td><input type="text" value="Sama Yanick" placeholder="Sama Yanick" class="form-control" name="" style="width:100% !important" required readonly></td>
                                        <td>
                                            <select type="text" name="returner" class="form-control" style="width:100% !important" placeholder="Returned by" required>
                                                <option disabled selected hidden>Returned by</option>
                                                <option value="Sama Yanick">Sama Yanick</option>
                                                <option value="Pst Mrs Nukuna pErculiar">Pst Mrs Nukuna pErculiar</option>
                                                <option value="Rev John Mark">Rev John Mark</option>
                                                <option value="Rev J.M Okafor">Rev J.M Okafor</option>
                                            </select>
                                        </td>
                                        <td><input type="number" min="0" max="5" placeholder="5" class="form-control" name="" style="width:100% !important" required></td>
                                        <td><textarea name="" id="" cols="30" rows="3" class="form-control"></textarea></td>
                                        <td><input type="file" multiple min="0" max="5" placeholder="5" class="form-control" name=""></td>
                                        <td>
                                            <button type="submit" class="btn btn-primary"><i class="fas fa-arrow-left" style="font-size: 40px; color: white;"></i></button>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" value="30 OCT 2021" name="" required readonly></td>
                                        <td><input type="date" class="form-control" name="" required></td>
                                        <td><input type="text" class="form-control" name="" value="360 Fish Eye Camera Lense" style="display:none" readonly>360 Fish Eye Camera Lense</td>
                                        <td><input type="text" class="form-control" name="" value="SONY" style="display:none" readonly><span class="badge bg-success">SONY</span></td>
                                        <td><input type="text" class="form-control" name="" value="BROADCASTING" style="display:none" readonly><span class="badge bg-warning">BROADCASTING</span></td>
                                        <td>
                                            <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Neil Wing">
                                                <img src="https://bootdey.com/img/Content/avatar/avatar4.png" class="rounded-circle avatar-xs" alt="" />
                                            </a>
                                        </td>
                                        <td><input type="text" value="Sama Yanick" placeholder="Sama Yanick" class="form-control" name="" style="width:100% !important" required readonly></td>
                                        <td>
                                            <select type="text" name="returner" class="form-control" style="width:100% !important" placeholder="Returned by" required>
                                                <option disabled selected hidden>Returned by</option>
                                                <option value="Sama Yanick">Sama Yanick</option>
                                                <option value="Pst Mrs Nukuna pErculiar">Pst Mrs Nukuna pErculiar</option>
                                                <option value="Rev John Mark">Rev John Mark</option>
                                                <option value="Rev J.M Okafor">Rev J.M Okafor</option>
                                            </select>
                                        </td>
                                        <td><input type="number" min="0" max="5" placeholder="5" class="form-control" name="" style="width:100% !important" required></td>
                                        <td><textarea name="" id="" cols="30" rows="3" class="form-control"></textarea></td>
                                        <td><input type="file" multiple min="0" max="5" placeholder="5" class="form-control" name=""></td>
                                        <td>
                                            <button type="submit" class="btn btn-primary"><i class="fas fa-arrow-left" style="font-size: 40px; color: white;"></i></button>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" value="30 OCT 2021" name="" required readonly></td>
                                        <td><input type="date" class="form-control" name="" required></td>
                                        <td><input type="text" class="form-control" name="" value="360 Fish Eye Camera Lense" style="display:none" readonly>360 Fish Eye Camera Lense</td>
                                        <td><input type="text" class="form-control" name="" value="SONY" style="display:none" readonly><span class="badge bg-success">SONY</span></td>
                                        <td><input type="text" class="form-control" name="" value="BROADCASTING" style="display:none" readonly><span class="badge bg-warning">BROADCASTING</span></td>
                                        <td>
                                            <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Neil Wing">
                                                <img src="https://bootdey.com/img/Content/avatar/avatar4.png" class="rounded-circle avatar-xs" alt="" />
                                            </a>
                                        </td>
                                        <td><input type="text" value="Sama Yanick" placeholder="Sama Yanick" class="form-control" name="" style="width:100% !important" required readonly></td>
                                        <td>
                                            <select type="text" name="returner" class="form-control" style="width:100% !important" placeholder="Returned by" required>
                                                <option disabled selected hidden>Returned by</option>
                                                <option value="Sama Yanick">Sama Yanick</option>
                                                <option value="Pst Mrs Nukuna pErculiar">Pst Mrs Nukuna pErculiar</option>
                                                <option value="Rev John Mark">Rev John Mark</option>
                                                <option value="Rev J.M Okafor">Rev J.M Okafor</option>
                                            </select>
                                        </td>
                                        <td><input type="number" min="0" max="5" placeholder="5" class="form-control" name="" style="width:100% !important" required></td>
                                        <td><textarea name="" id="" cols="30" rows="3" class="form-control"></textarea></td>
                                        <td><input type="file" multiple min="0" max="5" placeholder="5" class="form-control" name=""></td>
                                        <td>
                                            <button type="submit" class="btn btn-primary"><i class="fas fa-arrow-left" style="font-size: 40px; color: white;"></i></button>
                                        </td>
                                    </tr>
                                </form>
                            </tbody>
                        </table>
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        
      })
    }).trigger('change')
  })
</script>


<?php
include "includes/footer.php" ;
?>