<?php
// include database connection
include 'database/config2.php';
 
try {
 
    // get record ID
    // isset() is a PHP function used to verify if a value is there or not
    $id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
 
    // delete query
    $query = "DELETE FROM academic_badge WHERE id = ?";
	$stmt = $conn->prepare($query);
    $stmt->bindParam(1, $id);

    if($stmt->execute()){

        header('Location: addbadge.php?action=deleted');
    }else{
        die('Unable to delete record.');
    }
}
 
// show error
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}
?>