<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Movements
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container-fluid homeCard">

		<div class="row">
        <div class="col col-md-12">
            <h1>Equipment Movement</h1>
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
                        <table id="table_1" class="table table-bordered table-dark"
                        data-show-export="true"
                        data-show-print="true"
                        data-pagination="true"
                        data-toggle="table"
                        data-side-pagination="server"
                        data-click-to-select="true"
                        data-toolbar="#toolbar"
                        data-show-toggle="true"
                        data-show-columns="true"
                        >
                            <thead>
                                <tr>
                                    <th scope="col">Date Collected</th>
                                    <th scope="col">Return Date</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Equipment Name</th>
                                    <th scope="col">Brand</th>
                                    <th scope="col">Category</th>
                                    <th scope="col">Image</th>
                                    <th scope="col">Collected by</th>
                                    <th scope="col">Returnd by</th>
                                    <th scope="col">Quantity Collected</th>
                                    <th scope="col">Quantity Returned</th>
                                    <th scope="col">Out-going State</th>
                                    <th scope="col">In-coming State</th>
                                    <th scope="col">Out-going Remark</th>
                                    <th scope="col">In-coming Remark</th>
                                </tr>
                            </thead>    
                            <tbody id="myDepts">
                                <tr>
                                    <td>30 OCT 2021</td>
                                    <td>1 NOV 2021</td>
                                    <td><span class="badge bg-success">ON-TIME</span></td>
                                    <td><input type="text" class="form-control" name="" value="360 Fish Eye Camera Lense" style="display:none" readonly>360 Fish Eye Camera Lense</td>
                                    <td><input type="text" class="form-control" name="" value="SONY" style="display:none" readonly><span class="badge bg-success">SONY</span></td>
                                    <td><input type="text" class="form-control" name="" value="BROADCASTING" style="display:none" readonly><span class="badge bg-warning">BROADCASTING</span></td>
                                    <td>
                                        <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Neil Wing">
                                            <img src="https://bootdey.com/img/Content/avatar/avatar4.png" class="rounded-circle avatar-xs" alt="" />
                                        </a>
                                    </td>
                                    <td>Sama Yanick</td>
                                    <td>Tanyi Ayukegba</td>
                                    <td>5</td>
                                    <td>5</td>
                                    <td>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                    </td>
                                    <td>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                    </td>
                                    <td>This item was collect for 2 days crusade that was organised by the branch</td>
                                    <td>Returned all in good condition</td>
                                </tr>
                                <tr>
                                    <td>30 OCT 2021</td>
                                    <td>1 NOV 2021</td>
                                    <td><span class="badge bg-success">ON-TIME</span></td>
                                    <td><input type="text" class="form-control" name="" value="360 Fish Eye Camera Lense" style="display:none" readonly>360 Fish Eye Camera Lense</td>
                                    <td><input type="text" class="form-control" name="" value="SONY" style="display:none" readonly><span class="badge bg-success">SONY</span></td>
                                    <td><input type="text" class="form-control" name="" value="BROADCASTING" style="display:none" readonly><span class="badge bg-warning">BROADCASTING</span></td>
                                    <td>
                                        <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Neil Wing">
                                            <img src="https://bootdey.com/img/Content/avatar/avatar4.png" class="rounded-circle avatar-xs" alt="" />
                                        </a>
                                    </td>
                                    <td>Sama Yanick</td>
                                    <td>Tanyi Ayukegba</td>
                                    <td>5</td>
                                    <td>5</td>
                                    <td>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                    </td>
                                    <td>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                    </td>
                                    <td>This item was collect for 2 days crusade that was organised by the branch</td>
                                    <td>Returned all in good condition</td>
                                </tr>
                                <tr>
                                    <td>30 OCT 2021</td>
                                    <td>1 NOV 2021</td>
                                    <td><span class="badge bg-danger">LATE</span></td>
                                    <td><input type="text" class="form-control" name="" value="360 Fish Eye Camera Lense" style="display:none" readonly>360 Fish Eye Camera Lense</td>
                                    <td><input type="text" class="form-control" name="" value="SONY" style="display:none" readonly><span class="badge bg-success">SONY</span></td>
                                    <td><input type="text" class="form-control" name="" value="BROADCASTING" style="display:none" readonly><span class="badge bg-warning">BROADCASTING</span></td>
                                    <td>
                                        <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Neil Wing">
                                            <img src="https://bootdey.com/img/Content/avatar/avatar4.png" class="rounded-circle avatar-xs" alt="" />
                                        </a>
                                    </td>
                                    <td>Sama Yanick</td>
                                    <td>Tanyi Ayukegba</td>
                                    <td>5</td>
                                    <td>5</td>
                                    <td>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                    </td>
                                    <td>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                        <a href="assets/inventry-img/camera.jpg" target="blank" style="text-decoration:underline;">DC67643.jpg</a>
                                    </td>
                                    <td>This item was collect for 2 days crusade that was organised by the branch</td>
                                    <td>Returned all in good condition</td>
                                </tr>
                            </tbody>
                        </table>
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table_1')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'ids',
            title: 'Date Collected'
          },
          {
            field: 'id',
            title: 'Return Date'
          }, {
            field: 'name',
            title: 'Status'
          }, {
            field: 'price',
            title: 'Equipment Name'
          }
        ]
        
      })
    }).trigger('change')
  })
</script>

<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});

</script>


<?php
include "includes/footer.php" ;
?>