<?php 
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

	include '../database/config.php';
    
	session_start();

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
	$isLogin = $row['isLogin'];


	if (!isset($_SESSION['depId'])){
		header("Location: login.php");
	} else {
		if($isLogin == 0){
			unset($_SESSION["depId"]);
			header("Location: login.php");
		}
	}
    include "includes/header.php";
    include "includes/sidebar.php";
?>
<section>
<?php
//include database connection
include '../database/config2.php';
 
// read current record's data
try {
    // prepare select query
    $editquery = "SELECT * FROM members WHERE id = ? LIMIT 0,1";
    $editstmt = $conn->prepare( $editquery );
 
    $editstmt->bindParam(1, $id);
 
    // execute our query
    $editstmt->execute();
 
    // store retrieved row to a variable
    $myrow = $editstmt->fetch(PDO::FETCH_ASSOC);
 
    // values to fill up our form
		$image = $myrow['image'];
        $name = $myrow['name'];
        $branchId = $myrow['branchId'];
        $telephone = $myrow['telephone'];
        $prefix = $myrow['prefix'];
        $occupation = $myrow['occupation'];
        $status = $myrow['status'];
        $dob = $myrow['dob'];
        $gender = $myrow['gender'];
        $country=$myrow['country'];
        $hschool=$myrow['hschool'];
        $address=$myrow['address'];
		$information = $myrow['information'];
        $baptism=$myrow['baptism'];
        $language=$myrow['language'];
        $first_visit=$myrow['first_visit'];
        $first_heard=$myrow['first_heard'];
		$evangelist = $myrow['evangelist'];
		$howheardaboutus = $myrow['howheardaboutus'];
		$relations = $myrow['relations'];
		$filts = $myrow['filts'];
		$atbifl = $myrow['atbifl'];
		$atbipc = $myrow['atbipc'];
		$atbimc = $myrow['atbimc'];
		$cell = $myrow['cell'];
		$cell_position = $myrow['cell_position'];
		$position = $myrow['position'];
		$facebook = $myrow['facebook'];
		$instagram = $myrow['instagram'];
		$youtube = $myrow['youtube'];
		$twitter = $myrow['twitter'];
		$email = $myrow['email'];
		
		$duplicated_id = $myrow['duplicated_id'];
		
}
 
// show error
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}

// check if form was submitted
if (isset($_POST['editMember'])) {
 
    try{
	
	if($myrow['duplicated_id'] == 0){

        $editingquery = "UPDATE members
                    SET name=:name, branchId=:branchId, telephone=:telephone, prefix=:prefix, occupation=:occupation, status=:status, dob=:dob, gender=:gender, country=:country, hschool=:hschool, address=:address,
		information=:information, baptism=:baptism, language=:language, first_visit=:first_visit, first_heard=:first_heard, evangelist=:evangelist, howheardaboutus=:howheardaboutus, relations=:relations, filts=:filts, atbifl=:atbifl, atbipc=:atbipc, atbimc=:atbimc, 
		cell=:cell, cell_position=:cell_position, position=:position, facebook=:facebook, instagram=:instagram, youtube=:youtube, twitter=:twitter, email=:email
                    WHERE id = :id OR duplicated_id = :id";
		
	} else {
		
		        $editingquery = "UPDATE members
                    SET name=:name, branchId=:branchId, telephone=:telephone, prefix=:prefix, occupation=:occupation, status=:status, dob=:dob, gender=:gender, country=:country, hschool=:hschool, address=:address,
		information=:information, baptism=:baptism, language=:language, first_visit=:first_visit, first_heard=:first_heard, evangelist=:evangelist, howheardaboutus=:howheardaboutus, relations=:relations, filts=:filts, atbifl=:atbifl, atbipc=:atbipc, atbimc=:atbimc, 
		cell=:cell, cell_position=:cell_position, position=:position, facebook=:facebook, instagram=:instagram, youtube=:youtube, twitter=:twitter, email=:email
                    WHERE id = :id OR id = $duplicated_id";
		
	}
	

 
        $stmt = $conn->prepare($editingquery);
		
		
        $name=htmlspecialchars(strip_tags($_POST['name']));
        $branchId=htmlspecialchars(strip_tags($_POST['branch']));
        $telephone=htmlspecialchars(strip_tags($_POST['tel']));
        $prefix=htmlspecialchars(strip_tags($_POST['prefix']));
        $occupation=htmlspecialchars(strip_tags($_POST['occupation']));
        $status=htmlspecialchars(strip_tags($_POST['mStatus']));
        $dob=htmlspecialchars(strip_tags($_POST['dob']));
        $gender=htmlspecialchars(strip_tags($_POST['gender']));
        $country=htmlspecialchars(strip_tags($_POST['nationality']));
        $hschool=htmlspecialchars(strip_tags($_POST['education']));
        $address=htmlspecialchars(strip_tags($_POST['address']));
		if (empty($_POST['bio'])){
			$information = "";
		}else if (!empty($_POST['bio'])){
			$information = htmlspecialchars(strip_tags($_POST['bio']));
		}
		if (empty($_POST['baptism'])){
			$baptism = htmlspecialchars($baptism, ENT_QUOTES);
		}else if (!empty($_POST['baptism'])){
			$baptism = htmlspecialchars(strip_tags($_POST['baptism']));
		}		
		if (empty($_POST['language'])){
			$language = htmlspecialchars($language, ENT_QUOTES);
		} else if (!empty($_POST['language'])){
			$language = htmlspecialchars(strip_tags($_POST['language']));
		}
        $first_visit=htmlspecialchars(strip_tags($_POST['firstvisit']));
        $first_heard=htmlspecialchars(strip_tags($_POST['howyouheard']));
		if (empty($_POST['evangelist'])){
			$evangelist = $myrow['evangelist'];
		}else if (!empty($_POST['evangelist'])){
			$evangelist = htmlspecialchars(strip_tags($_POST['evangelist']));
		}
		if (empty($_POST['evangelismChannel'])){
			$howheardaboutus = "";
		}else if (!empty($_POST['evangelismChannel'])){
			$howheardaboutus = htmlspecialchars(strip_tags($_POST['evangelismChannel']));
		}
		if (empty($_POST['relation'])){
			$relations = "";
		}else if (!empty($_POST['relation'])){
			$relations = htmlspecialchars(strip_tags($_POST['relation']));
		}
		if (empty($_POST['filts'])){
			$filts = "";
		}else if (!empty($_POST['filts'])){
			$filts = htmlspecialchars(strip_tags($_POST['filts']));
		}
		if (empty($_POST['atbifl'])){
			$atbifl = "";
		}else if (!empty($_POST['atbifl'])){
			$atbifl = htmlspecialchars(strip_tags($_POST['atbifl']));
		}
		if (empty($_POST['atbipc'])){
			$atbipc = "";
		}else if (!empty($_POST['atbipc'])){
			$atbipc = htmlspecialchars(strip_tags($_POST['atbipc']));
		}
		if (empty($_POST['atbimc'])){
			$atbimc = "";
		}else if (!empty($_POST['atbimc'])){
			$atbimc = htmlspecialchars(strip_tags($_POST['atbimc']));
		}
		if (empty($_POST['cellsystem'])){
			$cell = "";
		}else if (!empty($_POST['cellsystem'])){
			$cell = htmlspecialchars(strip_tags($_POST['cellsystem']));
		}
		if (empty($_POST['cellpossition'])){
			$cell_position = "";
		}else if (!empty($_POST['cellpossition'])){
			$cell_position = htmlspecialchars(strip_tags($_POST['cellpossition']));
		}
		if (empty($_POST['position'])){
			$position = "";
		}else if (!empty($_POST['position'])){
			$position = htmlspecialchars(strip_tags($_POST['position']));
		}
		if (empty($_POST['facebook'])){
			$facebook = "";
		}else if (!empty($_POST['facebook'])){
			$facebook = htmlspecialchars(strip_tags($_POST['facebook']));
		}
		if (empty($_POST['instagram'])){
			$instagram = "";
		}else if (!empty($_POST['instagram'])){
			$instagram = htmlspecialchars(strip_tags($_POST['instagram']));
		}
		if (empty($_POST['youtube'])){
			$youtube = "";
		}else if (!empty($_POST['youtube'])){
			$youtube = htmlspecialchars(strip_tags($_POST['youtube']));
		}
		if (empty($_POST['twitter'])){
			$twitter = "";
		}else if (!empty($_POST['twitter'])){
			$twitter = htmlspecialchars(strip_tags($_POST['twitter']));
		}
		if (empty($_POST['email'])){
			$email = "";
		}else if (!empty($_POST['email'])){
			$email = htmlspecialchars(strip_tags($_POST['email']));
		}		
 
        // bind the parameters
        $stmt->bindParam(':name', $name);
        $stmt->bindParam(':branchId', $branchId);
        $stmt->bindParam(':telephone', $telephone);
        $stmt->bindParam(':prefix', $prefix);
        $stmt->bindParam(':occupation', $occupation);
        $stmt->bindParam(':status', $status);
        $stmt->bindParam(':dob', $dob);
        $stmt->bindParam(':gender', $gender);
        $stmt->bindParam(':country', $country);
        $stmt->bindParam(':hschool', $hschool);
        $stmt->bindParam(':address', $address);
        $stmt->bindParam(':information', $information);
        $stmt->bindParam(':baptism', $baptism);
        $stmt->bindParam(':language', $language);
        $stmt->bindParam(':first_visit', $first_visit);
        $stmt->bindParam(':first_heard', $first_heard);
        $stmt->bindParam(':evangelist', $evangelist);
        $stmt->bindParam(':howheardaboutus', $howheardaboutus);
        $stmt->bindParam(':relations', $relations);
        $stmt->bindParam(':filts', $filts);
        $stmt->bindParam(':atbifl', $atbifl);
        $stmt->bindParam(':atbipc', $atbipc);
        $stmt->bindParam(':atbimc', $atbimc);
        $stmt->bindParam(':cell', $cell);
        $stmt->bindParam(':cell_position', $cell_position);
        $stmt->bindParam(':position', $position);
        $stmt->bindParam(':facebook', $facebook);
        $stmt->bindParam(':instagram', $instagram);
        $stmt->bindParam(':youtube', $youtube);
        $stmt->bindParam(':twitter', $twitter);
        $stmt->bindParam(':email', $email);
        $stmt->bindParam(':id', $id);
		
 
		if (!empty($_FILES["image"]["name"])){
			
			
			if($myrow['duplicated_id'] == 0){

				$imgeditingquery = "UPDATE members SET image=:image	WHERE id = :id OR duplicated_id = :id";
				
			} else {
				
				$imgeditingquery = "UPDATE members SET image=:image WHERE id = :id OR id = $duplicated_id";
				
			}
			
			$editingimgstmt = $conn->prepare($imgeditingquery);

			$image=!empty($_FILES["image"]["name"])
					? sha1_file($_FILES['image']['tmp_name']) . "-" . basename($_FILES["image"]["name"])
					: "";
			$image=htmlspecialchars(strip_tags($image));		
			
			$editingimgstmt->bindParam(':image', $image);
			$editingimgstmt->bindParam(':id', $id);
			
			if(($stmt->execute()) && ($editingimgstmt->execute())){
				echo "<div class='alert alert-success'>Record was updated.</div>";
			
			if($image){
				 
					// sha1_file() function is used to make a unique file name
					$target_directory = "../members-images/";
					$target_file = $target_directory . $image;
					$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
				 
					// error message is empty
					$file_upload_error_messages="";
					// make sure that file is a real image
					$check = getimagesize($_FILES["image"]["tmp_name"]);
					if($check!==false){
						// submitted file is an image
					}else{
						$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
					}
					// make sure certain file types are allowed
					$allowed_file_types=array("jpg", "jpeg", "png", "gif");
					if(!in_array($file_type, $allowed_file_types)){
						$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
					}
					// make sure file does not exist
					if(file_exists($target_file)){
						$file_upload_error_messages.="<div>Image already exists. Try to change file name.</div>";
					}
					// make sure submitted file is not too large, can't be larger than 1 MB
					if($_FILES['image']['size'] > (5120000)){
						$file_upload_error_messages.="<div>Image must be less than 1 MB in size.</div>";
					}
					// make sure the 'uploads' folder exists
					// if not, create it
					if(!is_dir($target_directory)){
						mkdir($target_directory, 0777, true);
					}
					// if $file_upload_error_messages is still empty
					if(empty($file_upload_error_messages)){
						// it means there are no errors, so try to upload the file
						if(move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)){
							// it means photo was uploaded
						}else{
							echo "<div class='alert alert-danger'>
								<div>Unable to upload photo.</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					 
					// if $file_upload_error_messages is NOT empty
					else{
						// it means there are some errors, so show them to user
						echo "<div class='alert alert-danger'>
							<div>{$file_upload_error_messages}</div>
							<div>Update the record to upload photo.</div>
						</div>";
					}
				}
			
				} else {
					echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";
				}
			} else if (empty($_FILES["image"]["name"])){
				if($stmt->execute()){
					echo "<div class='alert alert-success'>Record was updated.</div>";				
				} else {
					echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";					
				}
			}
			
			
		} 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

	include '../database/config2.php';

$allMemquery = "SELECT * FROM members WHERE duplicated_id = 0 AND id!=$id ORDER BY id DESC";
$memQuestmt = $conn->prepare($allMemquery);
$memQuestmt->execute();

?>

    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
                <h2>Edit profile image</h2>
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post" enctype="multipart/form-data">                    
					<div class="avatar-container">
                        <div class="avatar-upload">
                            <div class="avatar-edit">
                                <input type='file' id="imageUpload" name="image" accept=".png, .jpg, .jpeg" />
                                <label for="imageUpload"></label>
                            </div>
                            <div class="avatar-preview">
                                <div id="imagePreview" style="background-image: url(http://i.pravatar.cc/500?img=7);">
                                </div>
                            </div>
                        </div>
                    </div> <br>
                    <div class="row">
                        <h2 style="margin-left: 18px">Edit personal Information</h2>
                        <div class="col col-sm-3">
                            <label for="name"><i class="fas fa-signature"></i> Name <span class="requiredField">*</span></label>
                            <input type="text" name="name" class="form-control" value="<?php echo htmlspecialchars($name, ENT_QUOTES);  ?>" placeholder="Name of member" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179;" required>
                        </div>
						<div class="col col-sm-4">
						<?php
							$accuratequery = "SELECT * FROM members WHERE id=$id";
							$accuratestmt = $conn->prepare($accuratequery);
							$accuratestmt->execute();
							$accuraterow = $accuratestmt->fetch(PDO::FETCH_ASSOC);
						?>
                            <label for="branch"><i class="fas fa-code-branch"></i>Branch <span class="requiredField">*</span></label>
                            <select name="branch" id="branch" class="form-control" placeholder="Status" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required>
								<?php 
									$somebranchquery2 = "SELECT * FROM branches WHERE id=:id";
									$somebranchstmt2 = $conn->prepare($somebranchquery2);
									$somebranchstmt2->bindParam(':id', $accuraterow['branchId']);
									$somebranchstmt2->execute();
									$somebranchrow2 = $somebranchstmt2->fetch(PDO::FETCH_ASSOC);
										echo "<option value='{$somebranchrow2['id']}' style='font-size: 20px'>{$somebranchrow2['name']}</option>";
									$somebranchquery = "SELECT * FROM branches WHERE id!=:id";
									$somebranchstmt = $conn->prepare($somebranchquery);
									$somebranchstmt->bindParam(':id', $accuraterow['branchId']);
									$somebranchstmt->execute();
									while($somebranchrow = $somebranchstmt->fetch(PDO::FETCH_ASSOC)){
										echo "<option value='{$somebranchrow['id']}' style='font-size: 20px'>{$somebranchrow['name']}</option>";
									}
								?>
                            </select>
                        </div>
                        <div class="col col-sm-3">
                            <label for="tel"><i class="fas fa-phone"></i> Tel <span class="requiredField">*</span></label>
                            <input type="number" name="tel" class="form-control" value="<?php echo htmlspecialchars($telephone, ENT_QUOTES);  ?>" placeholder="Phone" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179;" required>
                        </div>
                        
                        <div class="col col-sm-2">
                            <label for="Prefix">Prefix <span class="requiredField">*</span></label>
                            <select name="prefix" id="Prefix" class="form-control" value="<?php echo htmlspecialchars($prefix, ENT_QUOTES);  ?>" placeholder="Prefix" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required>
                                <option value="Bro." style="font-size: 20px">Bro.</option>
                                <option value="Sis." style="font-size: 20px">Sis.</option>
                                <option value="Mr." style="font-size: 20px">Mr.</option>
                                <option value="Mrs." style="font-size: 20px">Mrs.</option>
                                <option value="Ms." style="font-size: 20px">Ms.</option>
                                <option value="Dr." style="font-size: 20px">Dr.</option>
                                <option value="Bar." style="font-size: 20px">Bar.</option>
                                <option value="Prof." style="font-size: 20px">Prof.</option>
                                <option value="Cheif." style="font-size: 20px">Cheif.</option>
                            </select>
                        </div>
                    </div>
                    <div class="newRow"></div>
                    <div class="row">
                        <div class="col col-sm-4">
                            <label for="Occupation"><i class="fas fa-briefcase"></i> Occupation <span class="requiredField">*</span></label>
                            <input type="text" name="occupation" class="form-control" value="<?php echo htmlspecialchars($occupation, ENT_QUOTES);  ?>" placeholder="Occupation" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179;" required>
                        </div>
                        <div class="col col-sm-4">
                            <label for="mStatus"><i class="fas fa-user-friends"></i> Status <span class="requiredField">*</span></label>
                            <select name="mStatus" id="mStatus" class="form-control" placeholder="Status" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required>
                                <option value="<?php echo htmlspecialchars($status, ENT_QUOTES);  ?>" style="font-size: 20px"><?php echo htmlspecialchars($status, ENT_QUOTES);  ?></option>
                                <option value="Single" style="font-size: 20px">Single</option>
                                <option value="Married" style="font-size: 20px">Married</option>
                            </select>
                        </div>
                        <div class="col col-sm-4">
                            <label for="DOB"><i class="fas fa-birthday-cake"></i> D.O.B <span class="requiredField">*</span></label>
                            <input type="date" name="dob" class="form-control" value="<?php echo htmlspecialchars($dob, ENT_QUOTES);  ?>" placeholder="D.O.B" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179;" required>
                        </div>
                    </div>
                    <div class="newRow"></div>
                    <div class="row">
                        <div class="col col-sm-2">
                            <label for="gender"><i class="fas fa-restroom"></i> Sex <span class="requiredField">*</span></label>
                            <select name="gender" id="gender" class="form-control"  placeholder="Status" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required>
                                <option value="<?php echo htmlspecialchars($gender, ENT_QUOTES);  ?>" style="font-size: 20px;"><?php echo htmlspecialchars($gender, ENT_QUOTES);  ?></option>
                                <option value="Male" style="font-size: 20px;">Male</option>
                                <option value="Female" style="font-size: 20px">Female</option>
                            </select>
                        </div>
                        <div class="col col-sm-3">
                            <label for="nationality"><i class="fas fa-globe"></i> Country <span class="requiredField">*</span></label>
                            <input class="form-control" type="text" id="" value="<?php echo htmlspecialchars($country, ENT_QUOTES);  ?>" placeholder="Country" name="nationality" list="country-list" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required>
                                <datalist id="country-list" >
                                    <?php include "includes/countryList.php"; ?>
                                </datalist>
                        </div>
                        <div class="col col-sm-4">
                            <label for="education"><i class="fas fa-graduation-cap"></i> H. Education <span class="requiredField">*</span></label>
                            <input type="text" name="education" class="form-control" value="<?php echo htmlspecialchars($hschool, ENT_QUOTES);  ?>" placeholder="Eg.Masters" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required> 
                        </div>
                        <div class="col col-sm-3">
                            <label for="address"><i class="fas fa-house-user"></i> Address <span class="requiredField">*</span></label>
                            <input type="text" name="address" class="form-control" value="<?php echo htmlspecialchars($address, ENT_QUOTES);  ?>" placeholder="your address" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required> 
                        </div>
                    </div>
                    <div class="newRow"></div>
                    <div class="row">
                        <div class="col col-sm-4">
                            <label for="cellpossition"><i class="fas fa-user-tag"></i> Dept Position <span class="requiredField">*</span></label>
							<select class="form-control" type="text" id="" placeholder="Position" name="position" list="cellpossition" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px">
								<option value="<?php echo htmlspecialchars($position, ENT_QUOTES);  ?>"><?php echo htmlspecialchars($position, ENT_QUOTES);  ?></option>

									<?php
			if($leaderQueryResult->num_rows <= 0){
			?>
								<option value="Leader">Leader</option>
			<?php } 
			if($assleaderQueryResult->num_rows <= 0){
			?>
                                <option value="Ass. Leader">Ass. Leader</option>
			<?php } 
			if($finsecQueryResult->num_rows <= 0){
			?>
                                <option value="Financial Secretary">Financial Secretary</option>
			<?php } 
			if($secretaryQueryResult->num_rows <= 0){
			?>
                                <option value="Secretary">Secretary</option>
			<?php } ?> 
                                <option value="Regular Member">Regular Member</option>
                            </select>
							
							
                        </div>
                        <div class="col col-sm-8">
                            <label for="bio"><i class="fas fa-comment-dots"></i> Additional Info</label>
                            <textarea name="bio" id="bio" class="form-control" placeholder="Additional info about this new member" cols="30" rows="3" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179;"><?php echo htmlspecialchars($information, ENT_QUOTES);  ?></textarea>
                        </div>
                    </div>
                    <!--div class="spacedown"></div-->
                    <div class="newRow"></div>
                    <div class="row">
                        <div class="col col-sm-6">
                            <label for="education"><i class="fas fa-hands"></i> Baptism <span class="requiredField">*</span></label>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="baptism" id="exampleRadios1" value="immersion">
                                <label class="form-check-label" for="exampleRadios1">
                                    Yes by immession
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="baptism" id="exampleRadios2" value="baptised but not immersion">
                                <label class="form-check-label" for="exampleRadios2">
                                    Yes not by immession
                                </label>
                            </div>
                                <div class="form-check">
                                <input class="form-check-input" type="radio" name="baptism" id="exampleRadios3" value="not baptised">
                                <label class="form-check-label" for="exampleRadios3">
                                    No!! not at all
                                </label>
                            </div>
                        </div>
						<div class="col col-sm-6">
                            <div class="selectCountry">
                                <label for="language"><i class="fas fa-language"></i>First Language <span class="requiredField">*</span></label>
                                <select class="selectpicker form-control" name="language" aria-label="Default select example" data-live-search="true" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" placeholder="Select laguage">
                                    <option value="english">English</option>
                                    <option value="french">French</option>
                                    <option value="spanish">Spanish</option>
                                    <option value="german">German</option>
                                    <option value="italian">Italian</option>
                                    <option value="hebrew">Hebrew </option>
                                    <option value="other">Other </option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="spacedown"></div>
                    <div class="row">
                        <h2 style="margin-left: 18px">Edit general Information</h2>
                        <div class="col col-sm-6">
                            <label for="fistvisit"><i class="fas fa-glasses"></i> First Visit</label>
                            <input type="date" name="firstvisit" class="form-control" value="<?php echo htmlspecialchars($first_visit, ENT_QUOTES);  ?>" placeholder="Date of first visit" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px">
                        </div>
                        <div class="col col-sm-6">
                            <label for="howyouheard"><i class="fas fa-deaf"></i> How you heard about us <span class="requiredField">*</span></label>
                            <select name="howyouheard" id="howyouheard" class="form-control" placeholder="Status" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" required>
                                <option value="<?php echo htmlspecialchars($first_heard, ENT_QUOTES);  ?>" style="font-size: 20px"><?php echo htmlspecialchars($first_heard, ENT_QUOTES);  ?></option>
                                <option value="TV" style="font-size: 20px">TV</option>
                                <option value="Social Media" style="font-size: 20px">Social Media</option>
                                <option value="Holy Spirit" style="font-size: 20px">Holy Spirit</option>
                                <option value="Flyer" style="font-size: 20px">Flyer</option>
                                <option value="Evengelist" style="font-size: 20px">Evengelist</option>
                                <option value="Others" style="font-size: 20px">Others</option>
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-sm-12" id="evengelistDiv">
                            <label for="evangelist">Name of Evangelist</label>
                            <div id="evangelistMember">
                                <input class="form-control" type="text" id="" placeholder="<?php echo htmlspecialchars($evangelist, ENT_QUOTES);  ?>" name="evangelist" list="evangelist-list" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px">
                                <datalist id="evangelist-list" >

								<?php 
									while ($memQuerow = $memQuestmt->fetch(PDO::FETCH_ASSOC)){
										?>
										<option value="<?php echo htmlspecialchars($memQuerow['name'], ENT_QUOTES); ?>" style="font-size: 20px">
								<?php
									}
								?>
                                </datalist>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-sm-12" id="othersDiv">
                            <label for="evangelist">Details</label>
                            <div id="otherevangelist">
                                <input class="form-control" type="text" id="" placeholder="Tell how how you heard about us" name="evangelismChannel" list="evangelist-list" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" >
                            </div>
                        </div>
                    </div>
                    <div class="newRow"></div>
                    
                    <div class="newRow"></div>
                    
                    <div class="newRow"></div>
                    <div class="row">
                        <div class="col col-sm-8">
                            <label for="cellsystem"><i class="fas fa-pray"></i> Cell System</label>
                            <input class="form-control" type="text" id="" placeholder="Cell name" name="cellsystem" list="cellsystem" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px" >
                            <datalist id="cellsystem" >
                                <option value="Doesn't attend a cell" selected>Doesn't attend a cell</option>
                                <option value="Dunamis Praise cell">Dunamis Praise cell</option>
                                <option value="Dunamis Praise cell">Dunamis Praise cell</option>
                                <option value="Dunamis Praise cell">Dunamis Praise cell</option>
                                <option value="Dunamis Praise cell">Dunamis Praise cell</option>
                                <option value="Dunamis Praise cell">Dunamis Praise cell</option>
                            </datalist>
                        </div>
                        <div class="col col-sm-4">
                            <label for="cellpossition">Position</label>
                            <input class="form-control" type="text" id="" placeholder="Position" name="cellpossition" list="cellpossition" style="font-size: 35px !important; border-radius: 2.25rem; border: 2px solid #3a5179; height: 68px">
                            <datalist id="cellpossition" >
                                <option value="Leader">Leader</option>
                                <option value="Ass. Leader">Ass. Leader</option>
                                <option value="Director">Director</option>
                                <option value="Secretary">Secretary</option>
                            </datalist>
                        </div>
                    </div>
                    <div class="newRow"></div>
                    <div class="row">
                        <h2 style="margin-left: 18px">Edit social handles</h2>
                        <div class="col col-sm-12">
                            <label for="socials">Social media handles</label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fab fa-facebook" style="font-size:55px"></i></span>
                                <input id="email" type="text" class="form-control EditinputUserSocials" name="facebook" value="<?php echo htmlspecialchars($facebook, ENT_QUOTES);  ?>" placeholder="Facebook name" style="font-size: 35px !important; border-top-right-radius: ; border: 2px solid #ccc; height: 68px">
                            </div>
                        </div>
                        <div class="col col-sm-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fab fa-instagram" style="font-size:55px"></i></span>
                                <input id="email" type="text" class="form-control EditinputUserSocials" name="instagram" value="<?php echo htmlspecialchars($instagram, ENT_QUOTES);  ?>" placeholder="instagram" style="font-size: 35px !important; border-top-right-radius: ; border: 2px solid #ccc; height: 68px">
                            </div>
                        </div>
                        <div class="col col-sm-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fab fa-youtube" style="font-size:55px"></i></span>
                                <input id="email" type="text" class="form-control EditinputUserSocials" name="youtube" value="<?php echo htmlspecialchars($youtube, ENT_QUOTES);  ?>" placeholder="youtube channel" style="font-size: 35px !important; border-top-right-radius: ; border: 2px solid #ccc; height: 68px">
                            </div>
                        </div>
                        <div class="col col-sm-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fab fa-twitter" style="font-size:55px"></i></span>
                                <input id="email" type="text" class="form-control EditinputUserSocials" name="twitter" value="<?php echo htmlspecialchars($twitter, ENT_QUOTES);  ?>" placeholder="twitter" style="font-size: 35px !important; border-top-right-radius: ; border: 2px solid #ccc; height: 68px">
                            </div>
                        </div>
                    </div>
                    <div class="spacedown"></div>
                     <input type='submit' value='Update' name='editMember' class='btn btn-success' style="font-size: 35px" /> 
               </form>
            </div>
        </div>
    </div>
</section>










<script>
    function readURL(input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function(e) {
            $('#imagePreview').css('background-image', 'url('+e.target.result +')');
            $('#imagePreview').hide();
            $('#imagePreview').fadeIn(650);
        }
        reader.readAsDataURL(input.files[0]);
    }
}
$("#imageUpload").change(function() {
    readURL(this);
});


$("#howyouheard").change(function() {
    if ($(this).val() == "Evengelist") {
      $('#evengelistDiv').show();
      $('#evangelistMember').attr('required', '');
      $('#evangelistMember').attr('data-error', 'This field is required.');
    } else {
      $('#evengelistDiv').hide();
      $('#evangelistMember').removeAttr('required');
      $('#evangelistMember').removeAttr('data-error');
    }
  });
  
  $("#howyouheard").trigger("change");


  $("#howyouheard").change(function() {
    if ($(this).val() == "Others") {
      $('#othersDiv').show();
      $('#otherevangelist').attr('required', '');
      $('#otherevangelist').attr('data-error', 'This field is required.');
    } else {
      $('#othersDiv').hide();
      $('#otherevangelist').removeAttr('required');
      $('#otherevangelist').removeAttr('data-error');
    }
  });
  
  $("#howyouheard").trigger("change");
</script>

<?php 
    include "includes/footer.php";
?>