<?php 

$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
	
	
	include '../database/config2.php';
	
	$query2 = "SELECT * FROM members WHERE id=:id";
	$stmt2 = $conn->prepare($query2);
	$stmt2->bindParam(':id', $id);
	$stmt2->execute();
	$row2 = $stmt2->fetch(PDO::FETCH_ASSOC);

	
	$query3 = "SELECT * FROM departments WHERE id=:id";
	$stmt3 = $conn->prepare($query3);
	$stmt3->bindParam(':id', $row2['depId']);
	$stmt3->execute();
	$row3 = $stmt3->fetch(PDO::FETCH_ASSOC);
?>

<iframe
    width="100%"
    height="535px"
    fornt-size="25px"
    style="border:0"
    loading="lazy"
    allowfullscreen
    src="https://www.google.com/maps/embed/v1/place?key=AIzaSyC1ptWMykM2c7OXuBqajDZzYiGv2ZX25ng
    &q=<?php echo $row2['address']?>">
</iframe>

<div class="container-fluid" style="marging-top: 20px">
    <div class="d-flex homeCard">
        <div class="image_outer_container" style="margin-top: -150px; z-index:100">
            <div class="green_icon" style="right: 25px; bottom: 335px; background-color:transparent !important; border: none;">
                <a href="editMember.php?id=<?php echo $row2['id']?>"><i class="fas fa-pencil-alt" style="color: #1877f2; font-size: 36px; border:5px solid white; border-radius: 50%; background: white; width: 65px; height: 65px; padding: 8px;"></i></a>
            </div>
            <div class="image_inner_container">
				<?php echo $row2['image'] ? "<img src='../members-images/{$row2['image']}' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' >"; ?>
            </div>
            <div class="cantainer" style="text-align: center;">
                <i class="" style="padding-right: 25px; color:#1877f2"></i>
                <a href="<?php echo $row2['facebook']?>"><i class="fab fa-facebook" style="padding-right: 25px; color:#1877f2"></i></a>
                <a href="<?php echo $row2['youtube']?>"><i class="fab fa-youtube" style="padding-right: 25px; color:#FF0000"></i></a>
                <a href="<?php echo $row2['instagram']?>"><i class="fab fa-instagram" style="padding-right: 25px; color:#fccc63"></i></a>
                <a href="<?php echo $row2['twitter']?>"><i class="fab fa-twitter" style="padding-right: 25px; color:#00acee"></i></a>
                <?php 
					if($row2['action'] == 'Suspended'){
						?>
						<span class='badge bg-danger'>Suspended</span>
						<?php
					} else {
						?>
						<span class='badge bg-success'>Active</span>
						<?php
					}
				?>
				
				
            </div>
        </div>
        <div class="card-body">
            <b>ABOUT</b> <br>
            <p> My name is <?php echo $row2['name']?> and I am a member of the <?php echo $row3['name'] ?> Department. I live in <?php echo $row2['address']?>. Found above is a map direction to my house.</p>
            <p class="more">
                <b>Birthday:</b> <?php echo date('d M', strtotime($row2['dob'])) ?> <br>
				
				<?php 
					$date1 = $row2['dob'];
					$date2 = date('Y-m-d');

					$diff = abs(strtotime($date2) - strtotime($date1));

					$years = floor($diff / (365*60*60*24));
				?>
				
                <b>Age:</b> <?php echo $years; ?> <br>
                <b>Address:</b>  <?php echo $row2['address']?> <br>
                <b>Cell name:</b>  <?php 
					if($row2['cell'] == ""){
						echo "None";
					} else {
						echo $row2['cell']; 
					} ?> <br>
                <b>Marital Status</b> <?php 
					if($row2['status'] == 'Single'){
						?>
						<span class='badge bg-warning'>Single</span>
						<?php
					} else if($row2['status'] == 'Married'){
						?>
						<span class='badge bg-primary'>Married</span>
						<?php
					}
				?>
            </p>
        </div>
    </div>
</div>


<section>
    <div class="container-fluid">
        <div class="tab homeCard">
            <button class="tablinks" onclick="openCity(event, 'attendance')" id="defaultOpen"><i class="fas fa-user-check"></i> Attendance</button>
            <button class="tablinks" onclick="openCity(event, 'conduct')"><i class="far fa-thumbs-up"></i> Conduct</button>
            <button class="tablinks" onclick="openCity(event, 'coffers')"><i class="fas fa-wallet"></i> Contributions</button>
        </div>
    </div>
<?php
	$query4 = "SELECT * FROM memberattendance WHERE memberId=:memberId";
	$stmt4 = $conn->prepare($query4);
	$stmt4->bindParam(':memberId', $id);
	$stmt4->execute();
	
?>
    <div id="attendance" class="tabcontent">

        <div class="row">
            <div class="col-md-6">
                <h4 style="font-size: 35px">Date from</h4>
                <input type="date" class="form-control" id="datefilterfrom" data-date-split-input="true" style="font-size: 40px">
            </div>
            <div class="col-md-6">
                <h4 style="font-size: 35px">Date to</h4>
                <input type="date" class="form-control" id="datefilterto" data-date-split-input="true" style="font-size: 40px">
            </div>
        </div>
        <div class="spacedown"></div>
        <table id="testTable" class="table table-striped ">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Date</th>
                    <th scope="col">Status</th>
                    <th scope="col">Activity</th>
                </tr>
            </thead>    
            <tbody>
			<?php
				while ($row4 = $stmt4->fetch(PDO::FETCH_ASSOC)){
					echo "<tr>
							<td scope='row'>{$row4['id']}</td>
							<td>".date('d/m/Y', strtotime($row4['markedDate']))."</td>
							<td>"; 
								if($row4['attendance'] == 'Permission'){
									?>
									<span class='badge bg-warning'>Permission</span>
									<?php
								} else if($row4['attendance'] == 'Present'){
									?>
									<span class='badge bg-success'>Present</span>
									<?php
								} else {
									?>
									<span class='badge bg-danger'>Absent</span>
									<?php
								}
							?> 
							
							
							 <?php echo "</td>
							<td>{$row4['service_tag']}</td>
						</tr>";
				}
			?>
            </tbody>
        </table>
    </div>


    <div id="conduct" class="tabcontent">
        <div class="container-fluid">
		
					<?php
if (isset($_POST['report'])) {
 
    // include database connection
    include '../database/config2.php';
 
    try{
 
        // insert query
        $queryx = "INSERT INTO memberconduct SET date=:date, conduct=:conduct, file=:file, memberId=:memberId, departmentId=:departmentId";
 
        // prepare query for execution
        $stmtx = $conn->prepare($queryx);
 
 // new 'image' field
        $file=!empty($_FILES["rep"]["name"])
        ? sha1_file($_FILES['rep']['tmp_name']) . "-" . basename($_FILES["rep"]["name"])
        : "";
 
 
        // posted values
        $conduct=htmlspecialchars(strip_tags($_POST['conduct']));
        $date=date('Y-m-d');
		$file=htmlspecialchars(strip_tags($file));

        // bind the parameters
        $stmtx->bindParam(':departmentId', $departmentalId);
        $stmtx->bindParam(':conduct', $conduct);
        $stmtx->bindParam(':date', $date);
        $stmtx->bindParam(':file', $file);
        $stmtx->bindParam(':memberId', $id);
 
        if($stmtx->execute()){
            echo "<div class='alert alert-success'>Conduct was saved.</div>";

// now, if file is not empty, try to upload the file
if($file){
 
    // sha1_file() function is used to make a unique file name
    $target_directory = "conduct/";
    $target_file = $target_directory . $file;
    $file_type = pathinfo($target_file, PATHINFO_EXTENSION);
 
    // error message is empty
    $file_upload_error_messages="";
 // make sure file does not exist
if(file_exists($target_file)){
    $file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
}
 
 // make sure submitted file is not too large, can't be larger than 5 MB
if($_FILES['rep']['size'] > (5120000)){
    $file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
}
 
if(!is_dir($target_directory)){
    mkdir($target_directory, 0777, true);
}
 


// if $file_upload_error_messages is still empty
if(empty($file_upload_error_messages)){
    // it means there are no errors, so try to upload the file
    if(move_uploaded_file($_FILES["rep"]["tmp_name"], $target_file)){
        // it means photo was uploaded
    }else{
        echo "<div class='alert alert-danger'>
            <div>Unable to upload file.</div>
            <div>Update the record to upload file.</div>
        </div>";
    }
}
 
// if $file_upload_error_messages is NOT empty
else{
    // it means there are some errors, so show them to user
    echo "<div class='alert alert-danger'>
        <div>{$file_upload_error_messages}</div>
        <div>Update the record to upload photo.</div>
    </div>";
}
}
		
        } else {
            echo "<div class='alert alert-danger'>Unable to save conduct.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

?>	

		
			<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post" enctype="multipart/form-data" class="updatefeed container-fluid"> 
                <div class="body">
					<div class="media mb-3">
						<div class="media-body">
						<textarea class="autosize" name="conduct" placeholder="e.g punishments, sanctions or a good behavior..." rows="1" id="note" data-emoji="true" required></textarea>
						<div class="position-relative">
							<input type="file" class="d-none" name="rep" accept="audio/*|video/*|video/x-m4v|video/webm|video/x-ms-wmv|video/x-msvideo|video/3gpp|video/flv|video/x-flv|video/mp4|video/quicktime|video/mpeg|video/ogv|.ts|.mkv|image/*|image/heic|image/heif" onchange="previewFiles()" id="inputUp" multiple>
							<a class="mediaUp mr-4"><i class="material-icons mr-2"  data-tippy="add (Video, Audio, Photo)" onclick="trgger('inputUp')" style=" font-size: 39px !important; padding-bottom: 10px;">perm_media</i></a>
						</div>
						</div>
					</div>
				</div>
				<div class="row col-md-12 ml-auto mr-auto preview"></div>
				<div class="footer" style="float: right">
					<button type="submit" name="report" class="btn btn-info" style="padding-left: 25px; padding-right: 25px; font-size: 25px">Report</button>
				</div>
            </form>
        </div>
		<?php
			
			$conquery2 = "SELECT * FROM memberconduct WHERE memberId=:id ORDER BY id DESC";
			$constmt2 = $conn->prepare($conquery2);
			$constmt2->bindParam(':id', $id);
			$constmt2->execute();
			$connum2 = $constmt2->rowCount();
		?>
        <div class="container   ">
            <h2>Conduct Feed</h2>
            <ol class="activity-feed">
            <?php 
				if($connum2>0){
					while ($conrow2 = $constmt2->fetch(PDO::FETCH_ASSOC)){
						
						echo 
						"<li class='feed-item'>
							<time class='date' datetime='9-25'>". date('M d', strtotime($conrow2['date']))."</time>
							<span class='text'>{$conrow2['conduct']}</span>
						</li>";
					}
				 
				}
				else{
					echo "<div class='alert alert-danger'>No conducts yet.</div>";
				}
				?>
            </ol>
        </div>
    </div>

    <div id="coffers" class="tabcontent">
        <table id="testTable" class="table table-striped table-dark">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Date</th>
                    <th scope="col">Motive</th>
                    <th scope="col">Amount</th>
                </tr>
            </thead>    
            <tbody>
                <tr>
                    <td scope="row">2</td>
                    <td>18/07/2021</td>
                    <td><span class="badge bg-success">Media</span></td>
                    <td>1000frs</td>
                </tr>
                <tr>
                    <td scope="row">2</td>
                    <td>18/07/2021</td>
                    <td><span class="badge bg-success">Media</span></td>
                    <td>500Frs</td>
                </tr>
                <tr>
                    <td scope="row">2</td>
                    <td>18/07/2021</td>
                    <td><span class="badge bg-success">Media</span></td>
                    <td>1000frs</td>
                </tr>
                <tr>
                    <td scope="row">2</td>
                    <td>18/07/2021</td>
                    <td><span class="badge bg-success">Coffers</span></td>
                    <td>500Frs</td>
                </tr>
                <tr>
                    <td scope="row">2</td>
                    <td>18/07/2021</td>
                    <td><span class="badge bg-success">Media</span></td>
                    <td>1000frs</td>
                </tr>
            </tbody>
        </table>
    </div>    
    </section>


    <script>
        function openCity(evt, cityName) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablinks");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
        }
        document.getElementById(cityName).style.display = "block";
        evt.currentTarget.className += " active";
        }

        // Get the element with id="defaultOpen" and click on it
        document.getElementById("defaultOpen").click();
    </script>


    
    <script>
        function filterRows() {
        var from = $('#datefilterfrom').val();
        var to = $('#datefilterto').val();

        if (!from && !to) { // no value for from and to
            return;
        }

        from = from || '1970-01-01'; // default from to a old date if it is not set
        to = to || '2999-12-31';

        var dateFrom = moment(from);
        var dateTo = moment(to);

        $('#testTable tr').each(function(i, tr) {
            var val = $(tr).find("td:nth-child(2)").text();
            var dateVal = moment(val, "DD/MM/YYYY");
            var visible = (dateVal.isBetween(dateFrom, dateTo, null, [])) ? "" : "none"; // [] for inclusive
            $(tr).css('display', visible);
        });
        }

        $('#datefilterfrom').on("change", filterRows);
        $('#datefilterto').on("change", filterRows);

    </script>



<script>
    function filterRows() {
    var from = $('#datefilterfrom').val();
    var to = $('#datefilterto').val();

    if (!from && !to) { // no value for from and to
        return;
    }

    from = from || '1970-01-01'; // default from to a old date if it is not set
    to = to || '2999-12-31';

    var dateFrom = moment(from);
    var dateTo = moment(to);

    $('#testTable tr').each(function(i, tr) {
        var val = $(tr).find("td:nth-child(2)").text();
        var dateVal = moment(val, "DD/MM/YYYY");
        var visible = (dateVal.isBetween(dateFrom, dateTo, null, [])) ? "" : "none"; // [] for inclusive
        $(tr).css('display', visible);
    });
    }

    $('#datefilterfrom').on("change", filterRows);
    $('#datefilterto').on("change", filterRows);

</script>


    
<?php 
    include "includes/footer.php";
?>