<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	
								include 'database/config2.php';
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Debtor's Account
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
<div class="container">
		<div class="row">
            <div class="col col-md-2"></div>
            <div class="col col-md-8">
                <div class="">
                    <div class="card-content">
                        <h3>Select Badge <span class="reqired">*</span></h3>
                        <div class="card-body">
						<?php
		$expectedfee = 0;
		$totalfeeincome = 0;

if(isset($_POST['selectBatch'])){
 
    // include database connection
    include 'database/config2.php';
 
    try{
  
        $batch=htmlspecialchars(strip_tags($_POST['batch']));
		$expectedfee = 0;
		$totalfeeincome = 0;
        if($batch == 0){
			$allBatchFee = "SELECT * FROM atbistudents";
			$allBatchstmt = $conn->prepare($allBatchFee);
			$allBatchstmt->execute();
			$allBatchnum = $allBatchstmt->rowCount();
			if($allBatchnum > 0){
				
				while ($allBatchrow = $allBatchstmt->fetch(PDO::FETCH_ASSOC)){
					
					$allBatchFee2 = "SELECT * FROM academic_badge WHERE id=:id";
					$allBatchstmt2 = $conn->prepare($allBatchFee2);
					$allBatchstmt2->bindParam(':id', $allBatchrow['badge']);
					$allBatchstmt2->execute();
					$allBatchrow2 = $allBatchstmt2->fetch(PDO::FETCH_ASSOC);
					$allBatchnum2 = $allBatchstmt->rowCount();
					$expectedfee = $expectedfee + $allBatchrow2['fee'];
					
				}
			}			
			$allBatchIncome = "SELECT * FROM atbituition";
			$allBatchincomestmt = $conn->prepare($allBatchIncome);
			$allBatchincomestmt->execute();
			while($allBatchincomerow = $allBatchincomestmt->fetch(PDO::FETCH_ASSOC)){
				$totalfeeincome = $totalfeeincome + $allBatchincomerow['amount'];
			}
			
			$allBatchDebtors = "SELECT * FROM atbistudents";
			$allBatchdebtorsstmt = $conn->prepare($allBatchDebtors);
			$allBatchdebtorsstmt->execute();
			while ($allBatchdebtorrow = $allBatchdebtorsstmt->fetch(PDO::FETCH_ASSOC)){
				$allBatchDebtors2 = "SELECT * FROM academic_badge WHERE id=:id";
				$allBatchdebtorsstmt2 = $conn->prepare($allBatchDebtors2);
				$allBatchdebtorsstmt2->bindParam(':id', $allBatchdebtorrow['badge']);
				$allBatchdebtorsstmt2->execute();
				$allBatchdebtorrow2 = $allBatchdebtorsstmt2->fetch(PDO::FETCH_ASSOC);
				
				
				$allBatchDebtors3 = "SELECT * FROM atbituition WHERE id=:id";
				$allBatchdebtorsstmt3 = $conn->prepare($allBatchDebtors3);
				$allBatchdebtorsstmt3->bindParam(':id', $allBatchdebtorrow['badge']);
				$allBatchdebtorsstmt3->execute();
				$allBatchdebtorrow3 = $allBatchdebtorsstmt3->fetch(PDO::FETCH_ASSOC);
				
			}
		} else {				
					$allBatchFee3 = "SELECT * FROM academic_badge WHERE id=:id";
					$allBatchstmt3 = $conn->prepare($allBatchFee3);
					$allBatchstmt3->bindParam(':id', $batch);
					$allBatchstmt3->execute();
					$allBatchrow2 = $allBatchstmt3->fetch(PDO::FETCH_ASSOC);
					
					$allBatchFee4 = "SELECT * FROM atbistudents WHERE badge=:badge";
					$allBatchstmt4 = $conn->prepare($allBatchFee4);
					$allBatchstmt4->bindParam(':badge', $allBatchrow2['id']);
					$allBatchstmt4->execute();
					while ($allBatchrow4 = $allBatchstmt4->fetch(PDO::FETCH_ASSOC)){
						$expectedfee = $expectedfee + $allBatchrow2['fee'];						
					}
				
		}
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
							<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                                <select class="form-control" type="text" id="" placeholder="submission" name="batch" required>
									<option value="0">All Batches</option>
								<?php
									$batchesquery = "SELECT * FROM academic_badge ORDER BY id DESC";
									$batchesstmt = $conn->prepare($batchesquery);
									$batchesstmt->execute();
									while($batchesrow = $batchesstmt->fetch(PDO::FETCH_ASSOC)){
										echo "<option value='{$batchesrow['id']}'>{$batchesrow['name']}</option>";
									}
								?>
                                </select>
                                <br>
                                <br>
                                <div class="main text-center">
                                    <button name="selectBatch" type="submit" class="button"><i class="fas fa-filter"></i> Filter</button>
                                </div>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-2"></div>
        </div>
	</div>
</section>
<?php
	$incomequery = "SELECT * FROM atbituition WHERE ";
?>
<div class="">
    <div class="card-content">
        <div class="card-header">
<?php
		if(isset($_POST['selectBatch'])){

			echo "<h4>Total transactions</h4>";
		} else {
			echo "<h4>Please select an option and click filter</h4>";			
		}
?>	
		</div>
        <div class="card-body">
            <div class="row ">
                <div class="col-sm-3 col-sm-6">
                    <div class="homeCard l-bg-green">
                        <div class="card-statistic-3 p-4">
                            <div class="card-icon card-icon-large"><i class="fas fa-hand-holding-usd"></i></i></div>
                            <div class="mb-4">
                                <h2 class="card-title mb-0" style="color: white !important; font-weight: 400;">Total Expected</h2>
                            </div>
                            <div class="row align-items-center mb-2 d-flex">
                                <div class="col-8">
                                    <h1 class="d-flex align-items-center mb-0" style="color: white !important;">
                                        <sup><small>CFA</small></sup> <?php echo number_format($expectedfee)?>
                                    </h1>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-sm-3 col-sm-6">
                    <div class="homeCard l-bg-blue-dark">
                        <div class="card-statistic-3 p-4">
                            <div class="card-icon card-icon-large"><i class="fas fa-sign-out-alt"></i></div>
                            <div class="mb-4">
                                <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Total Income</h2>
                            </div>
                            <div class="row align-items-center mb-2 d-flex">
                                <div class="col-8">
                                    <h1 class="d-flex align-items-center mb-0" style="color: white !important;">
                                        <sup><small>CFA</small></sup> <?php echo number_format($totalfeeincome)?>
                                    </h1>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-1"></div>
            <div class="col col-md-10">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header"><h5><i class="fas fa-list"></i> All Debtors</h5></div>
                        <div class="card-body">
						
						<?php
							echo"
							<table id='table' class='table table-bordered table-striped'>
                                <thead>
                                    <tr>
                                        <th scope='col'>Matricule</th>
                                        <th scope='col'>Name</th>
                                        <th scope='col'>Tel</th>
                                        <th scope='col'>Address</th>
                                        <th scope='col'>Amount (CFA)</th>
                                        <th scope='col'>Balance (CFA)</th>
                                        <th scope='col'>% Complete</th>
                                        <th scope='col' class='text-center'>Action</th>
                                    </tr>
                                </thead> 
                                <tbody>
							";
							$debtorstable = "SELECT * FROM atbistudents";
							$debtorsstmt = $conn->prepare($debtorstable);
							$debtorsstmt->execute();
							while($debtorrow = $debtorsstmt->fetch(PDO::FETCH_ASSOC)){
								
								if($debtorrow['memberId'] == 0){
									$theName = $debtorrow['studentName'];	
									$theTelephone = $debtorrow['telephone'];	
									$theAddress = $debtorrow['address'];	
									
								} else {
									$findName = "SELECT * FROM members WHERE id=:id and duplicated_id=0";
									$findnamestmt = $conn->prepare($findName);
									$findnamestmt->bindParam(':id', $debtorrow['memberId']);
									$findnamestmt->execute();
									$findnamerow = $findnamestmt->fetch(PDO::FETCH_ASSOC);
									$theName = $findnamerow['name'];
									$theTelephone = $findnamerow['telephone'];
									$theAddress = $findnamerow['address'];
								}
								
								$debtorstable2 = "SELECT * FROM academic_badge WHERE id=:id";
								$debtorsstmt2 = $conn->prepare($debtorstable2);
								$debtorsstmt2->bindParam(':id', $debtorrow['badge']);
								$debtorsstmt2->execute();	
								$debtorrow2 = $debtorsstmt2->fetch(PDO::FETCH_ASSOC);
								
								$debtorstable3 = "SELECT * FROM atbituition WHERE studentId=:studentId";
								$debtorsstmt3 = $conn->prepare($debtorstable3);
								$debtorsstmt3->bindParam(':studentId', $debtorrow['id']);
								$debtorsstmt3->execute();	
								$studenttotalpaid = 0;
								
								while($debtorrow3 = $debtorsstmt3->fetch(PDO::FETCH_ASSOC)){
									$studenttotalpaid = $studenttotalpaid + $debtorrow3['amount'];
								}
								
								$percentagePaid = (($studenttotalpaid * 100)/$debtorrow2['fee']);
								
								if($studenttotalpaid < $debtorrow2['fee']){
									echo "
										<tr>
											<td>{$debtorrow['matricule']}</td>
											<td>{$theName}</td>
											<td>{$theTelephone}</td>
											<td>{$theAddress}</td>
											<td>".number_format($studenttotalpaid)."</td>
											<td>".number_format($debtorrow2['fee'] - $studenttotalpaid)."</td>
											<td>
												<div class='progress'>
													<div class='progress-bar progress-bar-striped progress-bar-animated' role='progressbar' aria-valuenow='75' aria-valuemin='0' aria-valuemax='100' style='width: {$percentagePaid}%'>{$percentagePaid}%</div>
												</div>
											</td>
											<td class='d-flex text-center'>
												<a href='#' class='btn btn-warning'><i class='far fa-bell'></i></a>";
												//<a href='edit_fee_payment.php' class='btn btn-primary'><i class='fab fa-amazon-pay'></i></i></a>
											echo "
											</td>
										</tr>
									";
								}
							}
							echo "
								</tbody> 
                            </table>
							";
						?>
						    
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-1"></div>
        </div>
    </div>
</section>




<?php
include "includes/footer.php" ;
?>