<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	


?>

<section>
    <!-- Product Sales modal -->
<div class="homeCard">
    <div class="card-content">
    <div class="card-header">
        <h2>Ministry T-Shirt</h2>
        <button onclick="goBack()" class="button">Go Back</button>
    </div>
    <div class="card-body">
        <div class="conatiner">
            <!--Section: Block Content-->
            <section class="mb-5" data-ng-app="" data-ng-init="pQty=0;dAmt=0;suTotal1=0;suTotal2=0;">
                <form action="ofsuccess.php" method="POST">
                <div class="row">
                    <div class="col-md-6 mb-4 mb-md-0">
                        <div class="row product-gallery mx-1">
                            <div class="col-12 mb-0">
                            <figure class="view overlay rounded z-depth-1 main-img">
                                <a href="#"
                                data-size="710x823">
                                <img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/15a.jpg"
                                    class="img-fluid z-depth-1">
                                </a>
                            </figure>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <h5>Fantasy T-shirt</h5>
                        <p class="mb-2 text-muted text-uppercase small">Shirts</p>
                        <p class="pt-1">Lorem ipsum dolor sit amet consectetur adipisicing elit. Numquam, sapiente illo. Sit
                        error voluptas repellat rerum quidem, soluta enim perferendis voluptates laboriosam. Distinctio,
                        officia quis dolore quos sapiente tempore alias.</p>
                        <div class="row">
                            <div class="col col-md-6"><p><span class="mr-1">Status: <span class="badge bg-success">In-stock</span></p></div>
                            <div class="col col-md-6"><p><span class="mr-1">Type: <span class="badge bg-info">Pack</span></p></div>
                        </div>
                        <div class="row">
                            <div class="col col-md-6"></div>
                            <div class="col col-md-6">
                                <span class="gItems">Grace water</span>
                                <span class="gItems">Stickers</span>
                                <span class="gItems">T-Shirts</span>
                            </div>
                        </div>
                        <p><span class="mr-1">Over Draft: <span class="badge bg-danger">Owing 12</span></p>
                        <div class="progress progress-primary  mb-4">
                            <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 90%"
                                aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">90%
                            </div>
                        </div>

                            <div class="row">
                                <div class="col col-md-6">
                                    <p><span class="mr-1"><b>Original Price:</b> XFA 5,000</span></p>
                                </div>
                                <div class="col col-md-6">
                                    <p><span class="mr-1"><b>Discount:</b><input type="number" class="Editinput" ng-model="dAmt"></span></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col col-md-6">
                                    <p><span class="mr-1"><b> New Price:</b> <input type="text" class="newPrice" value="{{5000 - dAmt}}" readonly></span></p>
                                </div>
                                <div class="col col-md-6">
                                    <p><span class="mr-1">Available in Stock: <strong>150/200</strong></span></p>
                                </div>
                            </div>
                            
                            <p>
                                Quantity: <input type="number" class="Editinput" ng-model="pQty" required>
                            </p>
                            <p>
                                <textarea name="" id="" cols="10" rows="" class="form-control" placeholder="Any special remark about this sales?"></textarea>
                            </p>

                            <label for="exactprice">Paying:</label>
                            <input type="text" class="amoutPaid" value="{{(5000 - dAmt) * pQty}}" readonly>

                            <div>
                                <input type="submit" class="" name="" value="Make Payment">
                            </div>
                        </div>
                    </div>
                    </div>
            </form>
        </section>
        <!--Section: Block Content-->
        </div>
    </div>
  </div>
<!-- Product Sales modal -->
</section>

<script>
    function goBack() {
    window.history.back();
    }
</script>
<?php
include "includes/footer.php" ;
?>