<?php 

    session_start();
	
  				include 'database/config.php';
	
	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$senderId = $row['id'];
	
	
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
  				include 'database/config2.php';

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";

$query = "SELECT * FROM members WHERE id=:id";
$stmt = $conn->prepare($query);
$stmt->bindParam(':id', $id);

$stmt->execute();

$row = $stmt->fetch(PDO::FETCH_ASSOC);




?>

<br>
<br>
<div class="container bootdey">
    <div class="email-app">
        <nav>
            <a href="#" class="btn btn-danger btn-block">New Email</a>
            <ul class="nav">
                <li class="nav-item">
                    <a class="nav-link" href="#"><i class="fa fa-rocket"></i> Sent</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#"><i class="fa fa-trash-o"></i> Trash</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#"><i class="fa fa-bookmark"></i> Contacts</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#"><i class="fa fa-inbox"></i> Draft <span class="badge badge-danger">4</span></a>
                </li>
            </ul>
        </nav>
        <main>
		
		<?php
			
			if(isset($_POST['send'])){
				//$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
				include 'database/config2.php';
    try{
 
        // insert query
		
        $mquery = "INSERT INTO notifications SET subject=:subject, notification=:notification, depId=:departmentId, date=:date, state='sent', senderId=:senderId";
        $mstmt = $conn->prepare($mquery);
 		
		$meQuery = "SELECT * FROM members WHERE id=:id";
		$mestmt = $conn->prepare($meQuery);
		$mestmt->bindParam(':id', $id);
		$mestmt->execute();
		$menum=$mestmt->rowCount();
		$merow = $mestmt->fetch(PDO::FETCH_ASSOC);
 
		$depId = $merow['depId'];
        $subject=htmlspecialchars(strip_tags($_POST['leaderSubject']));
        $notification=htmlspecialchars(strip_tags($_POST['body']));
 
 
        $mstmt->bindParam(':subject', $subject);
        $mstmt->bindParam(':notification', $notification);
        $mstmt->bindParam(':departmentId', $depId);
        $mstmt->bindParam(':senderId', $senderId);
 
        // specify when this record was inserted to the database
		date_default_timezone_set('Africa/Lagos');
        $date=date('Y-m-d H:i:s');
        $mstmt->bindParam(':date', $date);
 
        // Execute the query
        if($mstmt->execute()){
            echo "<div class='alert alert-success'>Message sent successfully.</div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to send message.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
			}
			
			
			
			if(isset($_POST['draft'])){
				//$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
				include 'database/config2.php';
    try{
 
        // insert query
		
        $mquery = "INSERT INTO notifications SET subject=:subject, notification=:notification, depId=:departmentId, date=:date, state='draft', senderId=:senderId";
        $mstmt = $conn->prepare($mquery);
 		
		$meQuery = "SELECT * FROM members WHERE id=:id";
		$mestmt = $conn->prepare($meQuery);
		$mestmt->bindParam(':id', $id);
		$mestmt->execute();
		$menum=$mestmt->rowCount();
		$merow = $mestmt->fetch(PDO::FETCH_ASSOC);
 
		$depId = $merow['depId'];
        $subject=htmlspecialchars(strip_tags($_POST['leaderSubject']));
        $notification=htmlspecialchars(strip_tags($_POST['body']));
 
 
        $mstmt->bindParam(':subject', $subject);
        $mstmt->bindParam(':notification', $notification);
        $mstmt->bindParam(':departmentId', $depId);
 
        // specify when this record was inserted to the database
        $date=date('Y-m-d H:i:s');
        $mstmt->bindParam(':date', $date);
 
        // Execute the query
        if($mstmt->execute()){
            echo "<div class='alert alert-info'>Message saved as draft successfully.</div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to save message as draft.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
			}
		?>
		
            <p class="text-center">New Message</p>
			<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
                <div class="form-row mb-3">
                    <label for="to" class="col-2 col-sm-1 col-form-label">To:</label>
                    <div class="col-10 col-sm-11">
                        <input type="text" class="form-control" id="to" placeholder="Name" name="leaderName" value="<?php echo htmlspecialchars($row['name'], ENT_QUOTES)?>" readonly>
                    </div>
                </div>
                <div class="form-row mb-3">
                    <label for="cc" class="col-2 col-sm-1 col-form-label">Tel:</label>
                    <div class="col-10 col-sm-11">
                        <input type="number" class="form-control" id="cc" placeholder="Phone" name="leaderTel" value="<?php echo htmlspecialchars($row['telephone'], ENT_QUOTES)?>" readonly>
                    </div>
                </div>
                <div class="form-row mb-3">
                    <label for="bcc" class="col-2 col-sm-1 col-form-label">Subject:</label>
                    <div class="col-10 col-sm-11">
                        <input type="text" class="form-control" id="bcc" name="leaderSubject" placeholder="Reason for sending message" required>
                    </div>
                </div>
            <div class="row">
                <div class="col-sm-11 ml-auto">
                    <div class="toolbar" role="toolbar">
                        <div class="btn-group">
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-bold"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-italic"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-underline"></span>
                            </button>
                        </div>
                        <div class="btn-group">
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-align-left"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-align-right"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-align-center"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-align-justify"></span>
                            </button>
                        </div>
                        <div class="btn-group">
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-indent"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-outdent"></span>
                            </button>
                        </div>
                        <div class="btn-group">
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-list-ul"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-list-ol"></span>
                            </button>
                        </div>
                        <button type="button" class="btn btn-light">
                            <span class="fa fa-trash-o"></span>
                        </button>
                        <button type="button" class="btn btn-light">
                            <span class="fa fa-paperclip"></span>
                        </button>
                        <div class="btn-group">
                            <button type="button" class="btn btn-light dropdown-toggle" data-toggle="dropdown">
                                <span class="fa fa-tags"></span>
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#">add label <span class="badge badge-danger"> Home</span></a>
                                <a class="dropdown-item" href="#">add label <span class="badge badge-info"> Job</span></a>
                                <a class="dropdown-item" href="#">add label <span class="badge badge-success"> Clients</span></a>
                                <a class="dropdown-item" href="#">add label <span class="badge badge-warning"> News</span></a>
                            </div>
                        </div>
                    </div>
                    <div class="form-group mt-4">
                        <textarea class="form-control" id="message" name="body" rows="5" placeholder="Message body" required></textarea>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-success" name="send">Send</button>
                        <button type="submit" class="btn btn-info" name="draft">Draft</button>
                        <button type="reset" class="btn btn-warning">Reset</button>
                    </div>
                </div>
            </div>
            </form>
        </main>
    </div>
</div>



<?php
    include "includes/footer.php" ;
?>