<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	


    if(isset($_GET['tid'])){
        $yId = $_GET['tid'];

        $yquery = "SELECT * FROM pledgers WHERE id=$yId LIMIT 1";
        $idstmts = $conn->prepare($yquery);
        $idstmts->execute();
        
        $idrows = $idstmts->fetch(PDO::FETCH_ASSOC);
        
        extract($idrows);
    }

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add more pledge to <?php echo $fname?>
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container-fluid">
    <div class="homeCard">
        <div class="card-content">
        
        <div class="card-header"><h2>Add <?php echo $fname?>'s new pledge</h2></div>
            <div class="card-body">
                <div class="conatiner">
                    <!--Section: Block Content-->
                    <section>

                    <?php
                    include 'database/config2.php';
                                    
                        $csql = "SELECT DISTINCT name, start, end, goal, pledged, raised, remaining, percentage_complete, status FROM fund_campaigns WHERE status = 'active' ORDER BY id DESC";
                                    $cstmt = $conn->prepare($csql);
                                    $cstmt->execute();
                                    
                                    // this is how to get number of rows returned
                                    $cnum = $cstmt->rowCount();		 
                        
            if (isset($_POST['pledging_detail'])) {
            
                // include database connection
                    include 'database/config2.php';
                
                    try{
                        // insert query
                        $query = "INSERT INTO pledging_info SET pledger_id=:pledger_id, campaign_id=:campaign_id, pledger_name=:pledger_name, campaign_name=:campaign_name, pledged_date=:pledged_date, amount_pledged=:pledged_amount, campaign_start=:start, campaign_end=:end";
                        
                        // prepare query for excecution
                        $astmt = $conn->prepare($query);
                        

                        // posted values
                        $pledged_date=htmlspecialchars(strip_tags($_POST['pledged_date']));
                        $amount_pledged=htmlspecialchars(strip_tags($_POST['pledged_amount']));
                        $campaign_name=htmlspecialchars(strip_tags($_POST['campaign']));
                        
                        
                $query2 = "SELECT * FROM fund_campaigns WHERE name = :campaign_name AND status = 'active'  LIMIT 1";
                                    $astmt2 = $conn->prepare($query2);
                                    
                                    $astmt2->bindParam(':campaign_name', $campaign_name);
                                    
                                    
                                    $astmt2->execute();
                                    $num2 = $astmt2->rowCount();		 
                                    $row2 = $astmt2->fetch(PDO::FETCH_ASSOC);
                                    $start = $row2['start'];
                                    $end = $row2['end'];
                                    $campaign_id = $row2['id'];
                        
                        // bind the parameters
                        $astmt->bindParam(':pledged_date', $pledged_date);
                        $astmt->bindParam(':pledged_amount', $amount_pledged);
                        $astmt->bindParam(':pledger_id', $yId);
                        $astmt->bindParam(':campaign_id', $campaign_id);
                        $astmt->bindParam(':pledger_name', $fname);
                        $astmt->bindParam(':campaign_name', $campaign_name);
                        $astmt->bindParam(':start', $start);
                        $astmt->bindParam(':end', $end);
                        
                        if($pledged_date > date("Y-m-d"))
                        {
                            echo "<div class='alert alert-danger'>Sorry it's not possible to pledge on a day that hasn't even arrived</div>";												
                        }else{
                            if($pledged_date < $start){
                                    echo "<div class='alert alert-danger'>It is not possible to pledge before the campaign even starts</div>";						
                            }else{
                    
                                // Execute the query
                                if($astmt->execute()){
                                    echo "<div class='alert alert-success'>Record was submitted.</div>";
                                }else{
                                    echo "<div class='alert alert-danger'>Unable to submit record. Please try again.</div>";
                                }
                                
                            }
                        }
                    }
                
                    // show error
                    catch(PDOException $exception){
                        die('ERROR: ' . $exception->getMessage());
                    }
                    
            
            }
            ?>
                    
                        <form method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?tid={$id}");?>">
                            <label for="name">Select Campaign</label>
                            <select id="" class="form-control" name="campaign">
                                <option selected disabled></option>
                            <?php 
                                    //check if more than 0 record found
                                        if($cnum>0){
                                            // data from database will be here
                                            while ($crow = $cstmt->fetch(PDO::FETCH_ASSOC)){
                                            
                                                extract($crow);
                                                ?>
                                                <option><?php echo $name;?></option>
                                                    
                                                <?php			
                                            }
                                            
                                        }
                                            
                                        // if no records found
                                        else{
                                            ?>
                                            <option></option>
                                            <?php
                                        }
                                    
                                ?>
                            </select>
                            <br>
                            <div class="row">
                                <div class="col col-6">
                                    <label for="">Pledged date</label>
                                    <input type="date" name="pledged_date" class="form-control">
                                </div>
                                <div class="col col-6">
                                    <label for="">Amount pledged</label>
                                    <input type="number" name="pledged_amount" class="form-control">
                                </div>
                            </div>
                                <br>
                            <!--<a href="fundRaising.php?aid=<?php //echo $id;?>" class="btn btn-lg btn-success">Submit</a>-->
                            <input type="submit" name="pledging_detail" value="Submit" class="btn btn-lg btn-success" />
                        </form>
                            
                    </section>
                    <!--Section: Block Content-->
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary"
                    data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
                </button>
            </div>
        </div>
    </div>
</section>

<?php
include "includes/footer.php" ;
?>