<?php

$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
$depId=isset($_GET['depId']) ? $_GET['depId'] : die('ERROR: Record departmental ID not found.');
$senderId=isset($_GET['senderId']) ? $_GET['senderId'] : die('ERROR: Sender ID not found.');

include 'database/config2.php';
  
    try{

 			    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);
				$subject = 'Withdrawal Approved';
				$notification = 'Shalom! this is to inform you that your withdrawal request has been approved';
        // insert query
        $query = "UPDATE contributions SET type='Withdrawal', transactionId=:transactionId, paymentDate=:paymentDate WHERE id = :id";
        $stmt = $conn->prepare($query);
		 
		$todayDate = date('Y-m-d');
        $date=date('Y-m-d H:i:s');
		 
        $stmt->bindParam(':transactionId', $pass);
        $stmt->bindParam(':paymentDate', $todayDate);
        $stmt->bindParam(':id', $id);
		
        if($stmt->execute()){
			$query2 = "INSERT INTO notifications SET subject=:subject, notification=:notification, depId=:depId, date=:date, state='sent', senderId=:senderId, hasRead=0";
			$stmt2 = $conn->prepare($query2);
			$stmt2->bindParam(':subject', $subject);
			$stmt2->bindParam(':notification', $notification);
			$stmt2->bindParam(':depId', $depId);
			$stmt2->bindParam(':date', $date);
			$stmt2->bindParam(':senderId', $senderId);
			$stmt2->execute();
			header("Location: cashout.php");
        }else{
            echo "<div class='alert alert-danger'>Unable to save record.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }

?>