<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
	
	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$full_name = $row['name'];
	    include "includes/sidebar.php";

include "database/config2.php";
$depquery = "SELECT * FROM departments WHERE id=:id";
$depstmt = $conn->prepare($depquery);
$depstmt->bindParam(':id', $id);
$depstmt->execute();
$deprow=$depstmt->fetch(PDO::FETCH_ASSOC);


	$coffquery2 = "SELECT * FROM contributions WHERE type='Withdrawal' AND departmentId=:departmentId";
	$coffstmt2 = $conn->prepare($coffquery2);
	$coffstmt2->bindParam(':departmentId', $id);
	$coffstmt2->execute();
	$withdraw = 0;
	while ($coffrow2 = $coffstmt2->fetch(PDO::FETCH_ASSOC)){
		$withdraw = $withdraw + $coffrow2['amount'];
	}
	
	$perquery2 = "SELECT * FROM contributions WHERE type='Withdrawal' AND departmentId=:departmentId ORDER BY id DESC LIMIT 1";
	$perstmt2=$conn->prepare($perquery2);
	$perstmt2->bindParam(':departmentId', $id);
	$perstmt2->execute();
	$perrow2 = $perstmt2->fetch(PDO::FETCH_ASSOC);

	$persumquery2 = "SELECT * FROM contributions WHERE type='Withdrawal' AND departmentId=:departmentId";
	$persumstmt2=$conn->prepare($persumquery2);
	$persumstmt2->bindParam(':departmentId', $id);
	$persumstmt2->execute();
	$cofferSum2 = 0;
	while($persumrow2 = $persumstmt2->fetch(PDO::FETCH_ASSOC))
	{
		if($persumrow2['id'] == $perrow2['id']){
			$cofferSum2 = $cofferSum2 + 0;
		} else {
		$cofferSum2 = $cofferSum2 + $persumrow2['amount'];
		}
	}
	

$wwquery2 = "SELECT * FROM contributions WHERE departmentId=:departmentId AND (motive='Coffers' OR type='Withdrawal')";
$wwstmt2=$conn->prepare($wwquery2);
$wwstmt2->bindParam(':departmentId', $id);
$wwstmt2->execute();
$coffersReceived = 0;

while ($wwrow2 = $wwstmt2->fetch(PDO::FETCH_ASSOC)){
	if($wwrow2['type'] == 'Withdrawal'){
		$coffersReceived = $coffersReceived - $wwrow2['amount'];
	} else if($wwrow2['type'] == 'Deposit'){
	    $coffersReceived = $coffersReceived + $wwrow2['amount'];
	}
}

$coffquery = "SELECT * FROM contributions WHERE type='Deposit' AND departmentId=:departmentId";
	$coffstmt = $conn->prepare($coffquery);
	$coffstmt->bindParam(':departmentId', $id);
	$coffstmt->execute();
	$deposit = 0;
	while ($coffrow = $coffstmt->fetch(PDO::FETCH_ASSOC)){
		$deposit = $deposit + $coffrow['amount'];
	}
	
	$perquery = "SELECT * FROM contributions WHERE type='Deposit' AND departmentId=:departmentId ORDER BY id DESC LIMIT 1";
	$perstmt=$conn->prepare($perquery);
	$perstmt->bindParam(':departmentId', $id);
	$perstmt->execute();
	$perrow = $perstmt->fetch(PDO::FETCH_ASSOC);
	
	$persumquery = "SELECT * FROM contributions WHERE type='Deposit' AND departmentId=:departmentId";
	$persumstmt=$conn->prepare($persumquery);
	$persumstmt->bindParam(':departmentId', $id);
	$persumstmt->execute();
	$cofferSum = 0;
	while($persumrow = $persumstmt->fetch(PDO::FETCH_ASSOC))
	{
		if($persumrow['id'] == $perrow['id']){
			$cofferSum = $cofferSum + 0;
		} else {
		$cofferSum = $cofferSum + $persumrow['amount'];
		}
	}
	
	
	$coffquery3 = "SELECT * FROM contributions WHERE (type='Deposit' AND motive='Coffers') AND departmentId=:departmentId ";
	$coffstmt3 = $conn->prepare($coffquery3);
	$coffstmt3->bindParam(':departmentId', $id);
	$coffstmt3->execute();
	$cofferstotal = 0;
	while ($coffrow3 = $coffstmt3->fetch(PDO::FETCH_ASSOC)){
		$cofferstotal = $cofferstotal + $coffrow3['amount'];
	}
	
	$coffquery4 = "SELECT * FROM contributions WHERE (type='Deposit' AND motive='Media') AND departmentId=:departmentId ";
	$coffstmt4 = $conn->prepare($coffquery4);
	$coffstmt4->bindParam(':departmentId', $id);
	$coffstmt4->execute();
	$mediatotal = 0;
	while ($coffrow4 = $coffstmt4->fetch(PDO::FETCH_ASSOC)){
		$mediatotal = $mediatotal + $coffrow4['amount'];
	}
	
	$coffquery5 = "SELECT * FROM contributions WHERE (type='Deposit' AND (motive != 'Media' AND motive != 'Coffers')) AND departmentId=:departmentId";
	$coffstmt5 = $conn->prepare($coffquery5);
	$coffstmt5->bindParam(':departmentId', $id);
	$coffstmt5->execute();
	$randomtotal = 0;
	while ($coffrow5 = $coffstmt5->fetch(PDO::FETCH_ASSOC)){
		$randomtotal = $randomtotal + $coffrow5['amount'];
	}
?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Limbe Mile 2 Account</h3>
                <p class="text-subtitle text-muted">Details of all Limbe Mile 2 financial activities</p>
                
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Departmental Finance</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>



<section>
    <div class="row">
    <div class="col col-sm-3">
            <div class="homeCard l-bg-orange-dark">
                <div class="card-statistic-3 p-4">
                    <div class="card-icon card-icon-large"><i class="fas fa-dollar-sign"></i></div>
                    <div class="mb-4">
                        <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Total Available Balance</h2>
                    </div>
                    <div class="row align-items-center mb-2 d-flex">
                        <div class="col-8">
                            <h1 class="d-flex align-items-center mb-0" style="color: white !important; font-size: 80px;">
                                <?php echo number_format($coffersReceived); ?>
                            </h1>
                        </div>

                    </div>

                </div>
            </div>
        </div>
        <div class="col col-sm-5">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h4>Transaction Summary</h4></div>
                    <div class="card-body">
                        <div class="row ">
                            <div class="col-sm-3 col-sm-6">
                                <div class="homeCard l-bg-cherry">
                                    <div class="card-statistic-3 p-4">
                                        <div class="card-icon card-icon-large"><i class="fas fa-hand-holding-usd"></i></i></div>
                                        <div class="mb-4">
                                            <h2 class="card-title mb-0" style="color: white !important; font-weight: 400;">Total Deposite</h2>
                                        </div>
                                        <div class="row align-items-center mb-2 d-flex">
                                            <div class="col-8">
                                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                                    <?php echo number_format($deposit);?>
                                                </h2>
                                            </div>
                                            <div class="col-4 text-right">
                                                <span style="color: green !important;">
												<?php
											
											if(($cofferSum == 0) && ($perrow['amount'] > 0)){
												$percentage = 100;
											} else if(($cofferSum == 0) && ($perrow['amount'] == 0)) {
												$percentage = 0;
											}
											else {
											$percentage = ($perrow['amount'] * 100) / $cofferSum;
											}
											echo round($percentage, 1); ?>% <i class="fa fa-arrow-up"></i></span>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-3 col-sm-6">
                                <div class="homeCard l-bg-blue-dark">
                                    <div class="card-statistic-3 p-4">
                                        <div class="card-icon card-icon-large"><i class="fas fa-sign-out-alt"></i></div>
                                        <div class="mb-4">
                                            <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Total Withdrawals</h2>
                                        </div>
                                        <div class="row align-items-center mb-2 d-flex">
                                            <div class="col-8">
                                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                                    <?php echo number_format($withdraw);?>
                                                </h2>
                                            </div>
                                            <div class="col-4 text-right" style="color: white !important;">
                                                <span class="text-danger"><?php
											
											if(($cofferSum2 == 0) && ($perrow2['amount'] > 0)){
												$percentage2 = 100;
											} else if(($cofferSum2 == 0) && ($perrow2['amount'] == 0)) {
												$percentage2 = 0;
											}
											else {
											$percentage2 = ($perrow2['amount'] * 100) / $cofferSum2;
											}
											echo round($percentage2, 1); ?>% <i class="fa fa-arrow-down"></i></span>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col col-sm-4">
            <div class="homeCard l-bg-green-dark">
                <div class="card-statistic-3 p-4">
                    <div class="card-icon card-icon-large"><i class="fas fa-university"></i></div>
                    <div class="mb-4">
                        <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Account Details</h2>
                    </div>
<?php
										$leaderPhotoquery = "SELECT * FROM members WHERE depId = :id AND position = 'Leader' ";
										$finsecPhotoquery = "SELECT * FROM members WHERE depId = :id AND position = 'Financial Secretary' ";
										
										$leaderstmt = $conn->prepare($leaderPhotoquery);
										$leaderstmt->bindParam(':id', $id);
										$leaderstmt->execute();
										$leadernum = $leaderstmt->rowCount();
										$leaderrow = $leaderstmt->fetch(PDO::FETCH_ASSOC);
										
										$finsecstmt = $conn->prepare($finsecPhotoquery);
										$finsecstmt->bindParam(':id', $id);
										$finsecstmt->execute();
										$finsecnum = $finsecstmt->rowCount();
										$finsecrow = $finsecstmt->fetch(PDO::FETCH_ASSOC);
										
?>
                    <div class="row align-items-center mb-2 d-flex">
                        <div class="col-8">
                            <p class="d-flex align-items-center" style="color: white !important;">Acc. Name: <span  style="font-weight:700; margin-left:5px"> <?php echo htmlspecialchars($deprow['name'], ENT_QUOTES); ?></span></p>
                            <p class="d-flex align-items-center" style="color: white !important;">Acc. Number: <span  style="font-weight:700; margin-left:5px"> <?php echo htmlspecialchars($deprow['acc_number'], ENT_QUOTES); ?></span></p>
                            <p class="d-flex align-items-center" style="color: white !important;">Signatories: 
                                <span  style="font-weight:700; margin-left:15px">
                                    <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Roger Drake">
										<?php echo $leaderrow['image'] ? "<img src='members-images/{$leaderrow['image']}' class='rounded-circle avatar-xs' alt='' />" : "";  ?>	
                                    </a>
                                </span>
                                <span  style="font-weight:700; margin-left:20px">
                                    <a href="javascript: void(0);" class="team-member" data-toggle="tooltip" data-placement="top" title="" data-original-title="Reggie James">
										<?php echo $finsecrow['image'] ? "<img src='members-images/{$finsecrow['image']}' class='rounded-circle avatar-xs' alt='' />" : "";  ?>	
                                    </a>
                                </span>
                            </p>
                        </div>
                        <div class="col-4 text-right" style="color: white !important;">
                            <span>Savings <i class="fa fa-arrow-up"></i></span>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</section>



<section>
    <div class="container">
        <div class="row">
            <div class="col-xl-3 col-md-6">
                <div class="card bg-pattern">
                    <div class="card-body">
                        <div class="float-right">
                        <i class="fas fa-hand-holding-usd fa-3x"></i>
                        </div>
                        <h5 class="font-size-20 mt-0 pt-1"><?php echo number_format($mediatotal)?></h5>
                        <p class="text-muted mb-0">Total <b>Giving</b> Collected</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-md-6">
                <div class="card bg-pattern">
                    <div class="card-body">
                        <div class="float-right">
                            <i class="fas fa-piggy-bank fa-3x"></i>
                        </div>
                        <h5 class="font-size-20 mt-0 pt-1"><?php echo number_format($cofferstotal)?></h5>
                        <p class="text-muted mb-0">Total <b>Savings</b> Collected</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-md-6">
                <div class="card bg-pattern">
                    <div class="card-body">
                        <div class="float-right">
                            <i class="fas fa-random fa-3x"></i>
                        </div>
                        <h5 class="font-size-20 mt-0 pt-1"><?php echo number_format($randomtotal)?></h5>
                        <p class="text-muted mb-0">Total <b>Ministry Materials</b> Sold</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-md-6">
                <div class="card">
                    <div class="card-body">
                        <form>
                            <div class="form-group mb-0">
                                <label>Search</label>
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search ID..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
        <!-- end row -->
    <div class="container-fluid">
        <div class="row">
            <h2>Transaction History <a href="printbranchfinanceForm.php" class="button"><i class="fas fa-print"></i> Print Finance Form</a></h2>
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive project-list">
                            <div id="toolbar" class="select" style="display: none">
                                <select class="form-control">
                                    <option value="">Export Basic</option>
                                    <option value="all">Export All</option>
                                    <option value="selected">Export Selected</option>
                                </select>
                            </div>
							
							
				<?php
				
				$query3 = "SELECT * FROM contributions WHERE departmentId = :departmentId ORDER BY id DESC";
				$stmt3 = $conn->prepare($query3);
				$stmt3->bindParam(':departmentId', $id);
				$stmt3->execute();
				 
				$num3 = $stmt3->rowCount();
				 
				 $balance = 0;
				 
				$query4 = "SELECT * FROM contributions WHERE departmentId = :departmentId ORDER BY id DESC";
				$stmt4 = $conn->prepare($query4);
				$stmt4->bindParam(':departmentId', $id);
				$stmt4->execute();
				
				$query5 = "SELECT * FROM contributions WHERE departmentId = :departmentId ORDER BY id DESC LIMIT 1";
				$stmt5 = $conn->prepare($query5);
				$stmt5->bindParam(':departmentId', $id);
				$stmt5->execute();
				 $row5 = $stmt5->fetch(PDO::FETCH_ASSOC);
				if($num3>0){
				 
				 while ($row4 = $stmt4->fetch(PDO::FETCH_ASSOC)){
					 if($row4['type'] == 'Deposit'){
						 $balance = $balance + $row4['amount'];
					 } else if($row4['type'] == 'Pending'){
						 $balance = $balance + 0;
					 } else if($row4['type'] == 'Withdrawal') {
						 $balance = $balance - $row4['amount'];
					 }
							}

					$balances = $balance;
						echo "<table class='table table-striped' id='table_1' cellspacing='0' width='100%'
                            data-show-export='true'
                            data-show-print='true'
                            data-pagination='true'
                            data-side-pagination='server'
                            data-click-to-select='true'
                            data-toolbar='#toolbar'
                            data-show-toggle='true'
                            data-show-columns='true'>";
						 
							//creating our table heading
							echo "<thead class='thead-dark'>
										<tr>
											<th scope='col' class='text-center'>#</th>
											<th scope='col' class='text-center'>Transaction ID</th>
											<th scope='col' class='text-center'>Transaction Type</th>
											<th scope='col' class='text-center'>Motive</th>
											<th scope='col' class='text-center'>Date</th>
											<th scope='col' class='text-center'>Member</th>
											<th scope='col' class='text-center'>Image</th>
											<th scope='col' class='text-center'>Type</th>
											<th scope='col' class='text-center'>Amount</th>
											<th scope='col' class='text-center'>Balance</th>
										</tr>
									</thead>
									<tbody id='myDepts'>";

							while ($row3 = $stmt3->fetch(PDO::FETCH_ASSOC)){
							
							$xyzquery = "SELECT * FROM members WHERE id=:memberId";
							$xyzstmt = $conn -> prepare($xyzquery);
							$xyzstmt->bindParam(':memberId', $row3['memberId']);
							$xyzstmt->execute();
							
							$xyzrow=$xyzstmt->fetch(PDO::FETCH_ASSOC);
							
								echo "<tr>
								
											<td class='text-center'>1</td>
											<td class='text-center'>{$row3['transactionId']}</td>
											<td class='text-center'>"; 
											if($row3['type'] == 'Deposit') {
												echo "CREDIT";
											} else if($row3['type'] == 'Pending') {
												echo "...";
											} else if($row3['type'] == 'Withdrawal') {
												echo "DEBIT";
											}
											echo"</td>
											<td class='text-center'><span class='badge bg-primary'>";
											
											$string = strip_tags($row3['motive']);
																		if (strlen($string) > 20) {

																			// truncate string
																			$stringCut = substr($string, 0, 20);
																			$endPoint = strrpos($stringCut, ' ');

																			//if the string doesn't contain any space then it will cut without word basis.
																			$string = $endPoint? substr($stringCut, 0, $endPoint) : substr($stringCut, 0);
																			$string .= '...';
																		}
																		echo $string;
											
											
											
											echo "</span></td>
											<td class='text-center'>".date('d M Y', strtotime($row3['paymentDate']))."</td>
											<td class='text-center'>{$xyzrow['name']}</td>
											<td class='text-center'>"; 
											
											echo $xyzrow['image'] ? "<img src='members-images/{$xyzrow['image']}' class='rounded-circle avatar-xs' alt='' />" : "<img src='https://bootdey.com/img/Content/avatar/avatar7.png' class='rounded-circle avatar-xs' alt='' />";  
											echo "
											</td>
											<td class='text-center'>";
											
											if($row3['type'] == 'Deposit'){
												$balance = $balance - $row3['amount'];
												echo "<span class='badge bg-success'>Deposit</span>";
											} else if($row3['type'] == 'Withdrawal'){
												$balance = $balance + $row3['amount'];
												echo "<span class='badge bg-danger'>Withdrawal</span>";
											} else {
												$balance = $balance + 0;
												echo "<span class='badge bg-warning'>Pending</span>";
											}
											echo "</span></td>
											<td class='text-center'>".number_format($row3['amount'])."</td>
											<td class='text-center' style='background: green; color: white'>".number_format($balances)."</td>
										
										</tr>
									";
									$balances = $balance;
							}
							echo "</tbody>
								</table>";
				}
				 
				else{
					echo "<div class='alert alert-danger'>No transactions found.</div>";
				}
				?>
							
                        </div>
                        <!-- end project-list -->
                    </div>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
</section>


<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table_1')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
            {
            field: 'state',
            checkbox: true,
            visible: $(this).val() === 'selected'
          },
          {
            field: 'id',
            title: 'Transaction ID'
          }, {
            field: 'name',
            title: 'Transaction Type'
          }, {
            field: 'price',
            title: 'Motive'
          }
        ]
        
      })
    }).trigger('change')
  })
</script>

<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});

</script>







<?php
    include "includes/footer.php" ;
?>