
<?php
	$leaderQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Leader'";
	$leaderQueryResult = mysqli_query($conn, $leaderQuery);
	
	$assleaderQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Ass. Leader'";
	$assleaderQueryResult = mysqli_query($conn, $assleaderQuery);
	
	$finsecQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Financial Secretary'";
	$finsecQueryResult = mysqli_query($conn, $finsecQuery);
	
	$secretaryQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Secretary'";
	$secretaryQueryResult = mysqli_query($conn, $secretaryQuery);
	
?>	


    <div id="overlay" class="hoverBg" style=" 
        display: none;
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color:rgba(58,81,121,0.56);
        z-index: 2;
        cursor: pointer;">
    </div>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark" style="padding-bottom: 30px !important; background-color: #198754 !important;">
        <span onclick="openNav()">
            <i class="fas fa-bars fa-5px" style="color: #fbfbfb; font-size: 60px; padding-top: 25px; margin-bottom: 0px;"></i>
        </span>
        <header tabindex="0">
           Limbe Mile 2
        </header>
        <!--Notification Panel-->
		
		<?php 
		
					include '../database/config2.php';
					
					$leaderQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Leader'";
					$leaderstmt = $conn->prepare($leaderQuery);
					$leaderstmt->execute();
					$leaderrow = $leaderstmt->fetch(PDO::FETCH_ASSOC);
					
					$queryn = "SELECT * FROM notifications WHERE depId=:depId AND state='sent' AND hasRead=0";
	$stmtn=$conn->prepare($queryn);
	$stmtn->bindParam(':depId', $departmentalId);
	$stmtn->execute();
	$rown=$stmtn->fetch(PDO::FETCH_ASSOC);
	$numn=$stmtn->rowCount();
	
		?>
		
        <div class="dropdown">
            <a href="notifications.php" class="btn btn-default" style="height:40px">
                <i class="far fa-bell fa-3x" style="color: white"></i>
				<?php if($numn != 0)
				{ ?>
                <span class="badge badge-notify"><?php echo $numn; ?></span>
				<?php } ?>
            </a>
        </div>
        <!--Notification Panel Ends-->
        <!--<img src="img_avatar2.png" alt="Avatar" class="avatar">-->
		<?php
			echo $leaderrow['image'] ? "<img src='../members-images/{$leaderrow['image']}' class='rounded-circle avatar-xl app-profil img-thumbnail' alt='profile-image' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl app-profil' alt='profile-image' >";
		?>
        <div class="button sidenav sidenavbg" id="mySidenav" style="margin-top: 0px;">
            <a href="javascript:void(0)" class="closebtn" onclick="closeNav()"><i class="fas fa-times"></i></a>
        <div id="nav-content">
            <?php
                if($leaderQueryResult->num_rows > 0){
			?>
				
            <div class="d-flex">
                <div class="image_outer_container">
                    <div class="green_icon"></div>
                    <div class="image_inner_container">
					<?php
						echo $leaderrow['image'] ? "<img src='../members-images/{$leaderrow['image']}' class='rounded-circle avatar-xl img-thumbnail' alt='profile-image'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl img-thumbnail' alt='profile-image' >";
					?>
					
                        <!-- <img src="https://i.pinimg.com/originals/43/96/61/439661dcc0d410d476d6d421b1812540.jpg"> -->
                    </div>
                </div>
            </div>
                <br>
				
            <div class="leadersName" style="margin-left:20px">
                <h1><?php echo htmlspecialchars($leaderrow['name'], ENT_QUOTES); ?></h1>
                <p class="" style="font-size:40px">Leader 
				<?php
					if($leaderrow['action'] == 'Suspended'){
						?>
					<span class="badge bg-danger" style="float: right">Suspended</span>	
						<?php
					} else {
						?>
					<span class="badge bg-success" style="float: right">Active</span>	
						<?php
					}
				?>
				
				</p>

                <div class="d-flex">
                    <a href="<?php echo htmlspecialchars($leaderrow['facebook'], ENT_QUOTES); ?>"><i class="fab fa-facebook " style="padding-right: 0px; color:#1877f2; font-size:50px"></i></a>
                    <a href="<?php echo htmlspecialchars($leaderrow['youtube'], ENT_QUOTES); ?>"><i class="fab fa-youtube " style="padding-right: 0px; color:#FF0000; font-size:50px"></i></a>
                    <a href="<?php echo htmlspecialchars($leaderrow['instagram'], ENT_QUOTES); ?>"><i class="fab fa-instagram " style="padding-right: 0px; color:#fccc63; font-size:50px"></i></a>
                    <a href="<?php echo htmlspecialchars($leaderrow['twitter'], ENT_QUOTES); ?>"><i class="fab fa-twitter " style="padding-right: 0px; color:#00acee; font-size:50px"></i></a>
                </div>
            </div>
            <hr>
            <br><br>
            <ul> 
                <li><a href="home.php"><i class="fas fa-home menuIcon"></i>Home</a></li>  
                <li><a href="addMember.php"><i class="fas fa-user-plus menuIcon"></i>Assign Member</a></li>  
                <li><a href="list.php"><i class="fas fa-list menuIcon"></i>List</a></li>
                <li><a href="attendance.php"><i class="fas fa-hand-paper menuIcon"></i>Attendance</a></li>
                <li><a href="prayerline_registration.php"><i class="fas fa-pray menuIcon"></i>Prayer Line</a></li>
                <li><a href="service_order.php"><i class="fas fa-church menuIcon"></i>Service Order</a></li>
                <li><a href="report.php"><i class="fas fa-chart-pie menuIcon"></i>Report</a></li>
                <li><a href="conduct.php"><i class="fas fa-flag menuIcon"></i>Conduct</a></li>
                <li><a href="accounts.php"><i class="fas fa-hand-holding-usd menuIcon"></i>Dep. Finance</a></li>
                <li><a href="finance.php"><i class="fas fa-file-invoice-dollar menuIcon"></i>Branch Finance</a></li>
                <li><a href="notifications.php"><i class="fas fa-bell menuIcon"></i>Notifications</a></li>
                <li><a href="logout.php" style="color: red"><i class="fas fa-power-off menuIcon" style="color: red"></i>Logout</a></li>
            </ul>
		<?php } else {
			?>
			<a href="logout.php" style="color: red; font-size: 45px;"><i class="fas fa-power-off menuIcon" style="color: red"></i>Logout</a>
			<?php
		}?>
        </div>
    </nav>
    <div class="headerspace" style="margin-bottom: 170px;"></div>


<script>
        /* Set the width of the side navigation to 250px */
    function openNav() {
        document.getElementById("mySidenav").style.width = "540px";
        document.getElementById("overlay").style.display = "block";
    }

    /* Set the width of the side navigation to 0 */
    function closeNav() {
        document.getElementById("mySidenav").style.width = "0";
        document.getElementById("overlay").style.display = "none";
    }
</script>

</script>


