-- phpMyAdmin SQL Dump
-- version 5.0.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 10, 2023 at 08:37 AM
-- Server version: 10.4.17-MariaDB
-- PHP Version: 8.0.2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `techministries`
--

-- --------------------------------------------------------

--
-- Table structure for table `academic_badge`
--

CREATE TABLE `academic_badge` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `acadYear` varchar(255) NOT NULL,
  `fee` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `isOpen` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `academic_badge`
--

INSERT INTO `academic_badge` (`id`, `name`, `acadYear`, `fee`, `description`, `isOpen`) VALUES
(2, 'Another cool badge', '2005 - 2006', '1500000', 'this one too is really really cool eh', 0),
(3, 'Badge of greatness', '2021 - 2022', '100000', 'These people are great, leavam', 1),
(4, 'Batch of wonders', '2019 - 2020', '250000', 'This batch of students are very intelligent', 0);

-- --------------------------------------------------------

--
-- Table structure for table `adding_stock`
--

CREATE TABLE `adding_stock` (
  `product_id` int(11) NOT NULL,
  `product_name` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `quantity` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `adding_stock`
--

INSERT INTO `adding_stock` (`product_id`, `product_name`, `date`, `quantity`) VALUES
(9, 'Gym equipments', '2021-09-28', 9),
(8, 'Food Ingredients', '2021-09-28', 9),
(9, 'Gym equipments', '2021-09-28', 9),
(8, 'Food Ingredients', '2021-09-28', 9),
(7, 'Smart Phone', '2021-09-28', 9),
(6, 'Pullover', '2021-09-28', 9),
(4, 'Jacket', '2021-09-28', 9),
(9, 'Gym equipments', '2021-09-28', 1),
(8, 'Food Ingredients', '2021-09-28', 1),
(7, 'Smart Phone', '2021-09-28', 1),
(6, 'Pullover', '2021-09-28', 1),
(4, 'Jacket', '2021-09-28', 1),
(9, 'Gym equipments', '2021-09-28', 4),
(8, 'Food Ingredients', '2021-09-28', 4),
(7, 'Smart Phone', '2021-09-28', 4),
(6, 'Pullover', '2021-09-28', 4),
(4, 'Jacket', '2021-09-28', 4),
(9, 'Gym equipments', '2021-09-28', 2),
(8, 'Food Ingredients', '2021-09-28', 2),
(7, 'Smart Phone', '2021-09-28', 2),
(6, 'Pullover', '2021-09-28', 2),
(4, 'Jacket', '2021-09-28', 2),
(9, 'Gym equipments', '2021-09-28', 3),
(8, 'Food Ingredients', '2021-09-28', 3),
(7, 'Smart Phone', '2021-09-28', 3),
(6, 'Pullover', '2021-09-28', 3),
(4, 'Jacket', '2021-09-28', 3),
(9, 'Gym equipments', '2021-09-28', 1),
(8, 'Food Ingredients', '2021-09-28', 1),
(7, 'Smart Phone', '2021-09-28', 1),
(6, 'Pullover', '2021-09-28', 1),
(4, 'Jacket', '2021-09-28', 1),
(9, 'Gym equipments', '2021-09-28', 7),
(8, 'Food Ingredients', '2021-09-28', 7),
(7, 'Smart Phone', '2021-09-28', 7),
(6, 'Pullover', '2021-09-28', 7),
(4, 'Jacket', '2021-09-28', 7);

-- --------------------------------------------------------

--
-- Table structure for table `atbicourses`
--

CREATE TABLE `atbicourses` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `code` varchar(255) NOT NULL,
  `standard` varchar(255) NOT NULL,
  `cv` int(255) NOT NULL,
  `isActive` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `atbicourses`
--

INSERT INTO `atbicourses` (`id`, `name`, `code`, `standard`, `cv`, `isActive`) VALUES
(1, 'Psychology', 'PC-156', 'Minor', 4, 1),
(2, 'Books of the bible', 'PC-405', 'Major', 2, 1),
(3, 'Theology', 'PC-904', 'Major', 4, 1),
(4, 'Church History', 'PC-375', 'Major', 4, 1),
(6, 'Sports', 'PC-676', 'Major', 4, 1);

-- --------------------------------------------------------

--
-- Table structure for table `atbilecturer`
--

CREATE TABLE `atbilecturer` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `telephone` varchar(255) NOT NULL,
  `personalPin` varchar(255) NOT NULL,
  `courseId` int(255) NOT NULL,
  `occupation` varchar(255) NOT NULL,
  `positionId` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `atbilecturer`
--

INSERT INTO `atbilecturer` (`id`, `name`, `address`, `telephone`, `personalPin`, `courseId`, `occupation`, `positionId`) VALUES
(3, 'Mr Collins Enow', 'Cameroon', '123456', 'T-4690', 1, 'doctor', 0);

-- --------------------------------------------------------

--
-- Table structure for table `atbioffice`
--

CREATE TABLE `atbioffice` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `atbioffice`
--

INSERT INTO `atbioffice` (`id`, `name`, `description`) VALUES
(4, 'Discipline Master', 'He disciplines naughty students very hard'),
(6, 'The principal', 'He is the head of the school');

-- --------------------------------------------------------

--
-- Table structure for table `atbistudents`
--

CREATE TABLE `atbistudents` (
  `id` int(11) NOT NULL,
  `student_type` varchar(255) NOT NULL,
  `memberId` int(255) NOT NULL,
  `badge` int(255) NOT NULL,
  `isSubmit` tinyint(1) NOT NULL,
  `date` date NOT NULL,
  `matricule` varchar(255) NOT NULL,
  `motivation_letter` mediumblob NOT NULL,
  `application_letter` mediumblob NOT NULL,
  `sponsor_name` varchar(255) NOT NULL,
  `relationship_with_sponsor` varchar(255) NOT NULL,
  `sponsor_occupation` varchar(255) NOT NULL,
  `sponsor_telephone` varchar(255) NOT NULL,
  `studentName` varchar(255) NOT NULL,
  `passportPhoto` mediumblob NOT NULL,
  `nidNumber` varchar(255) NOT NULL,
  `dob` date NOT NULL,
  `address` varchar(255) NOT NULL,
  `education` varchar(255) NOT NULL,
  `maritalStatus` varchar(255) NOT NULL,
  `baptism` varchar(255) NOT NULL,
  `attendedBibleSchool` varchar(255) NOT NULL,
  `church` varchar(255) NOT NULL,
  `telephone` varchar(255) NOT NULL,
  `gender` varchar(255) NOT NULL,
  `reason` text NOT NULL,
  `idnum` varchar(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `isStudent` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `atbistudents`
--

INSERT INTO `atbistudents` (`id`, `student_type`, `memberId`, `badge`, `isSubmit`, `date`, `matricule`, `motivation_letter`, `application_letter`, `sponsor_name`, `relationship_with_sponsor`, `sponsor_occupation`, `sponsor_telephone`, `studentName`, `passportPhoto`, `nidNumber`, `dob`, `address`, `education`, `maritalStatus`, `baptism`, `attendedBibleSchool`, `church`, `telephone`, `gender`, `reason`, `idnum`, `country`, `isStudent`) VALUES
(2, 'Member', 17, 3, 1, '2021-11-24', 'PC21-421XL', '', '', 'Tanyi John', 'Father', 'Teacher', '676466800', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '', '', '', 1),
(3, 'Visitor', 0, 3, 1, '2021-11-24', 'PC21-643GR', '', '', 'rich guy', 'sponsor', 'doctor', '4564536', 'John Cena', '', '3456435645', '2020-11-12', 'transformers camp', 'phD', 'Single', 'Baptised but not immersion', 'Yes', 'arise and shine church international', '3455643', 'Male', 'they are good oh', '', '', 1),
(4, 'Member', 14, 3, 1, '2021-11-24', 'PC21-887BJ', '', '', 'fds dfgsdfg', 'ertewr', 'sdfgsdfgsdfg', '3456456', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '', '', '', 1),
(5, 'Member', 16, 3, 1, '2021-11-24', 'PC21-166LP', '', '', 'gdsfd', 'trerwsdf', 'ndgfs', '3354', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '', '', '', 1),
(6, 'Member', 27, 3, 1, '2021-11-24', 'PC21-519SL', '', '', 'jgfdgfgf ', 'eyhdfg', 'kfhjfgj', '6456', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '', '', '', 1),
(7, 'Member', 24, 3, 1, '2021-11-24', 'PC21-633HC', 0x313237393664323434356332303464666566363764343463373065613266383933333366383930362d507261796572204c696e6520526567697374726174696f6e204c696d6265204d696c652032204272616e6368204f63746f6265722020323032312e646f6378, 0x396634353961613635393634643062633138663863663935353164383164393966656339656430302d43617365207374756479206f6620736f6d652066616d6f7573204166726963616e20526573697374616e63652e646f6378, 'fgdsg sfdsgesr', 'wrete ertwert', 'ertyertyerty', '34563456', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '', '', '', 1),
(8, 'Visitor', 0, 3, 1, '2021-11-24', 'PC21-315AO', 0x346132336230363632313434666266623664633236303831393266613964366263643463323535642d42756c6c6574696e2032304f63746f6265722e646f6378, 0x363165363562383139383330326262663536333064663137373030366632373632656137323436382d5245504f5254204f4e20544845205354415445204f4620484f53504954414c49545920494e204d5554454e47454e45204252414e434820464f5220544845204d4f4e5448204f462053455054454d4245522e646f63, 'sdfsdfg ssgfsfd', 'sgsfdfg', 'dfghfghdf', '4356645', 'samuel etoo', 0x616663343564303432333036383966633739653934303037616466643736343562363339663861642d696d616765732e6a7067, '34563456', '2020-11-19', 'buea town', 'Advanced level', 'Single', 'Baptised but not immersion', 'Yes', 'arise and shine church international', '6788567', 'Male', 'dfghd fgdfgh dfghdfgh', '', '', 1),
(9, 'Member', 38, 3, 1, '2021-11-25', 'PC21-957XZ', 0x313237393664323434356332303464666566363764343463373065613266383933333366383930362d507261796572204c696e6520526567697374726174696f6e204c696d6265204d696c652032204272616e6368204f63746f6265722020323032312e646f6378, 0x386232363836333766653438326461306562336565333734303264333333323862386565636264622d4174746573746174696f6e5f64655f53746167652e646f6378, 'bill gates', 'friend', 'programmer', '453634565', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '', '533744543', '', 1),
(10, 'Visitor', 0, 3, 1, '2021-11-25', 'PC21-135WU', 0x373135623930376562336462636161333238633336356434393835323835643034633337663735632d436f6e747261637420466f72206f7572206d61726b65746572732e646f6378, 0x393461656336386664376431333939346632626563326561663162343662653865316635333632662d4966207468657365207468696e677320636f6d6520696e746f206578697374656e636520696e20796f757220616e6420696e6372656173652e646f6378, 'Peter Okechukwu', 'we are not even related', 'farmer', '98576432', 'Paul Henderson', 0x626462613238663932373730316539346266653764656163633264343334346331323233363838382d706578656c732d6e617468616e2d636f776c65792d313139393539302e6a7067, '09876976', '1990-06-12', 'Tiko road, London', 'first school', 'Single', 'Baptised by immersion', 'Yes', 'big offering church', '79876534', 'Male', 'I don\'t even know why i choose ltm oh', '734149099', 'England', 1),
(11, 'Member', 34, 3, 1, '2021-11-26', 'PC21-981LM', 0x386232363836333766653438326461306562336565333734303264333333323862386565636264622d4174746573746174696f6e5f64655f53746167652e646f6378, 0x363165363562383139383330326262663536333064663137373030366632373632656137323436382d5245504f5254204f4e20544845205354415445204f4620484f53504954414c49545920494e204d5554454e47454e45204252414e434820464f5220544845204d4f4e5448204f462053455054454d4245522e646f63, 'Peter crouch', 'friend', 'footballer', '7777655', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '', '1671860193', '', 1);

-- --------------------------------------------------------

--
-- Table structure for table `atbistudentsattendance`
--

CREATE TABLE `atbistudentsattendance` (
  `id` int(11) NOT NULL,
  `studentId` int(255) NOT NULL,
  `isPresent` tinyint(1) NOT NULL,
  `dateAndTime` datetime(6) NOT NULL,
  `acadBatchId` int(255) NOT NULL,
  `isLate` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `atbistudentsattendance`
--

INSERT INTO `atbistudentsattendance` (`id`, `studentId`, `isPresent`, `dateAndTime`, `acadBatchId`, `isLate`) VALUES
(20, 2, 1, '2021-12-07 11:35:23.000000', 3, 1),
(21, 3, 1, '2021-12-07 11:35:39.000000', 3, 1),
(22, 4, 1, '2021-12-07 11:35:50.000000', 3, 1),
(23, 2, 1, '2021-12-08 08:29:51.000000', 3, 1),
(24, 6, 1, '2021-12-08 09:28:25.000000', 3, 0),
(25, 11, 1, '2021-12-13 13:31:00.000000', 3, 1),
(26, 2, 1, '2021-12-13 13:35:07.000000', 3, 1),
(27, 2, 1, '2022-09-30 00:34:18.000000', 3, 0),
(28, 2, 1, '2022-10-03 22:19:36.000000', 3, 1),
(29, 2, 1, '2022-10-04 21:58:51.000000', 3, 1);

-- --------------------------------------------------------

--
-- Table structure for table `atbituition`
--

CREATE TABLE `atbituition` (
  `id` int(11) NOT NULL,
  `studentId` int(255) NOT NULL,
  `amount` int(255) NOT NULL,
  `transactionId` varchar(255) NOT NULL,
  `batch` varchar(255) NOT NULL,
  `date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `atbituition`
--

INSERT INTO `atbituition` (`id`, `studentId`, `amount`, `transactionId`, `batch`, `date`) VALUES
(2, 2, 35000, 'rG51oan4', '3', '2021-11-29'),
(3, 4, 76500, '2ZVOFpqT', '3', '2021-11-30'),
(4, 6, 21000, 'f756qxo0', '3', '2021-12-01');

-- --------------------------------------------------------

--
-- Table structure for table `branches`
--

CREATE TABLE `branches` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `date_of_creation` date NOT NULL,
  `country` varchar(255) NOT NULL,
  `zoneId` int(255) NOT NULL,
  `branch_location` varchar(255) NOT NULL,
  `uname` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `telephone` varchar(255) NOT NULL,
  `acc_number` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `branches`
--

INSERT INTO `branches` (`id`, `name`, `date_of_creation`, `country`, `zoneId`, `branch_location`, `uname`, `password`, `telephone`, `acc_number`) VALUES
(1, 'Limbe mile 2', '2021-11-23', 'Cameroon', 1, 'opposite bahai', 'limbem2', 'dcddb75469b4b4875094e14561e573d8', '1234567', 'lim4041428514'),
(2, 'Molyko', '2021-11-23', 'Cameroon', 4, 'opposite the molyko police', 'moly', 'dcddb75469b4b4875094e14561e573d8', '34563456345', 'mol9364044897'),
(3, 'Batoke', '2021-12-16', 'Cameroon', 1, 'Very amazing branch, they are growing so fast.', 'Batoks', '827ccb0eea8a706c4c34a16891f84e7b', '86745674657', 'bat6077650463');

-- --------------------------------------------------------

--
-- Table structure for table `camarks`
--

CREATE TABLE `camarks` (
  `id` int(11) NOT NULL,
  `studentId` int(255) NOT NULL,
  `semester` int(255) NOT NULL,
  `courseId` int(255) NOT NULL,
  `marks` int(255) NOT NULL,
  `bonus` int(255) NOT NULL,
  `isCa` tinyint(1) NOT NULL,
  `isExam` tinyint(1) NOT NULL,
  `isResit` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `camarks`
--

INSERT INTO `camarks` (`id`, `studentId`, `semester`, `courseId`, `marks`, `bonus`, `isCa`, `isExam`, `isResit`) VALUES
(9, 2, 1, 2, 2, 0, 1, 0, 0),
(10, 3, 1, 2, 13, 5, 1, 0, 0),
(11, 4, 1, 2, 11, 0, 1, 0, 0),
(12, 5, 1, 2, 27, 0, 1, 0, 0),
(13, 6, 1, 2, 14, 2, 1, 0, 0),
(14, 7, 1, 2, 30, 0, 1, 0, 0),
(15, 8, 1, 2, 21, 0, 1, 0, 0),
(16, 9, 1, 2, 16, 0, 1, 0, 0),
(17, 10, 1, 2, 11, 0, 1, 0, 0),
(18, 2, 1, 1, 24, 2, 1, 0, 0),
(19, 3, 1, 1, 17, 0, 1, 0, 0),
(20, 4, 1, 1, 21, 0, 1, 0, 0),
(21, 2, 1, 2, 45, 0, 0, 1, 0),
(22, 3, 1, 2, 52, 3, 0, 1, 0),
(23, 4, 1, 2, 44, 0, 0, 1, 0),
(24, 6, 1, 2, 29, 0, 0, 1, 0),
(25, 5, 1, 2, 44, 0, 0, 1, 0),
(26, 8, 1, 2, 15, 2, 0, 1, 0),
(27, 7, 1, 2, 67, 0, 0, 1, 0),
(28, 9, 1, 2, 70, 0, 0, 1, 0),
(29, 10, 1, 2, 45, 0, 0, 1, 0),
(30, 2, 1, 2, 50, 0, 0, 0, 1),
(31, 2, 1, 4, 22, 0, 1, 0, 0),
(32, 3, 1, 4, 17, 0, 1, 0, 0),
(33, 4, 1, 4, 21, 4, 1, 0, 0),
(34, 5, 1, 4, 5, 0, 1, 0, 0),
(35, 6, 1, 4, 23, 0, 1, 0, 0),
(36, 7, 1, 4, 17, 8, 1, 0, 0),
(37, 8, 1, 4, 11, 0, 1, 0, 0),
(38, 9, 1, 4, 15, 2, 1, 0, 0),
(39, 10, 1, 4, 22, 3, 1, 0, 0),
(40, 11, 1, 4, 13, 0, 1, 0, 0),
(41, 2, 1, 3, 16, 0, 1, 0, 0),
(42, 3, 1, 3, 18, 0, 1, 0, 0),
(43, 4, 1, 3, 23, 0, 1, 0, 0),
(44, 5, 1, 3, 21, 0, 1, 0, 0),
(45, 6, 1, 3, 20, 0, 1, 0, 0),
(46, 7, 1, 3, 29, 0, 1, 0, 0),
(47, 8, 1, 3, 13, 0, 1, 0, 0),
(48, 9, 1, 3, 18, 0, 1, 0, 0),
(49, 10, 1, 3, 19, 0, 1, 0, 0),
(50, 11, 1, 3, 11, 0, 1, 0, 0),
(51, 11, 1, 2, 30, 0, 1, 0, 0),
(52, 5, 1, 1, 22, 0, 1, 0, 0),
(53, 6, 1, 1, 16, 0, 1, 0, 0),
(54, 7, 1, 1, 17, 0, 1, 0, 0),
(55, 8, 1, 1, 21, 0, 1, 0, 0),
(56, 9, 1, 1, 19, 0, 1, 0, 0),
(57, 10, 1, 1, 28, 0, 1, 0, 0),
(58, 11, 1, 1, 30, 0, 1, 0, 0),
(59, 2, 2, 4, 11, 0, 1, 0, 0),
(60, 3, 2, 4, 21, 0, 1, 0, 0),
(61, 4, 2, 4, 30, 0, 1, 0, 0),
(62, 5, 2, 4, 14, 0, 1, 0, 0),
(63, 6, 2, 4, 19, 0, 1, 0, 0),
(64, 7, 2, 4, 15, 0, 1, 0, 0),
(65, 8, 2, 4, 10, 0, 1, 0, 0),
(66, 9, 2, 4, 5, 0, 1, 0, 0),
(67, 10, 2, 4, 21, 0, 1, 0, 0),
(68, 11, 2, 4, 22, 0, 1, 0, 0),
(69, 2, 2, 3, 29, 0, 1, 0, 0),
(70, 3, 2, 3, 30, 0, 1, 0, 0),
(71, 4, 2, 3, 13, 0, 1, 0, 0),
(72, 5, 2, 3, 5, 3, 1, 0, 0),
(73, 6, 2, 3, 22, 7, 1, 0, 0),
(74, 7, 2, 3, 21, 0, 1, 0, 0),
(75, 8, 2, 3, 23, 0, 1, 0, 0),
(76, 9, 2, 3, 17, 0, 1, 0, 0),
(77, 10, 2, 3, 18, 0, 1, 0, 0),
(78, 11, 2, 3, 21, 0, 1, 0, 0),
(79, 2, 2, 2, 30, 0, 1, 0, 0),
(80, 3, 2, 2, 20, 0, 1, 0, 0),
(81, 4, 2, 2, 25, 0, 1, 0, 0),
(82, 5, 2, 2, 12, 6, 1, 0, 0),
(83, 6, 2, 2, 21, 0, 1, 0, 0),
(84, 7, 2, 2, 25, 0, 1, 0, 0),
(85, 8, 2, 2, 28, 0, 1, 0, 0),
(86, 9, 2, 2, 29, 0, 1, 0, 0),
(87, 10, 2, 2, 15, 0, 1, 0, 0),
(88, 11, 2, 2, 16, 0, 1, 0, 0),
(89, 2, 2, 1, 14, 0, 1, 0, 0),
(90, 3, 2, 1, 24, 0, 1, 0, 0),
(91, 4, 2, 1, 22, 0, 1, 0, 0),
(92, 5, 2, 1, 30, 0, 1, 0, 0),
(93, 6, 2, 1, 13, 0, 1, 0, 0),
(94, 7, 2, 1, 17, 3, 1, 0, 0),
(95, 8, 2, 1, 18, 0, 1, 0, 0),
(96, 9, 2, 1, 21, 0, 1, 0, 0),
(97, 10, 2, 1, 16, 0, 1, 0, 0),
(98, 11, 2, 1, 22, 0, 1, 0, 0),
(99, 2, 1, 4, 55, 5, 0, 1, 0),
(100, 3, 1, 4, 62, 0, 0, 1, 0),
(101, 4, 1, 4, 28, 0, 0, 1, 0),
(102, 5, 1, 4, 55, 0, 0, 1, 0),
(103, 6, 1, 4, 43, 8, 0, 1, 0),
(104, 7, 1, 4, 31, 9, 0, 1, 0),
(105, 8, 1, 4, 40, 0, 0, 1, 0),
(106, 9, 1, 4, 38, 0, 0, 1, 0),
(107, 10, 1, 4, 69, 0, 0, 1, 0),
(108, 11, 1, 4, 70, 0, 0, 1, 0),
(109, 2, 1, 3, 67, 0, 0, 1, 0),
(110, 3, 1, 3, 63, 0, 0, 1, 0),
(111, 4, 1, 3, 36, 0, 0, 1, 0),
(112, 5, 1, 3, 44, 0, 0, 1, 0),
(113, 6, 1, 3, 51, 0, 0, 1, 0),
(114, 7, 1, 3, 64, 0, 0, 1, 0),
(115, 8, 1, 3, 37, 0, 0, 1, 0),
(116, 9, 1, 3, 46, 0, 0, 1, 0),
(117, 10, 1, 3, 52, 0, 0, 1, 0),
(118, 11, 1, 3, 28, 0, 0, 1, 0),
(119, 11, 1, 2, 47, 0, 0, 1, 0),
(120, 2, 1, 1, 61, 0, 0, 1, 0),
(121, 3, 1, 1, 52, 0, 0, 1, 0),
(122, 4, 1, 1, 37, 0, 0, 1, 0),
(123, 5, 1, 1, 52, 0, 0, 1, 0),
(124, 6, 1, 1, 44, 0, 0, 1, 0),
(125, 7, 1, 1, 29, 0, 0, 1, 0),
(126, 8, 1, 1, 38, 0, 0, 1, 0),
(127, 9, 1, 1, 42, 0, 0, 1, 0),
(128, 10, 1, 1, 51, 0, 0, 1, 0),
(129, 11, 1, 1, 44, 0, 0, 1, 0),
(130, 2, 2, 4, 46, 0, 0, 1, 0),
(131, 3, 2, 4, 65, 0, 0, 1, 0),
(132, 4, 2, 4, 52, 0, 0, 1, 0),
(133, 5, 2, 4, 54, 0, 0, 1, 0),
(134, 6, 2, 4, 26, 0, 0, 1, 0),
(135, 7, 2, 4, 70, 0, 0, 1, 0),
(136, 8, 2, 4, 39, 0, 0, 1, 0),
(137, 9, 2, 4, 25, 0, 0, 1, 0),
(138, 10, 2, 4, 54, 0, 0, 1, 0),
(139, 11, 2, 4, 37, 0, 0, 1, 0),
(140, 2, 2, 3, 55, 0, 0, 1, 0),
(141, 3, 2, 3, 27, 0, 0, 1, 0),
(142, 4, 2, 3, 40, 0, 0, 1, 0),
(143, 5, 2, 3, 64, 0, 0, 1, 0),
(144, 6, 2, 3, 39, 0, 0, 1, 0),
(145, 7, 2, 3, 42, 0, 0, 1, 0),
(146, 8, 2, 3, 54, 0, 0, 1, 0),
(147, 9, 2, 3, 50, 0, 0, 1, 0),
(148, 10, 2, 3, 38, 0, 0, 1, 0),
(149, 11, 2, 3, 48, 0, 0, 1, 0),
(150, 2, 2, 2, 65, 0, 0, 1, 0),
(151, 3, 2, 2, 56, 0, 0, 1, 0),
(152, 4, 2, 2, 46, 0, 0, 1, 0),
(153, 5, 2, 2, 43, 0, 0, 1, 0),
(154, 6, 2, 2, 62, 0, 0, 1, 0),
(155, 7, 2, 2, 61, 0, 0, 1, 0),
(156, 8, 2, 2, 54, 0, 0, 1, 0),
(157, 9, 2, 2, 52, 0, 0, 1, 0),
(158, 10, 2, 2, 70, 0, 0, 1, 0),
(159, 11, 2, 2, 54, 0, 0, 1, 0),
(160, 2, 2, 1, 65, 0, 0, 1, 0),
(161, 3, 2, 1, 34, 0, 0, 1, 0),
(162, 4, 2, 1, 45, 0, 0, 1, 0),
(163, 5, 2, 1, 70, 0, 0, 1, 0),
(164, 6, 2, 1, 47, 6, 0, 1, 0),
(165, 7, 2, 1, 37, 0, 0, 1, 0),
(166, 8, 2, 1, 51, 0, 0, 1, 0),
(167, 9, 2, 1, 53, 0, 0, 1, 0),
(168, 10, 2, 1, 58, 0, 0, 1, 0),
(169, 11, 2, 1, 41, 0, 0, 1, 0),
(170, 6, 1, 2, 60, 0, 0, 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `contributions`
--

CREATE TABLE `contributions` (
  `id` int(11) NOT NULL,
  `transactionId` varchar(255) NOT NULL,
  `memberId` int(255) NOT NULL,
  `motive` text NOT NULL,
  `requestDate` date NOT NULL,
  `paymentDate` date NOT NULL,
  `amount` int(255) NOT NULL,
  `departmentId` int(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `file` mediumblob NOT NULL,
  `isBranch` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `contributions`
--

INSERT INTO `contributions` (`id`, `transactionId`, `memberId`, `motive`, `requestDate`, `paymentDate`, `amount`, `departmentId`, `type`, `file`, `isBranch`) VALUES
(3, 'TRvtET04qXc', 27, 'Media', '0000-00-00', '2021-10-27', 12000, 10, 'Deposit', '', 0),
(4, 'TRMKrYFLADc', 27, 'Coffers', '0000-00-00', '2021-10-29', 38000, 10, 'Deposit', '', 0),
(5, 'TRI2yPKkFbc', 27, 'Birthday', '0000-00-00', '2021-10-22', 42000, 10, 'Deposit', '', 0),
(6, 'TR1FGgnOlEc', 21, 'Media', '0000-00-00', '2021-10-28', 3500, 10, 'Deposit', '', 0),
(7, 'TRq14Z6ipOc', 25, 'Coffers', '0000-00-00', '2021-10-27', 20000, 10, 'Deposit', '', 0),
(8, 'TRRbKgmk57c', 25, 'Coffers', '0000-00-00', '2021-10-26', 11500, 10, 'Deposit', '', 0),
(9, 'TR5ylgekiBc', 18, 'I wanted to pay for the food contribution', '0000-00-00', '2021-10-28', 13000, 10, 'Deposit', '', 0),
(10, 'X1nCbqE6', 0, 'For sick departmental member', '0000-00-00', '2021-11-15', 15000, 10, 'Withdrawal', 0x616336366237653661643230306363393933313036306238333731346335323738323132353033332d706578656c732d6c7569732d7175696e7465726f2d323134383231372e6a7067, 0),
(11, 'TRfYkEwr30c', 21, 'Coffers', '0000-00-00', '2021-10-29', 10000, 10, 'Deposit', '', 0),
(12, 'dep1locPZzic', 18, 'Coffers', '0000-00-00', '2021-11-06', 5000, 10, 'Deposit', '', 0),
(13, 'depMpeySk8nc', 27, 'Media', '0000-00-00', '2021-11-12', 15000, 10, 'Deposit', '', 0),
(14, 'depj5Uf7gclc', 17, 'Coffers', '0000-00-00', '2021-11-08', 5000, 9, 'Deposit', '', 0),
(15, 'dep7fTyMOerc', 14, 'Coffers', '0000-00-00', '2021-11-14', 12000, 9, 'Deposit', '', 0),
(16, 'kXR3USVZ', 0, 'For buying of batteries', '0000-00-00', '2021-11-15', 4000, 9, 'Withdrawal', '', 0),
(18, 'mDaqNsOF', 0, 'Please we really need to buy new chairs', '0000-00-00', '2021-11-15', 20000, 10, 'Withdrawal', 0x323136393364643932313533313264343630326532383961386631383437346334343733636231322d576861747341707020496d61676520323032312d31302d30382061742031302e35312e343120414d20283329202831292e6a706567, 0),
(19, '0NLyJq4B', 0, 'I want to withdraw for special reasons', '0000-00-00', '2021-11-15', 10000, 9, 'Rejected', '', 0),
(20, 'TqfokF70', 0, 'we need money sharp sharp', '0000-00-00', '2021-11-15', 30000, 10, 'Withdrawal', '', 0),
(21, 'mGxrcaXf', 0, 'Just for fun', '2021-11-15', '2021-11-15', 2500, 10, 'Rejected', '', 0),
(22, '9RKBnGpE', 0, 'christmas gift needed', '2021-11-16', '2021-11-16', 10000, 10, 'Rejected', '', 0);

-- --------------------------------------------------------

--
-- Table structure for table `departments`
--

CREATE TABLE `departments` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `date_of_creation` date NOT NULL,
  `task` text NOT NULL,
  `uname` varchar(255) NOT NULL,
  `pword` varchar(255) NOT NULL,
  `cpword` varchar(255) NOT NULL,
  `telephone` varchar(255) NOT NULL,
  `status` varchar(255) NOT NULL,
  `action` varchar(255) NOT NULL,
  `isLogin` tinyint(1) NOT NULL,
  `facebook` varchar(255) NOT NULL,
  `twitter` varchar(255) NOT NULL,
  `instagram` varchar(255) NOT NULL,
  `linkedin` varchar(255) NOT NULL,
  `skype` varchar(255) NOT NULL,
  `acc_number` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `departments`
--

INSERT INTO `departments` (`id`, `name`, `date_of_creation`, `task`, `uname`, `pword`, `cpword`, `telephone`, `status`, `action`, `isLogin`, `facebook`, `twitter`, `instagram`, `linkedin`, `skype`, `acc_number`) VALUES
(9, 'Social Media', '2021-10-18', 'To help build the social media platforms of the church like websites and the rest', 'smdep', '827ccb0eea8a706c4c34a16891f84e7b', '827ccb0eea8a706c4c34a16891f84e7b', '3453452435', '', '', 1, '', '', '', '', '', ''),
(10, 'Ushers', '2021-10-18', 'Arrange the church for service and during service', 'usdep', '827ccb0eea8a706c4c34a16891f84e7b', '827ccb0eea8a706c4c34a16891f84e7b', '3645345634', '', '', 1, 'https://www.facebook.com/LTMVIDEOGRAPHERS', '', '', '', '', ''),
(11, 'Sanctuary', '2021-10-18', 'Clean the church from any vomitting and dirty stuffs', 'sanctua', '827ccb0eea8a706c4c34a16891f84e7b', '01cfcd4f6b8770febfb40cb906715822', '34534534', '', '', 0, '', '', '', '', '', ''),
(13, 'Videographers', '2021-10-22', 'To record live images ', 'video', '827ccb0eea8a706c4c34a16891f84e7b', '827ccb0eea8a706c4c34a16891f84e7b', '1234567', '', '', 0, '', '', '', '', '', ''),
(14, 'Transformers Dancers', '2021-11-15', 'They sing to the glory of God', 'tsdep', '827ccb0eea8a706c4c34a16891f84e7b', '827ccb0eea8a706c4c34a16891f84e7b', '672415123432', '', '', 0, '', '', '', '', '', 'tra5300699446');

-- --------------------------------------------------------

--
-- Table structure for table `depmembersmessaging`
--

CREATE TABLE `depmembersmessaging` (
  `id` int(11) NOT NULL,
  `telephone` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `date` date NOT NULL,
  `state` varchar(255) NOT NULL,
  `depId` int(11) NOT NULL,
  `memId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `depmembersmessaging`
--

INSERT INTO `depmembersmessaging` (`id`, `telephone`, `subject`, `message`, `date`, `state`, `depId`, `memId`) VALUES
(1, '673421819', 'chicken in the camp for sale', 'Hi st ann, there are fat chickens here in the camp for sale at just 3000frs please buy oh.\r\n', '2021-10-21', 'sent', 11, 16),
(2, '672415123', 'Food in the camp is ready', 'St Tanyi, we heard you were very very hungry please come and eat oh before you collapse\r\n', '2021-10-21', 'draft', 11, 17),
(3, '35345234', 'St global the flyers are not professional', 'I am writing with a heavy heart to say that the flyers are not the best. How can we see lorem ipsum on flyers eh?', '2021-10-21', 'sent', 10, 23),
(4, '653766939', 'How was the meal?', 'Reverend how was the meal at the camp today? did the campers do their best or did they just cook poti?', '2021-10-21', 'sent', 11, 15),
(7, '673421819', 'na weti eh', 'asdfasdf adsfadfasdfasdfa', '2021-10-22', 'sent', 10, 21),
(8, '35345234', 'seriousness', 'Please you guys should try to be serious yah', '2021-10-29', 'draft', 10, 18),
(9, '35345234', 'Improved well', 'Wow this department has greatly improved', '2021-10-29', 'sent', 10, 18),
(11, '233455', 'You are serious', 'We want to appreciate your seriousness in this department. God bless you!!!', '2021-10-29', 'sent', 10, 27),
(12, '35345234', 'did you pay the debt', 'I was just writing to ask if you paid the debt', '2021-11-30', 'sent', 13, 33);

-- --------------------------------------------------------

--
-- Table structure for table `familyrelatives`
--

CREATE TABLE `familyrelatives` (
  `id` int(11) NOT NULL,
  `memberId` int(255) NOT NULL,
  `relativeId` int(255) NOT NULL,
  `relation` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `familyrelatives`
--

INSERT INTO `familyrelatives` (`id`, `memberId`, `relativeId`, `relation`) VALUES
(120, 38, 17, 'Brother'),
(122, 17, 16, 'Sister'),
(123, 38, 16, 'Sister'),
(124, 16, 17, 'Brother'),
(125, 16, 38, 'Brother'),
(126, 16, 30, 'Daughter'),
(127, 30, 16, 'Mother'),
(128, 30, 17, 'External'),
(129, 30, 38, 'External'),
(131, 38, 30, 'External'),
(132, 27, 15, 'Father'),
(133, 15, 27, 'Daughter'),
(134, 15, 24, 'Son'),
(135, 15, 24, 'Son'),
(136, 27, 24, 'Brother'),
(139, 17, 38, 'Brother'),
(140, 17, 30, 'External'),
(141, 34, 30, 'Sister'),
(142, 30, 34, 'Brother'),
(143, 16, 34, 'Son'),
(144, 17, 34, 'External'),
(145, 38, 34, 'External'),
(146, 24, 15, 'Father'),
(147, 24, 27, 'Sister');

-- --------------------------------------------------------

--
-- Table structure for table `firsttimers`
--

CREATE TABLE `firsttimers` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `phone` int(255) NOT NULL,
  `dob` date NOT NULL,
  `gender` varchar(255) NOT NULL,
  `age` int(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `occupation` varchar(255) NOT NULL,
  `visit` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `invited` varchar(255) NOT NULL,
  `evangelistId` int(255) NOT NULL,
  `evangelismChannel` varchar(255) NOT NULL,
  `staywithus` varchar(255) NOT NULL,
  `departmentId` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `firsttimers`
--

INSERT INTO `firsttimers` (`id`, `name`, `phone`, `dob`, `gender`, `age`, `country`, `occupation`, `visit`, `address`, `invited`, `evangelistId`, `evangelismChannel`, `staywithus`, `departmentId`) VALUES
(1, 'Mr Kingsley Orji', 76554324, '2021-12-15', 'Male', 32, 'Algeria', 'Software Engineer', 'Yes', 'buea town', 'Evangelist', 14, '', 'Yes', 11);

-- --------------------------------------------------------

--
-- Table structure for table `fund_campaigns`
--

CREATE TABLE `fund_campaigns` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `start` date NOT NULL,
  `has_end` varchar(255) NOT NULL,
  `end` date NOT NULL,
  `goal` int(255) NOT NULL,
  `pledged` int(255) NOT NULL,
  `raised` int(255) NOT NULL,
  `remaining` int(255) NOT NULL,
  `percentage_complete` int(255) NOT NULL,
  `status` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `fund_campaigns`
--

INSERT INTO `fund_campaigns` (`id`, `name`, `start`, `has_end`, `end`, `goal`, `pledged`, `raised`, `remaining`, `percentage_complete`, `status`) VALUES
(1, 'Back to school', '2021-09-12', 'Yes', '2021-09-21', 2500000, 0, 0, 0, 0, 'inactive'),
(2, 'Repair 70 seater bus', '2021-09-01', 'Yes', '2021-09-15', 350000, 0, 0, 0, 0, 'inactive'),
(3, 'Roofing ', '2021-09-01', 'Yes', '2021-10-21', 340000, 490000, 0, 340000, 0, 'inactive'),
(5, 'Tiling', '2021-09-15', 'No', '0000-00-00', 1200000, 134000, 5000, 1195000, 0, 'active'),
(6, 'Building another grace hall', '2021-09-03', 'Yes', '2021-09-17', 15250000, 0, 0, 0, 0, 'inactive'),
(8, 'Buying bus', '2021-09-10', 'No', '0000-00-00', 50000000, 55000, 30000, 49970000, 0, 'active'),
(10, 'Buying land', '2021-09-14', 'Yes', '2021-09-24', 35000000, 311500, 10500, 34989500, 0, 'inactive'),
(12, 'making poultry', '2021-09-07', 'Yes', '2021-09-13', 155000, 0, 0, 0, 0, 'inactive'),
(14, 'Agricultural project', '2021-09-21', 'Yes', '2021-09-30', 1500000, 1533000, 340000, 1160000, 23, 'inactive'),
(17, 'Roofing', '2021-09-01', 'Yes', '2021-09-21', 350000, 490000, 0, 340000, 0, 'inactive'),
(19, 'Operation christmas', '2021-09-21', 'Yes', '2021-12-24', 13000000, 640000, 0, 13000000, 0, 'inactive'),
(20, 'Sama Yanick', '2021-09-22', 'Yes', '2021-09-23', 2147483647, 0, 0, 0, 0, 'inactive'),
(22, 'Building new swimming pool', '2021-09-26', 'Yes', '2021-09-30', 2000000, 140000, 80000, 1920000, 4, 'inactive'),
(25, 'Love meal', '2021-10-01', 'Yes', '2021-10-30', 10000000, 50000, 30000, 9970000, 0, 'inactive'),
(27, 'Cultivation of Tomatoes', '2021-09-26', 'Yes', '2021-10-08', 250000, 0, 0, 0, 0, 'inactive'),
(28, 'Buy private jet', '2021-09-25', 'No', '0000-00-00', 30000000, 500000, 450000, 29550000, 2, 'active'),
(29, 'Back to school', '2021-09-26', 'Yes', '2021-10-07', 1500000, 0, 0, 0, 0, 'inactive'),
(46, 'mosorire campaign', '2021-10-07', 'Yes', '2021-10-16', 1200000, 0, 0, 0, 0, 'inactive'),
(47, 'Cultivation', '2021-10-12', 'Yes', '2023-12-14', 350000, 0, 0, 0, 0, 'active'),
(48, 'buy bus', '2021-10-19', 'Yes', '2021-10-30', 550000, 0, 0, 0, 0, 'inactive');

-- --------------------------------------------------------

--
-- Table structure for table `gate_checking`
--

CREATE TABLE `gate_checking` (
  `id` int(11) NOT NULL,
  `isMember` tinyint(1) NOT NULL,
  `memberId` int(255) NOT NULL,
  `motive` varchar(255) NOT NULL,
  `dateTime` datetime(6) NOT NULL,
  `isLuggage` tinyint(1) NOT NULL,
  `hasCarBike` tinyint(1) NOT NULL,
  `entryGate` varchar(255) NOT NULL,
  `luggageType` varchar(255) NOT NULL,
  `contents` text NOT NULL,
  `remark` text NOT NULL,
  `matricule` varchar(255) NOT NULL,
  `parkingLot` varchar(255) NOT NULL,
  `visitorName` varchar(255) NOT NULL,
  `nidNumber` varchar(255) NOT NULL,
  `telephone` int(255) NOT NULL,
  `gender` varchar(255) NOT NULL,
  `visitReason` text NOT NULL,
  `code` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `hospitality`
--

CREATE TABLE `hospitality` (
  `id` int(11) NOT NULL,
  `memberId` int(255) NOT NULL,
  `date` date NOT NULL,
  `purpose` varchar(255) NOT NULL,
  `details` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `hospitality`
--

INSERT INTO `hospitality` (`id`, `memberId`, `date`, `purpose`, `details`) VALUES
(1, 17, '2021-12-15', 'To see his new House', 'St Tanyi get plenty money, if you see only e house eh, you go wash hand sotey your own came'),
(2, 15, '2021-12-16', 'To celebrate God for his new land cruiser prado', 'mamami eh, wunna don see thing weh God don do for Reverend e life, hmmm only motor, wunna go wash hand for this outside weh we dey inside so.');

-- --------------------------------------------------------

--
-- Table structure for table `inventoryequipments`
--

CREATE TABLE `inventoryequipments` (
  `id` int(11) NOT NULL,
  `pur_date` date NOT NULL,
  `name` varchar(255) NOT NULL,
  `brandId` int(255) NOT NULL,
  `categoryId` int(255) NOT NULL,
  `image` mediumblob NOT NULL,
  `quantity` int(255) NOT NULL,
  `description` text NOT NULL,
  `cost` int(255) NOT NULL,
  `warranty` int(255) NOT NULL,
  `referenceTime` int(255) NOT NULL,
  `expiredTime` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `inventoryequipments`
--

INSERT INTO `inventoryequipments` (`id`, `pur_date`, `name`, `brandId`, `categoryId`, `image`, `quantity`, `description`, `cost`, `warranty`, `referenceTime`, `expiredTime`) VALUES
(3, '2021-12-16', 'Keyboard', 3, 1, 0x343636626165636166326631613164383465623131356532393437386531353963343563303831652d62616e6e6572332e6a7067, 3, 'This piano is the best in the world', 1500000, 12, 1640027079, 2018459079);

-- --------------------------------------------------------

--
-- Table structure for table `inventorymovement`
--

CREATE TABLE `inventorymovement` (
  `id` int(11) NOT NULL,
  `dateCollected` date NOT NULL,
  `expectedReturn` date NOT NULL,
  `actualReturn` date NOT NULL,
  `itemId` int(255) NOT NULL,
  `collectorId` int(255) NOT NULL,
  `returneeId` int(255) NOT NULL,
  `qtycollected` int(255) NOT NULL,
  `qtyreturned` int(255) NOT NULL,
  `imageState` mediumblob NOT NULL,
  `motiveCollected` text NOT NULL,
  `remark` text NOT NULL,
  `imageincomingstate` mediumblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `inventorymovement`
--

INSERT INTO `inventorymovement` (`id`, `dateCollected`, `expectedReturn`, `actualReturn`, `itemId`, `collectorId`, `returneeId`, `qtycollected`, `qtyreturned`, `imageState`, `motiveCollected`, `remark`, `imageincomingstate`) VALUES
(1, '2021-12-15', '2021-12-20', '0000-00-00', 3, 18, 0, 2, 0, 0x376365356532356433393161333763363263653364653166623539366663626132383863383735342d436f44584d745158674141326470462e6a7067, 'dsadfa df', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `itemsbrand`
--

CREATE TABLE `itemsbrand` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `image` mediumblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `itemsbrand`
--

INSERT INTO `itemsbrand` (`id`, `name`, `image`) VALUES
(2, 'SONY', 0x666663343838366261656339623163356235316538626166336131663037313438646164326439302d576861747341707020496d61676520323032312d31302d31362061742031322e32382e353520504d2e6a706567),
(3, 'SAMSUNG', 0x323936333132633035666537636364653866653534326431303132356665613862643334636236612d5072617965726c696e65206f6666696369616c2e6a7067);

-- --------------------------------------------------------

--
-- Table structure for table `itemscategory`
--

CREATE TABLE `itemscategory` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `itemscategory`
--

INSERT INTO `itemscategory` (`id`, `name`) VALUES
(1, 'Electrical'),
(3, 'Furniture');

-- --------------------------------------------------------

--
-- Table structure for table `memberattendance`
--

CREATE TABLE `memberattendance` (
  `id` int(11) NOT NULL,
  `memberId` int(11) NOT NULL,
  `departmentId` int(11) NOT NULL,
  `attendance` varchar(255) NOT NULL,
  `service_tag` varchar(255) NOT NULL,
  `markedDate` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `memberattendance`
--

INSERT INTO `memberattendance` (`id`, `memberId`, `departmentId`, `attendance`, `service_tag`, `markedDate`) VALUES
(38, 27, 10, 'Permission', 'Departmental Meeting', '2021-10-27'),
(39, 25, 10, 'Present', 'Departmental Meeting', '2021-10-27'),
(40, 21, 10, 'Present', 'Departmental Meeting', '2021-10-27'),
(41, 14, 9, 'Present', 'Sunday Service', '2021-10-27'),
(42, 27, 10, 'Present', 'Sunday Service', '2021-10-28'),
(43, 25, 10, 'Permission', 'Sunday Service', '2021-10-28'),
(44, 21, 10, 'Absent', 'Sunday Service', '2021-10-28'),
(45, 27, 10, 'Present', 'Departmental Meeting', '2021-11-15'),
(46, 21, 10, 'Absent', 'Departmental Meeting', '2021-11-15'),
(47, 25, 10, 'Permission', 'Departmental Meeting', '2021-11-15'),
(48, 18, 10, 'Present', 'Departmental Meeting', '2021-11-15'),
(49, 38, 10, 'Present', 'Sunday Service', '2021-11-23'),
(50, 27, 10, 'Present', 'Sunday Service', '2021-11-23'),
(51, 25, 10, 'Present', 'Sunday Service', '2021-11-23'),
(52, 21, 10, 'Present', 'Sunday Service', '2021-11-23'),
(53, 18, 10, 'Permission', 'Sunday Service', '2021-11-23');

-- --------------------------------------------------------

--
-- Table structure for table `members`
--

CREATE TABLE `members` (
  `id` int(11) NOT NULL,
  `depId` int(255) NOT NULL,
  `branchId` int(255) NOT NULL,
  `image` mediumblob NOT NULL,
  `name` varchar(255) NOT NULL,
  `branch` varchar(255) NOT NULL,
  `telephone` varchar(255) NOT NULL,
  `prefix` varchar(255) NOT NULL,
  `occupation` varchar(255) NOT NULL,
  `status` varchar(255) NOT NULL,
  `dob` date NOT NULL,
  `gender` varchar(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `hschool` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `information` text NOT NULL,
  `baptism` varchar(255) NOT NULL,
  `language` text NOT NULL,
  `first_visit` date NOT NULL,
  `first_heard` varchar(255) NOT NULL,
  `evangelist` varchar(255) NOT NULL,
  `howheardaboutus` varchar(255) NOT NULL,
  `relations` varchar(255) NOT NULL,
  `filts` varchar(255) NOT NULL,
  `atbifl` varchar(255) NOT NULL,
  `atbipc` varchar(255) NOT NULL,
  `atbimc` varchar(255) NOT NULL,
  `cell` varchar(255) NOT NULL,
  `cell_position` varchar(255) NOT NULL,
  `facebook` varchar(255) NOT NULL,
  `instagram` varchar(255) NOT NULL,
  `youtube` varchar(255) NOT NULL,
  `twitter` varchar(255) NOT NULL,
  `date_joined` date NOT NULL,
  `action` varchar(255) NOT NULL,
  `position` varchar(255) NOT NULL,
  `duplicate` varchar(255) NOT NULL,
  `duplicated_id` int(11) NOT NULL,
  `depAction` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `isUser` tinyint(1) NOT NULL,
  `username` varchar(255) NOT NULL,
  `userRole` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `members`
--

INSERT INTO `members` (`id`, `depId`, `branchId`, `image`, `name`, `branch`, `telephone`, `prefix`, `occupation`, `status`, `dob`, `gender`, `country`, `hschool`, `address`, `information`, `baptism`, `language`, `first_visit`, `first_heard`, `evangelist`, `howheardaboutus`, `relations`, `filts`, `atbifl`, `atbipc`, `atbimc`, `cell`, `cell_position`, `facebook`, `instagram`, `youtube`, `twitter`, `date_joined`, `action`, `position`, `duplicate`, `duplicated_id`, `depAction`, `email`, `isUser`, `username`, `userRole`, `password`) VALUES
(14, 9, 0, 0x666663343838366261656339623163356235316538626166336131663037313438646164326439302d576861747341707020496d61676520323032312d31302d31362061742031322e32382e353520504d2e6a706567, 'Atah Betrand', '', '53453453', 'Bro.', 'business man', 'Married', '1991-09-15', 'Male', 'Cameroon', 'bachelor', 'transformers camp', 'He is extremely super commited in what he does all the time', 'immersion', 'italian', '2015-06-17', 'TV', '', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-18', '', 'Leader', '', 0, '', '', 0, '', '', ''),
(15, 11, 0, 0x623431326633616363376530383135313162333931386162613334303131336163323862326264302d3133363037333339315f3734383737343337323733353736375f343730343438393330353434383235313133385f6e2e6a7067, 'Sama Yanick', '', '653766939', 'Bro.', 'Business tycoon', 'Single', '1994-05-28', 'Male', 'Cameroon', 'bachelor', 'Mile 4 Limbe', 'He is a software legend, he can even build AI robots', 'immersion', 'spanish', '2014-12-14', 'TV', '', '', '', 'FILTS', 'ATBI (foundational lessons)', 'ATBI (Pastoral Course)', '', 'Blissful Hagios', 'Leader', '', '', '', '', '2021-10-18', '', '', '', 0, '', '', 0, '', '', ''),
(16, 11, 2, 0x343436623562623239313165323038313765366337383432373131653538626261303331323363362d696d6167652e6a7067, 'Eyong Tanyi Enow Ann', '', '673421819', 'Bro.', 'Business', 'Single', '1994-03-19', 'Female', 'Cameroon', 'BMLS', 'New Town', '', 'immersion', 'english', '2014-05-04', 'Evengelist', 'Claude Makelele', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-18', '', 'Ass. Leader', '', 0, '', '', 0, '', '', ''),
(17, 9, 0, 0x633666386631663736363362613439376336363731383333633938623234323866353237396662322d73686570686572642e6a7067, 'Tanyi Ayukegba', '', '672415123', 'Bro.', 'Software Engineer', 'Single', '1997-03-12', 'Male', 'Cameroon', 'bachelor', 'limbe new town', 'He\'s really a cool guy eh', 'immersion', 'english', '2014-11-23', 'TV', '', '', '', 'FILTS', 'ATBI (foundational lessons)', '', '', 'Favour zion', 'Leader', 'https://www.facebook.com/tanyi.ayukegba.1', '', '', '', '2021-10-19', 'Suspended', 'Financial Secretary', '', 0, '', '', 0, '', '', ''),
(18, 10, 1, 0x653832326633323539326330663231636332633337323333336565336463313938666666653431312d706578656c732d616e74686f6e792d73686b726162612d353436373630302e6a7067, 'Atah Betrando', '', '35345234', 'Bro.', 'bush faller', 'Single', '1996-01-08', 'Male', 'American Samoa', 'phD', 'Buea', 'He is the new guy that has similar names with an old guy', 'immersion', 'hebrew', '2021-02-18', 'Evengelist', 'Cristina Fernandez', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-19', '', 'Leader', '', 0, '', '', 0, '', '', ''),
(21, 10, 2, 0x343436623562623239313165323038313765366337383432373131653538626261303331323363362d696d6167652e6a7067, 'Eyong Tanyi Enow Ann', '', '673421819', 'Bro.', 'Business', 'Single', '1994-03-19', 'Female', 'Cameroon', 'BMLS', 'New Town', '', 'immersion', 'english', '2014-05-04', 'Evengelist', 'Claude Makelele', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-18', '', 'Ass. Leader', 'Yes', 16, '', '', 0, '', '', ''),
(22, 11, 0, 0x633666386631663736363362613439376336363731383333633938623234323866353237396662322d73686570686572642e6a7067, 'Tanyi Ayukegba', '', '672415123', 'Bro.', 'Software Engineer', 'Single', '1997-03-12', 'Male', 'Cameroon', 'bachelor', 'limbe new town', 'He\'s really a cool guy eh', 'immersion', 'english', '2014-11-23', 'TV', '', '', '', 'FILTS', 'ATBI (foundational lessons)', '', '', 'Favour zion', 'Leader', 'https://www.facebook.com/tanyi.ayukegba.1', '', '', '', '2021-10-19', '', 'Ass. Leader', 'Yes', 17, '', '', 0, '', '', ''),
(23, 11, 1, 0x653832326633323539326330663231636332633337323333336565336463313938666666653431312d706578656c732d616e74686f6e792d73686b726162612d353436373630302e6a7067, 'Atah Betrando', '', '35345234', 'Bro.', 'bush faller', 'Single', '1996-01-08', 'Male', 'American Samoa', 'phD', 'Buea', 'He is the new guy that has similar names with an old guy', 'immersion', 'hebrew', '2021-02-18', 'Evengelist', 'Cristina Fernandez', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-19', '', 'Leader', 'Yes', 18, '', '', 0, '', '', ''),
(24, 11, 1, 0x636336346533383838336638643937626130363135383539383537386666613631313536326632662d696d6167652e6a7067, 'Sama Yanick Hastings A.O.', '', '653766939', 'Bro.', 'Business Man', 'Married', '1994-05-28', 'Male', 'Cameroon', 'Barchelors of Technology ', 'Isokolo Limbe , Wovia', 'Cute and smart', 'baptised but not immersion', 'spanish', '2014-12-15', 'Evengelist', 'Eyong Tanyi Enow Ann', '', '', '', '', '', '', '', '', 'samayanick@ohipopo.org', 'samayanick@ohipopo.org', 'samayanick@ohipopo.org', 'samayanick@ohipopo.org', '2021-10-22', '', 'Financial Secretary', '', 0, '', '', 0, '', '', ''),
(25, 10, 1, 0x636336346533383838336638643937626130363135383539383537386666613631313536326632662d696d6167652e6a7067, 'Sama Yanick Hastings A.O.', '', '653766939', 'Bro.', 'Business Man', 'Married', '1994-05-28', 'Male', 'Cameroon', 'Barchelors of Technology ', 'Isokolo Limbe , Wovia', 'Cute and smart', 'baptised but not immersion', 'spanish', '2014-12-15', 'Evengelist', 'Eyong Tanyi Enow Ann', '', '', '', '', '', '', '', '', 'samayanick@ohipopo.org', 'samayanick@ohipopo.org', 'samayanick@ohipopo.org', 'samayanick@ohipopo.org', '2021-10-22', '', 'Financial Secretary', 'Yes', 24, '', '', 0, '', '', ''),
(27, 10, 1, 0x386165353935666166383964623131383335323162393862646564653766356637353861653135342d494d475f32303231303331375f3137353230332e6a7067, 'Cristina Fernandez', '', '233455', 'Bro.', 'mechanic', 'Single', '2003-06-26', 'Female', 'South Africa', 'Advanced level', 'cape town', 'white man lady', 'immersion', 'hebrew', '2021-10-01', 'Evengelist', 'Tanyi Ayukegba', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-22', '', 'Secretary', '', 0, '', '', 0, '', '', ''),
(29, 0, 0, 0x623638613030666333386337363162303736343232386564376335373433363662646463366661612d706578656c732d62726574742d7361796c65732d343831383731362e6a7067, 'whiteman sister', '', '6876776878', 'Sis.', 'nurse', 'Married', '1991-02-05', 'Female', 'Algeria', 'phD', 'algiers', 'very hard working person', 'not baptised', 'italian', '2021-10-05', 'TV', '', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-22', '', '', '', 0, '', 'mb@gmail.com', 0, '', '', ''),
(30, 13, 0, 0x356436303630313766623239323461393264663930336461306334643866616462613835353965362d3134363131303835375f3736353935393739313031373232355f343334323630353733323135343338393336345f6e2e6a7067, 'Ann Eyong Tanyi', '', '567546754', 'Sis.', 'footballer', 'Married', '1994-06-27', 'Female', 'Nigeria', 'masters', 'Buea', 'She is very commited', 'immersion', 'english', '2021-08-04', 'TV', '', '', '', 'FILTS', '', '', '', '', '', '', '', '', '', '2021-10-22', '', 'Leader', '', 0, '', 'tanyiayukegba@gmail.com', 0, '', '', ''),
(33, 13, 1, 0x653832326633323539326330663231636332633337323333336565336463313938666666653431312d706578656c732d616e74686f6e792d73686b726162612d353436373630302e6a7067, 'Atah Betrando', '', '35345234', 'Bro.', 'bush faller', 'Single', '1996-01-08', 'Male', 'American Samoa', 'phD', 'Buea', 'He is the new guy that has similar names with an old guy', 'immersion', 'hebrew', '2021-02-18', 'Evengelist', 'Cristina Fernandez', '', '', '', '', '', '', '', '', '', '', '', '', '2021-10-25', '', 'Leader', 'Yes', 18, '', '', 0, '', '', ''),
(34, 13, 0, 0x626531303962366266656134353533323665636332343234636537646433333135343737633764642d646f776e6c6f6164202831292e6a7067, 'Claude Makelele', '', '345345234', '', 'footballers', 'Married', '1993-02-09', 'Male', 'Cameroon', 'phD', 'buea town', '', '', '', '2021-10-08', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '0000-00-00', '', 'Financial Secretary', '', 0, '', 'newuseremail@gmail.com', 1, 'shepherd', 'Reverend Pst', '6cb6cfbfd1a9438942d16083cf3085bc'),
(35, 14, 1, 0x386165353935666166383964623131383335323162393862646564653766356637353861653135342d494d475f32303231303331375f3137353230332e6a7067, 'Cristina Fernandez', '', '233455', 'Bro.', 'mechanic', 'Single', '2003-06-26', 'Female', 'South Africa', 'Advanced level', 'cape town', 'white man lady', 'immersion', 'hebrew', '2021-10-01', 'Evengelist', 'Tanyi Ayukegba', '', '', '', '', '', '', '', '', '', '', '', '', '2021-11-19', '', 'Secretary', 'Yes', 27, '', '', 0, '', '', ''),
(38, 10, 2, 0x376262336535346530323264356561356332313035326333663037613136383637663238633938372d3138303236393437365f3535353933353631383731303638355f343335373936383434313237343538383539385f6e2e6a7067, 'mark zuck', '', '00136220530', 'Bro.', 'Software Engineer', 'Married', '1984-02-11', 'Male', 'United States', 'masters', 'Mamfe', 'This guy is a billionaire so exploit him as much as you can', 'not baptised', 'english', '2021-11-01', 'Evengelist', 'Tanyi Ayukegba', '', '', '', '', '', '', '', '', '', '', '', '', '2021-11-23', '', 'Regular Member', '', 0, '', '', 0, '', '', ''),
(39, 0, 0, '', 'rtgbrgtr', '', '6537611111', '', '', '', '0000-00-00', 'Male', 'Cameroonian', '', 'SW Region, Ombe', '', '', '', '2022-09-30', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '0000-00-00', '', '', '', 0, '', 'dggma@yahoo.com', 1, 'mumchi', 'Reverend Pst', 'c4ca4238a0b923820dcc509a6f75849b'),
(40, 0, 0, '', 'sdsdsdd', '', '3223232323', '', '', '', '0000-00-00', 'Male', 'Cameroonian', '', 'SW Region, Ombe', '', '', '', '2022-10-01', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '0000-00-00', '', '', '', 0, '', 'yanick.sama@yahoo.comdd', 1, 'dddd', 'Leadership Role', '6512bd43d9caa6e02c990b0a82652dca');

-- --------------------------------------------------------

--
-- Table structure for table `neversuggest`
--

CREATE TABLE `neversuggest` (
  `id` int(11) NOT NULL,
  `memberId` int(255) NOT NULL,
  `victimId` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `notifications`
--

CREATE TABLE `notifications` (
  `id` int(11) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `notification` text NOT NULL,
  `depId` int(255) NOT NULL,
  `date` datetime(6) NOT NULL,
  `state` varchar(255) NOT NULL,
  `senderId` int(255) NOT NULL,
  `hasRead` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `notifications`
--

INSERT INTO `notifications` (`id`, `subject`, `notification`, `depId`, `date`, `state`, `senderId`, `hasRead`) VALUES
(1, 'Good work', 'This department is really doing very well and the Shepherd is really impressed', 10, '2021-10-29 13:34:50.000000', 'sent', 34, 1),
(2, 'workers meeting', 'Please inform al l your departmental members about the workers meeting on saturday.', 10, '2021-10-29 13:35:41.000000', 'draft', 34, 0),
(3, 'Video quality', 'please edit the videos better than you do now because we are not impressed with the video quality okay?', 10, '2021-10-30 17:27:11.000000', 'sent', 34, 1),
(4, 'Uniformity', 'Please make sure the ushers department dresses with uniformity. They should start wearing uniforms because we want to identify them', 10, '2021-10-30 19:23:04.000000', 'sent', 34, 1),
(5, 'much movement', 'The Shepherd has complained time without number that there is alot of movement in the church please ushers control the movement now!!!', 10, '2021-10-30 19:28:31.000000', 'sent', 34, 1),
(6, 'You did well', 'I want to thank this department for a job well done. ', 10, '2021-10-30 20:06:53.000000', 'sent', 34, 1),
(7, 'This is to check the time', 'I have been trying to match up the time to no avail, I believe that i will get it right now', 10, '2021-10-30 19:35:56.000000', 'sent', 34, 1),
(8, 'Withdrawal Approved', 'Shalom! this is to inform you that your withdrawal request has been approved', 10, '2021-11-15 13:34:50.000000', 'sent', 34, 1),
(9, 'Withdrawal Rejected!!!', 'Shalom! this is to inform you that your withdrawal request has been rejected', 9, '2021-11-15 13:52:13.000000', 'sent', 34, 1),
(10, 'Withdrawal Rejected!!!', 'Shalom! this is to inform you that your withdrawal request has been rejected', 9, '2021-11-15 13:52:13.000000', 'sent', 34, 1),
(11, 'Withdrawal Approved', 'Shalom! this is to inform you that your withdrawal request has been approved', 10, '2021-11-15 13:56:23.000000', 'sent', 34, 1),
(12, 'Withdrawal Rejected', 'Shalom! this is to inform you that your withdrawal request has been rejected', 9, '2021-11-15 14:08:04.000000', 'sent', 34, 1),
(13, 'Withdrawal Approved', 'Shalom! this is to inform you that your withdrawal request has been approved', 10, '2021-11-15 14:09:51.000000', 'sent', 34, 1),
(14, 'Withdrawal Approved', 'Shalom! this is to inform you that your withdrawal request has been approved', 10, '2021-11-15 14:09:51.000000', 'sent', 34, 1),
(15, 'Withdrawal Rejected', 'Shalom! this is to inform you that your withdrawal request has been rejected', 10, '2021-11-15 15:35:57.000000', 'sent', 34, 1),
(16, 'Withdrawal Rejected', 'Shalom! this is to inform you that your withdrawal request has been rejected', 10, '2021-11-16 11:06:48.000000', 'sent', 34, 1),
(17, 'Member Conduct', 'Wow Cristina keep up you will get an award ', 10, '2021-11-16 12:15:48.000000', 'sent', 34, 1),
(18, 'Departmental Activity', 'Why did you guys go to muea market? you should have gone to checkpoint first', 10, '2021-11-16 12:18:17.000000', 'sent', 34, 1),
(19, 'Departmental Report', 'This report was not well written', 10, '2021-11-16 12:20:10.000000', 'sent', 34, 0),
(20, 'Departmental Activity', 'Wow that\'s great, the shepherd will be so pleased', 10, '2021-11-16 12:31:43.000000', 'sent', 34, 0),
(21, 'Departmental Report', 'Okay thanks I got it', 10, '2021-11-16 14:41:05.000000', 'sent', 34, 1);

-- --------------------------------------------------------

--
-- Table structure for table `notification_computer`
--

CREATE TABLE `notification_computer` (
  `id` int(11) NOT NULL,
  `date` date NOT NULL,
  `departmentId` int(255) NOT NULL,
  `details` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `memberId` int(255) NOT NULL,
  `file` mediumblob NOT NULL,
  `title` varchar(255) NOT NULL,
  `hasRead` tinyint(1) NOT NULL,
  `reply` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `notification_computer`
--

INSERT INTO `notification_computer` (`id`, `date`, `departmentId`, `details`, `type`, `memberId`, `file`, `title`, `hasRead`, `reply`) VALUES
(1, '2021-11-16', 10, 'Today the ushers visited mama sarah ', 'activities', 0, 0x346263643231653466316437386636626333313430346537356362633962653964393837376566632d706578656c732d636f74746f6e62726f2d383532343630302e6a7067, '', 1, 'Wow that\'s great, the shepherd will be so pleased'),
(2, '2021-11-16', 10, 'Usher evangelism started at muea market today', 'activities', 0, 0x626666323765633530363661653564323630643933383935323033303630623636653934633038312d646f776e6c6f61642e6a7067, '', 1, ''),
(3, '2021-11-16', 10, 'This is the best event ', 'activities', 0, 0x393362376664376564396335386332636261393062383331643863363265376539376637343733302d736c6964652e6a7067, '', 1, ''),
(4, '2021-11-16', 10, 'Cristina is very punctual and nice', 'conduct', 27, 0x303162656533356334303937626236326133386164356535363664393330306464653933393733302d3234303932393836355f3432353933333433323139363134345f323239303230393538353230383037343630365f6e2e6a7067, '', 1, ''),
(5, '2021-11-16', 10, '', 'report', 0, 0x346132336230363632313434666266623664633236303831393266613964366263643463323535642d42756c6c6574696e2032304f63746f626572202831292e646f6378, 'November report', 1, ''),
(6, '2021-11-16', 10, '', 'report', 0, 0x363134383633626231346263386465363032383636633163333730663665336132366237636163632d3232333133323438355f323833343039383232303233343630385f353538343132353333343636383534333939315f6e2e6a7067, 'october report', 1, 'Okay thanks I got it');

-- --------------------------------------------------------

--
-- Table structure for table `other_incomes`
--

CREATE TABLE `other_incomes` (
  `id` int(11) NOT NULL,
  `source` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `today_date` date NOT NULL,
  `author` varchar(255) NOT NULL,
  `tenk` int(255) NOT NULL,
  `fivek` int(255) NOT NULL,
  `twok` int(255) NOT NULL,
  `onek` int(255) NOT NULL,
  `fivehundred` int(255) NOT NULL,
  `fivehundred2` int(255) NOT NULL,
  `onehundred` int(255) NOT NULL,
  `fifty` int(255) NOT NULL,
  `twentyfive` int(255) NOT NULL,
  `ten` int(255) NOT NULL,
  `five` int(255) NOT NULL,
  `mtn_momo` int(255) NOT NULL,
  `orange_money` int(255) NOT NULL,
  `bank` int(255) NOT NULL,
  `extra_info` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `other_incomes`
--

INSERT INTO `other_incomes` (`id`, `source`, `date`, `today_date`, `author`, `tenk`, `fivek`, `twok`, `onek`, `fivehundred`, `fivehundred2`, `onehundred`, `fifty`, `twentyfive`, `ten`, `five`, `mtn_momo`, `orange_money`, `bank`, `extra_info`) VALUES
(1, 'somewhere', '2021-10-06', '2021-10-07', 'Sama Yannick', 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 33000, 0, 0, 'this is the best giving i have done this week');

-- --------------------------------------------------------

--
-- Table structure for table `pledgers`
--

CREATE TABLE `pledgers` (
  `id` int(11) NOT NULL,
  `fname` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `occupation` varchar(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `level` varchar(255) NOT NULL,
  `address` varchar(1000) NOT NULL,
  `department` varchar(1000) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `pledgers`
--

INSERT INTO `pledgers` (`id`, `fname`, `phone`, `email`, `occupation`, `country`, `level`, `address`, `department`) VALUES
(1, 'Tanyi Ayukegbe', '672415123', 'tanyiayukegba@gmail.com', 'Software Engineer', 'Cameroon', 'Partner', 'limbe new town', ''),
(3, 'Munyenge Peterstone', '456345634565', 'mb@gmail.com', 'carpenter', 'Israel', 'partner', 'heaven', ''),
(8, 'Mary Lilian', '6534563546', 'eyongta@gmail.com', 'Sailor', 'Guatemala', 'partner', 'somewhere there', ''),
(9, 'Buffalo soldier', '1111111111', 'metheldreda@gmail.com', 'soldier', 'Jamaica', 'member', 'green woods', 'Communicators'),
(10, 'Joseph Jones', '24353425', 'tanyiayukegba@gmail.com', 'mechanic', 'Iran', 'partner', 'yaounde', ''),
(11, 'richer person', '666666456456', 'ohipoposerver002@gmail.com', 'car dealer', 'Lebanon', 'Member', 'douala', 'Videographers'),
(12, 'olembe solomon', '89687576896578', 'eyongta@gmail.com', 'dancer', 'Solomon Islands', 'well-wisher', 'mile 2', ''),
(13, 'gsdgfd dfgsdfg', '6345654', 'eyongta@gmail.com', 'asdfsdf', 'Ireland', 'partner', 'sfdgsdgf sdfg', ''),
(14, 'Samuel Eto\'o', '24353452345', 'ohipoposerver002@gmail.com', 'footballer', 'Iraq', 'member', 'Yaounde', 'Sanctuary'),
(15, 'Samuel Etoos', '7375673546', 'georgensanyi@gmail.com', 'footballer', 'Iraq', 'Member', 'Yaounde', 'Protocals'),
(16, 'sama\'a yannick', '5463564564535', 'tanyiayukegba@gmail.com', 'manager', 'San Marino', 'member', 'limbe', 'Dance Crew'),
(19, 'Mary Lilian', '345345', 'tanyiayukegba@gmail.com', 'footballer', 'Lebanon', 'member', 'Bonaberi, Douala', 'Social Media');

-- --------------------------------------------------------

--
-- Table structure for table `pledging_info`
--

CREATE TABLE `pledging_info` (
  `id` int(11) NOT NULL,
  `pledger_id` int(255) NOT NULL,
  `campaign_id` int(255) NOT NULL,
  `pledger_name` varchar(255) NOT NULL,
  `campaign_name` varchar(255) NOT NULL,
  `pledged_date` date NOT NULL,
  `redeemed_date` date NOT NULL,
  `campaign_start` date NOT NULL,
  `campaign_end` date NOT NULL,
  `amount_pledged` int(255) NOT NULL,
  `amount_paid` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `pledging_info`
--

INSERT INTO `pledging_info` (`id`, `pledger_id`, `campaign_id`, `pledger_name`, `campaign_name`, `pledged_date`, `redeemed_date`, `campaign_start`, `campaign_end`, `amount_pledged`, `amount_paid`) VALUES
(35, 15, 19, 'Samuel Etoos', 'Operation christmas', '2021-09-24', '0000-00-00', '2021-09-21', '2021-12-24', 150000, 0),
(36, 9, 8, 'Buffalo soldier', 'Buying bus', '2021-09-23', '2021-09-25', '2021-09-10', '0000-00-00', 55000, 30000),
(37, 11, 5, 'richer person', 'Tiling', '2021-09-21', '0000-00-00', '2021-09-15', '0000-00-00', 50000, 0),
(38, 11, 19, 'richer person', 'Operation christmas', '2021-09-23', '0000-00-00', '2021-09-21', '2021-12-24', 200000, 0),
(39, 9, 14, 'Buffalo soldier', 'Agricultural project', '2021-09-23', '2021-09-27', '2021-09-21', '2021-09-30', 100000, 60000),
(40, 12, 19, 'olembe solomon', 'Operation christmas', '2021-09-22', '0000-00-00', '2021-09-21', '2021-12-24', 50000, 0),
(41, 8, 8, 'Mary Lilian', 'Buying bus', '0000-00-00', '0000-00-00', '2021-09-10', '0000-00-00', 0, 0),
(42, 8, 10, 'Mary Lilian', 'Buying land', '2021-09-22', '0000-00-00', '2021-09-14', '2021-09-24', 300000, 0),
(43, 3, 5, 'Munyenge Peterstone', 'Tiling', '2021-09-22', '0000-00-00', '2021-09-15', '0000-00-00', 23000, 0),
(44, 9, 10, 'Buffalo soldier', 'Buying land', '2021-09-22', '2021-09-25', '2021-09-14', '2021-09-24', 11500, 10500),
(45, 1, 14, 'Tanyi Ayukegbe', 'Agricultural project', '2021-09-23', '0000-00-00', '2021-09-21', '2021-09-30', 1000000, 0),
(46, 1, 5, 'Tanyi Ayukegbe', 'Tiling', '2021-09-23', '2021-09-25', '2021-09-15', '0000-00-00', 7000, 5000),
(47, 16, 19, 'sama\'a yannick', 'Operation christmas', '2021-09-23', '0000-00-00', '2021-09-21', '2021-12-24', 120000, 0),
(48, 15, 3, 'Samuel Etoos', 'Roofing', '2021-09-23', '0000-00-00', '2021-09-01', '2021-10-21', 5000, 0),
(49, 16, 3, 'sama\'a yannick', 'Roofing', '2021-09-24', '0000-00-00', '2021-09-01', '2021-10-21', 5000, 0),
(50, 16, 14, 'sama\'a yannick', 'Agricultural project', '2021-09-24', '0000-00-00', '2021-09-21', '2021-09-30', 33000, 0),
(51, 16, 5, 'sama\'a yannick', 'Tiling', '2021-09-25', '0000-00-00', '2021-09-15', '0000-00-00', 54000, 0),
(52, 8, 19, 'Mary Lilian', 'Operation christmas', '2021-09-25', '0000-00-00', '2021-09-21', '2021-12-24', 120000, 0),
(53, 11, 3, 'richer person', 'Roofing', '2021-09-24', '0000-00-00', '2021-09-01', '2021-10-21', 480000, 0),
(54, 1, 25, 'Tanyi Ayukegbe', 'Love meal', '2021-09-25', '2021-09-25', '2021-10-01', '2021-10-30', 50000, 30000),
(55, 19, 22, 'Mary Lilian', 'Building new swimming pool', '2021-09-25', '2021-09-29', '2021-09-26', '2021-09-30', 90000, 53000),
(56, 3, 22, 'Munyenge Peterstone', 'Building new swimming pool', '2021-09-26', '2021-09-25', '2021-09-26', '2021-09-30', 10000, 2000),
(57, 15, 22, 'Samuel Etoos', 'Building new swimming pool', '2021-09-25', '2021-09-25', '2021-09-26', '2021-09-30', 40000, 25000),
(58, 10, 28, 'Joseph Jones', 'Buy private jet', '2021-09-26', '2021-09-25', '2021-09-25', '0000-00-00', 500000, 450000),
(59, 10, 14, 'Joseph Jones', 'Agricultural project', '2021-09-24', '2021-09-25', '2021-09-21', '2021-09-30', 400000, 280000);

-- --------------------------------------------------------

--
-- Table structure for table `plregistration`
--

CREATE TABLE `plregistration` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `telephone` int(255) NOT NULL,
  `date` date NOT NULL,
  `gender` varchar(255) NOT NULL,
  `age` int(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `duration` varchar(255) NOT NULL,
  `problem` text NOT NULL,
  `address` varchar(255) NOT NULL,
  `file` mediumblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `plregistration`
--

INSERT INTO `plregistration` (`id`, `name`, `telephone`, `date`, `gender`, `age`, `country`, `duration`, `problem`, `address`, `file`) VALUES
(1, 'Mama Lucy Njanga', 563456345, '2021-12-14', 'Female', 46, 'Angola', '21 years', 'waste pain and malaria with small typhoid', 'quarter one', 0x366336376433393832373233393864653230393438633263613063623163333132396239623530642d4361707475726531322e504e47),
(2, 'Mr Jeremiah', 6345643, '2021-12-14', 'Male', 62, 'Bahamas', '14 years', 'Very big belle and poverty join', 'backside', 0x396339393232323365393039663931343961363733333436343937363438633634363131653633332d436170747572652e504e47);

-- --------------------------------------------------------

--
-- Table structure for table `products`
--

CREATE TABLE `products` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `stock` int(255) NOT NULL,
  `price` int(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `image` mediumblob NOT NULL,
  `pack_items` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `products`
--

INSERT INTO `products` (`id`, `name`, `description`, `stock`, `price`, `type`, `image`, `pack_items`) VALUES
(4, 'Jacket', 'Jean Jacket will keep you warmJean Jacket will keep you warmJean Jacket will keep you warmJean Jacket will keep you warmJean Jacket will keep you warmJean Jacket will keep you warmJean Jacket will keep you warm', 58, 17000, 'single', 0x356664663539356164343439336632376664633039663337333637343564393562366234343935632d3135612e6a7067, ''),
(6, 'Pullover', 'It keeps you warm in times of cold It keeps you warm in times of coldIt keeps you warm in times of coldIt keeps you warm in times of coldIt keeps you warm in times of coldIt keeps you warm in times of coldIt keeps you warm in times of coldIt keeps you warm in times of cold', 72, 15000, 'single', 0x663938663637383838363937616465313538333861326661666438663037363730336166623534392d31332e6a7067, ''),
(7, 'Smart Phone', 'This is the best smart phone you would want to useThis is the best smart phone you would want to useThis is the best smart phone you would want to useThis is the best smart phone you would want to useThis is the best smart phone you would want to useThis is the best smart phone you would want to useThis is the best smart phone you would want to useThis is the best smart phone you would want to useThis is the best smart phone you would want to use', 77, 75000, 'single', 0x663266386365366335663366643665393038613464653835316438656362353536613034303032622d706578656c732d6c6973612d313039323634342e6a7067, ''),
(8, 'Vegetables and fruits', 'eat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthyeat healthy, grow healthy', 53, 64000, 'pack', 0x353961376534346637343033383264333363663365623134393263333334383330633165383738382d706578656c732d706978616261792d3236343533372e6a7067, 'carrot, onion, tomato, egg'),
(9, 'Gym equipments', 'Gym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipmentsGym equipments', 157, 54000, 'single', 0x653431373539663038646361613332313832326365393136616433366232643661646565653538392d706578656c732d77696c6c69616d2d63686f7175657474652d313935343532342e6a7067, ''),
(10, 'Grace Water', 'This item is very spiritual and has blessed a lot of people ', 200, 5000, 'single', 0x663262313363383465653532616237653362356236616363386537363937306334326537323639332d576861747341707020496d61676520323032312d30392d323020617420312e32332e333320504d2e6a706567, ''),
(11, 'Laptops', 'very good and affordable laptops for sale', 67, 350000, 'single', 0x363633303463663837303736333764663632396538326434313531386230663536386464653234372d706578656c732d6c7569732d7175696e7465726f2d323134383231372e6a7067, '');

-- --------------------------------------------------------

--
-- Table structure for table `record_offerings`
--

CREATE TABLE `record_offerings` (
  `id` int(11) NOT NULL,
  `service_tag` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `today_date` date NOT NULL,
  `author` varchar(255) NOT NULL,
  `tenk` int(11) NOT NULL,
  `fivek` int(11) NOT NULL,
  `twok` int(11) NOT NULL,
  `onek` int(11) NOT NULL,
  `fivehundred` int(11) NOT NULL,
  `fivehundred2` int(11) NOT NULL,
  `onehundred` int(11) NOT NULL,
  `fifty` int(11) NOT NULL,
  `twentyfive` int(11) NOT NULL,
  `ten` int(11) NOT NULL,
  `five` int(11) NOT NULL,
  `cash` int(255) NOT NULL,
  `mtn_momo` int(255) NOT NULL,
  `orange_money` int(255) NOT NULL,
  `bank` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `record_offerings`
--

INSERT INTO `record_offerings` (`id`, `service_tag`, `date`, `today_date`, `author`, `tenk`, `fivek`, `twok`, `onek`, `fivehundred`, `fivehundred2`, `onehundred`, `fifty`, `twentyfive`, `ten`, `five`, `cash`, `mtn_momo`, `orange_money`, `bank`) VALUES
(1, 'finally', '0000-00-00', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(2, 'finally second time', '0000-00-00', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(3, 'magic', '0000-00-00', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(4, 'magic', '0000-00-00', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(5, 'magic', '0000-00-00', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(6, 'magic', '0000-00-00', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(7, 'Worship and Praise Concert', '0000-00-00', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(8, 'Power Encounter Service', '2021-09-07', '0000-00-00', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(9, 'Annointing of the ground service', '2021-09-08', '0000-00-00', 'Pst Mrs Nukuna', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(10, 'Joy overflow service', '2021-09-08', '0000-00-00', 'Pst Mrs Nukuna', 3, 2, 4, 5, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(11, 'I feel alright service', '2021-09-08', '0000-00-00', 'Pst Mrs Nukuna', 3, 0, 0, 0, 2, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0),
(12, 'God is great service', '2021-09-09', '0000-00-00', 'Pst Mrs Nukuna', 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 10010, 0, 0, 0),
(13, 'mo so ri re service', '2021-09-08', '0000-00-00', 'Pst Mrs Nukuna', 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10000, 0, 0, 0),
(14, 'Everthing works well service', '2021-09-08', '0000-00-00', 'Pst Mrs Nukuna', 3, 0, 2, 0, 0, 0, 0, 5, 0, 0, 7, 34285, 5000, 1200, 110000),
(15, 'Financial recovery', '2021-09-15', '0000-00-00', 'Pst Mrs Nukuna', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6000, 0, 0, 0),
(16, 'Thanksgiving service', '2021-09-01', '0000-00-00', 'Pst Mrs Nukuna', 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70000, 0, 0, 0),
(17, 'Worship and Praise Concert', '2021-09-10', '0000-00-00', 'Pst Mrs Nukuna', 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 500, 0, 0, 0),
(18, 'Worship and end of month Concert', '2021-09-01', '0000-00-00', 'Pst Mrs Nukuna', 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25000, 0, 0, 0),
(19, 'homer simpson service', '2021-09-08', '2021-09-13', 'Pst Mrs Nukuna', 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10000, 0, 0, 0),
(20, 'financial recovery service', '2021-09-09', '2021-09-15', 'Holy Spirit', 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 6000, 0, 0, 0),
(21, 'Gentiles fasting service', '2021-09-06', '2021-09-16', 'Sama Yannick', 7, 3, 5, 0, 0, 0, 4, 0, 0, 0, 0, 95400, 0, 0, 0),
(22, 'God is powerful service', '2021-09-07', '2021-09-16', 'Sama Yannick', 33, 0, 0, 0, 0, 0, 0, 0, 3435, 0, 0, 415875, 345345, 45345345, 2345345),
(23, 'Good service', '2021-09-13', '2021-09-16', 'Sama Yannick', 345, 0, 0, 345, 0, 0, 3453, 0, 0, 0, 0, 4140300, 0, 0, 0),
(24, 'wow service', '2021-09-16', '2021-09-16', 'Sama Yannick', 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 230000, 0, 0, 0),
(25, 'etr retwert ', '2021-09-09', '2021-09-16', 'Sama Yannick', 4545, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45450000, 0, 0, 0),
(26, 'wonderful Jesus service', '2021-09-15', '2021-09-16', 'paul nwokocha', 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120000, 0, 0, 0),
(27, 'ohipopo service', '2021-09-15', '2021-09-16', 'paul nwokocha', 0, 0, 33, 0, 2, 0, 0, 0, 0, 0, 0, 67000, 0, 0, 0),
(28, 'grand and glorious service', '2021-09-10', '2021-09-16', 'paul nwokocha', 5, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 50400, 24234, 342343, 345345),
(29, 'grand and glorious service', '2021-09-10', '2021-09-16', 'paul nwokocha', 5, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 50400, 24234, 342343, 345345),
(30, 'power encounter service', '2021-09-09', '2021-09-16', 'paul nwokocha', 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70000, 0, 0, 0),
(31, 'God of the zero hour service', '2021-09-16', '2021-09-16', 'paul nwokocha', 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 680000, 45353, 345345345, 34534534),
(32, 'amazing zion service', '2021-09-14', '2021-09-16', 'paul nwokocha', 0, 0, 4, 0, 30, 3, 224, 2443, 0, 0, 0, 169050, 13000, 1100, 30000),
(33, 'Spirit of miracles', '2021-09-15', '2021-09-16', 'paul nwokocha', 5, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 53200, 345435, 345455, 5555),
(34, 'bootstrap service', '2021-09-10', '2021-09-16', 'paul nwokocha', 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 10005, 1, 1, 1),
(35, 'Happiness service', '2021-09-15', '2021-09-16', 'paul nwokocha', 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 0, 36825, 3000, 12000, 500),
(36, 'impressive service', '2021-09-09', '2021-09-16', 'paul nwokocha', 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 0, 36825, 6500, 12000, 11000),
(37, 'oh my God service', '2021-09-15', '2021-09-16', 'paul nwokocha', 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 230000, 0, 0, 0),
(38, 'small error service', '2021-09-02', '2021-09-16', 'paul nwokocha', 6, 0, 0, 0, 4, 0, 3, 0, 0, 0, 0, 62300, 0, 0, 0),
(39, 'Glory to God service', '2021-09-17', '2021-09-16', 'paul nwokocha', 5, 4, 3, 2, 1, 2, 3, 4, 5, 6, 7, 80220, 2222, 1111, 3333),
(40, 'Thanksgiving service', '2021-09-15', '2021-09-16', 'paul nwokocha', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(41, 'grand and glorious service', '2021-09-15', '2021-09-16', 'paul nwokocha', 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 0, 36825, 5436456, 3345, 654665),
(42, 'financial recovery service', '2021-09-16', '2021-09-16', 'paul nwokocha', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(43, 'awesome service', '2021-09-15', '2021-09-16', 'Sama Yannick', 1, 2, 3, 0, 4, 0, 5, 0, 0, 0, 0, 28500, 3244, 23434, 544333),
(44, 'marital open doors service', '2021-09-19', '2021-09-18', 'Sama Yannick', 34, 0, 0, 34, 0, 0, 0, 34, 0, 0, 0, 375700, 23423, 43534534, 2342),
(45, 'marital open doors service', '2021-09-19', '2021-09-18', 'Sama Yannick', 34, 0, 0, 34, 0, 0, 0, 34, 0, 0, 0, 375700, 23423, 43534534, 2342),
(46, 'ground service', '2021-09-30', '2021-09-18', 'Sama Yannick', 345, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 3484000, 225346, 364563, 3456346),
(47, 'Power Encounter', '2021-09-02', '2021-09-20', 'Sama Yannick', 56, 63, 786, 7896, 8796, 0, 0, 0, 0, 0, 0, 14741000, 2, 79, 879),
(48, 'Power Encounter', '2021-09-02', '2021-09-20', 'Sama Yannick', 56, 63, 786, 7896, 8796, 0, 0, 0, 0, 0, 0, 14741000, 2, 79, 879),
(49, 'Power Encounter', '2021-09-02', '2021-09-20', 'Sama Yannick', 56, 63, 786, 7896, 8796, 0, 0, 0, 0, 0, 0, 14741000, 2, 79, 879),
(50, 'Power Encounter', '2021-09-19', '2021-09-20', 'Sama Yannick', 4634, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46340000, 0, 34657, 0),
(51, 'Health Recovery Service', '2021-09-26', '2021-09-27', 'Sama Yannick', 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30000, 0, 0, 0),
(52, 'Health Recovery Service', '2021-09-26', '2021-09-27', 'Sama Yannick', 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30000, 0, 0, 0),
(53, 'Holy ghost fire service', '2021-09-26', '2021-09-27', 'Sama Yannick', 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 10000, 0, 0, 0),
(54, 'power encounter', '2021-10-05', '2021-10-06', 'Sama Yannick', 4, 0, 0, 231, 0, 0, 0, 11, 0, 0, 0, 271550, 600, 0, 0),
(55, 'Power Encounter', '2021-10-28', '2021-10-28', 'Sama Yannick', 5475, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54750000, 0, 0, 0),
(56, 'Power Encounter', '2021-10-28', '2021-10-28', 'Sama Yannick', 5475, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54750000, 0, 0, 0),
(57, 'Power Encounter', '2021-10-28', '2021-10-28', 'Sama Yannick', 5475, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54750000, 0, 0, 0),
(58, 'Power Encounter', '2021-10-28', '2021-10-28', 'Sama Yannick', 5475, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54750000, 0, 0, 0),
(59, 'Power Encounter', '2021-10-28', '2021-10-28', 'Sama Yannick', 5475, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54750000, 0, 0, 0),
(60, 'Power Encounter', '2021-10-28', '2021-10-28', 'Sama Yannick', 5475, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54750000, 0, 0, 0),
(61, 'walls of jericho must fall down flat', '2021-10-29', '2021-10-30', 'Claude Makelele', 3, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 33000, 2000, 0, 0),
(62, 'God of abraham service', '2021-10-28', '2021-10-30', 'Claude Makelele', 1, 2, 3, 4, 0, 0, 0, 0, 0, 0, 0, 30000, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `record_seed`
--

CREATE TABLE `record_seed` (
  `id` int(11) NOT NULL,
  `service_tag` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `today_date` date NOT NULL,
  `author` varchar(255) NOT NULL,
  `seed_type` varchar(255) NOT NULL,
  `sowers` varchar(255) NOT NULL,
  `motive` varchar(255) NOT NULL,
  `reason` text NOT NULL,
  `tenk` int(11) NOT NULL,
  `fivek` int(11) NOT NULL,
  `twok` int(11) NOT NULL,
  `onek` int(11) NOT NULL,
  `fivehundred` int(11) NOT NULL,
  `fivehundred2` int(11) NOT NULL,
  `onehundred` int(11) NOT NULL,
  `fifty` int(11) NOT NULL,
  `twentyfive` int(11) NOT NULL,
  `ten` int(11) NOT NULL,
  `five` int(11) NOT NULL,
  `cash` int(255) NOT NULL,
  `mtn_momo` int(255) NOT NULL,
  `orange_money` int(255) NOT NULL,
  `bank` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `record_seed`
--

INSERT INTO `record_seed` (`id`, `service_tag`, `date`, `today_date`, `author`, `seed_type`, `sowers`, `motive`, `reason`, `tenk`, `fivek`, `twok`, `onek`, `fivehundred`, `fivehundred2`, `onehundred`, `fifty`, `twentyfive`, `ten`, `five`, `cash`, `mtn_momo`, `orange_money`, `bank`) VALUES
(1, 'anointing of the ground service', '2021-09-15', '2021-09-16', 'Sama Yannick', 'pSeed', 'Gandalf', 'ssSeed', 'I passed my final exams, Glory to God!!!', 0, 0, 0, 10, 0, 3, 0, 0, 0, 0, 0, 0, 0, 13500, 0),
(2, 'power encounter service', '2021-09-17', '2021-09-16', 'Sama Yannick', 'Alter Seed', '', '', '', 2, 0, 0, 3, 0, 0, 0, 5, 0, 0, 0, 0, 22000, 0, 0),
(3, 'grand and glorious service', '2021-09-11', '2021-09-16', 'Sama Yannick', 'Personal Seed', 'Harry Potter', 'Specific Seed', 'wow this God is too good oh.', 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(4, 'God of the zero hour service', '2021-09-15', '2021-09-16', 'Sama Yannick', 'Alter Seed', '', '', '', 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(5, 'Spirit of miracles', '2021-09-09', '2021-09-16', 'Sama Yannick', 'Alter Seed', '', '', '', 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(6, 'God of the zero hour service', '2021-09-14', '2021-09-16', 'Sama Yannick', 'Anonymous Seed', '', '', '', 1, 2, 3, 4, 0, 5, 0, 6, 0, 7, 0, 0, 23, 2445, 523),
(7, 'God of the zero hour service', '2021-09-15', '2021-09-16', 'Sama Yannick', 'Personal Seed', 'Tanyi', 'Specific Seed', 'God gave him the contract he wanted', 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(8, 'Spirit of miracles', '2021-09-09', '2021-09-16', 'Sama Yannick', 'Personal Seed', 'Peter Griffin', 'Random Seed', '', 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(9, 'power encounter service', '2021-09-15', '2021-09-16', 'Sama Yannick', 'Personal Seed', 'Tanyi', 'Random Seed', '', 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(10, '', '2021-09-22', '2021-09-16', 'Holy Spirit', 'Personal Seed', 'Harry Potter', 'Random Seed', '', 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(11, '', '2021-09-17', '2021-09-17', 'Sama Yannick', 'Personal Seed', 'Sama Yanick', 'Specific Seed', 'Hellelujha', 1, 3, 0, 2, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0),
(12, 'Amazing zion service', '2021-09-12', '2021-09-18', 'Sama Yannick', 'Personal Seed', 'Jean Claude', 'Specific Seed', 'seed for some random church project', 5, 4, 3, 2, 1, 2, 3, 4, 5, 6, 0, 0, 2453425, 234534, 454);

-- --------------------------------------------------------

--
-- Table structure for table `record_thanksgiving`
--

CREATE TABLE `record_thanksgiving` (
  `id` int(11) NOT NULL,
  `service_tag` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `today_date` date NOT NULL,
  `author` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `details` text NOT NULL,
  `product_name` varchar(255) NOT NULL,
  `product_quantity` int(255) NOT NULL,
  `description` text NOT NULL,
  `tenk` int(255) NOT NULL,
  `fivek` int(255) NOT NULL,
  `twok` int(255) NOT NULL,
  `onek` int(255) NOT NULL,
  `fivehundred` int(255) NOT NULL,
  `fivehundred2` int(255) NOT NULL,
  `onehundred` int(255) NOT NULL,
  `fifty` int(255) NOT NULL,
  `twentyfive` int(255) NOT NULL,
  `ten` int(255) NOT NULL,
  `five` int(255) NOT NULL,
  `mtn_momo` int(255) NOT NULL,
  `orange_money` int(255) NOT NULL,
  `bank` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `record_thanksgiving`
--

INSERT INTO `record_thanksgiving` (`id`, `service_tag`, `date`, `today_date`, `author`, `type`, `details`, `product_name`, `product_quantity`, `description`, `tenk`, `fivek`, `twok`, `onek`, `fivehundred`, `fivehundred2`, `onehundred`, `fifty`, `twentyfive`, `ten`, `five`, `mtn_momo`, `orange_money`, `bank`) VALUES
(1, 'grand and glorious service', '2021-10-03', '2021-10-07', 'Sama Yannick', 'Group', 'sama, ann, ay, bate', 'pineapple', 3, '', 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 123453, 233435, 244424),
(2, 'grand and glorious service', '2021-10-03', '2021-10-07', 'Sama Yannick', 'Group', 'sama, ann, ay, bate', 'pineapple', 3, '', 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 123453, 233435, 244424),
(3, 'grand and glorious service', '2021-10-03', '2021-10-07', 'Sama Yannick', 'Group', 'sama, ann, ay, bate', 'pineapple', 3, '', 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 123453, 233435, 244424),
(4, 'Mary and mattar service', '2021-09-26', '2021-10-07', 'Sama Yannick', 'Others', 'some others like that', 'new bus', 10, 'the best buses in town transformers really like', 33, 2, 4, 6, 88, 24, 4, 6, 5, 6, 6, 11, 345654, 43564),
(5, 'Firstborn service', '2021-09-28', '2021-10-07', 'Sama Yannick', 'Family', 'the tanyi\'s family', '', 0, '', 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(6, 'sing hossana service', '2021-09-27', '2021-10-07', 'Sama Yannick', 'Individual', 'cool details', 'car', 1, 'nice car', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(7, 'sing hossana service', '2021-09-27', '2021-10-07', 'Sama Yannick', 'Individual', 'cool details', 'car', 1, 'nice car', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `record_tithes`
--

CREATE TABLE `record_tithes` (
  `id` int(11) NOT NULL,
  `service_tag` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `today_date` date NOT NULL,
  `author` varchar(255) NOT NULL,
  `tenk` int(11) NOT NULL,
  `fivek` int(11) NOT NULL,
  `twok` int(11) NOT NULL,
  `onek` int(11) NOT NULL,
  `fivehundred` int(11) NOT NULL,
  `fivehundred2` int(11) NOT NULL,
  `onehundred` int(11) NOT NULL,
  `fifty` int(11) NOT NULL,
  `twentyfive` int(11) NOT NULL,
  `ten` int(11) NOT NULL,
  `five` int(11) NOT NULL,
  `cash` int(255) NOT NULL,
  `mtn_momo` int(255) NOT NULL,
  `orange_momo` int(255) NOT NULL,
  `bank` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `record_tithes`
--

INSERT INTO `record_tithes` (`id`, `service_tag`, `date`, `today_date`, `author`, `tenk`, `fivek`, `twok`, `onek`, `fivehundred`, `fivehundred2`, `onehundred`, `fifty`, `twentyfive`, `ten`, `five`, `cash`, `mtn_momo`, `orange_momo`, `bank`) VALUES
(1, 'God of the zero hour service', '2021-09-08', '2021-09-15', 'Holy Spirit', 8, 0, 0, 0, 0, 50, 0, 0, 33, 0, 0, 0, 50000, 0, 10000),
(2, 'word press service', '2021-09-16', '2021-09-16', 'paul nwokocha', 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 10000, 15000, 20000),
(3, 'God of the zero hour service', '2021-09-15', '2021-09-16', 'paul nwokocha', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0),
(4, 'grand and glorious service', '2021-09-21', '2021-09-16', 'paul nwokocha', 6, 0, 0, 15, 0, 33, 0, 0, 0, 0, 0, 0, 5000, 15000, 25000),
(5, 'grand and glorious service', '2021-09-21', '2021-09-16', 'paul nwokocha', 6, 0, 0, 15, 0, 33, 0, 0, 0, 0, 0, 0, 5000, 15000, 25000),
(6, 'Amazing zion service', '2021-09-15', '2021-09-16', 'paul nwokocha', 8, 0, 0, 15, 0, 0, 0, 0, 35, 0, 0, 95875, 3000, 12250, 150000),
(7, 'Glory of God service', '2021-09-15', '2021-09-16', 'paul nwokocha', 3, 0, 0, 9, 0, 0, 0, 0, 0, 6, 0, 39060, 15500, 0, 8200),
(8, 'er tre twertw', '2021-09-15', '2021-09-16', 'paul nwokocha', 3, 0, 0, 3, 0, 0, 5, 0, 6, 0, 0, 33650, 2345234, 32453, 34534),
(9, 'er tre twertw', '2021-09-15', '2021-09-16', 'paul nwokocha', 3, 0, 0, 3, 0, 0, 5, 0, 6, 0, 0, 33650, 2345234, 32453, 34534),
(10, 'God of the zero hour service', '2021-09-08', '2021-09-16', 'paul nwokocha', 3, 0, 0, 3, 0, 0, 5, 0, 0, 0, 0, 33500, 234523, 3425, 3454),
(11, 'power encounter service', '2021-09-15', '2021-09-17', 'Holy Spirit', 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50000, 0, 0, 0),
(12, 'God of the zero hour service', '2021-09-16', '2021-09-18', 'Sama Yannick', 2, 0, 0, 5, 0, 0, 7, 0, 0, 8, 0, 25780, 3234, 234234, 43345534),
(13, 'power encounter service', '2021-09-16', '2021-09-18', 'Sama Yannick', 3454, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34540000, 4534523, 2345324, 235442),
(14, 'Spirit of miracles', '2021-09-03', '2021-09-18', 'Sama Yannick', 445, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4450000, 534645, 34564356, 3456),
(15, 'Spirit of miracles', '2021-09-03', '2021-09-18', 'Sama Yannick', 445, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4450000, 534645, 34564356, 3456),
(16, 'grand and glorious service', '2021-09-30', '2021-09-18', 'Sama Yannick', 34, 0, 0, 0, 0, 345, 0, 0, 0, 0, 0, 512500, 43453245, 345234, 2147483647),
(17, 'fsdfsdfsdf', '2021-09-17', '2021-09-18', 'Sama Yannick', 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 350000, 3245345, 234543345, 324533),
(18, 'power encounter service', '2021-09-16', '2021-09-18', 'Sama Yannick', 34, 0, 345, 0, 0, 0, 234, 0, 0, 0, 0, 1053400, 234532, 141234, 563463),
(19, 'Worship and Praise Concert', '2021-09-17', '2021-09-20', 'Sama Yannick', 7878, 7868, 0, 0, 1, 0, 0, 0, 3, 0, 1, 118120580, 582785, 7878, 787),
(20, 'Worship and Praise Concert', '2021-09-17', '2021-09-20', 'Sama Yannick', 7878, 7868, 0, 0, 1, 0, 0, 0, 3, 0, 1, 118120580, 582785, 7878, 787),
(21, 'Worship and Praise Concert', '2021-09-17', '2021-09-20', 'Sama Yannick', 7878, 7868, 0, 0, 1, 0, 0, 0, 3, 0, 1, 118120580, 582785, 7878, 787),
(22, 'Worship and Praise Concert', '0000-00-00', '2021-09-20', 'Sama Yannick', 4567456, 5647, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2147483647, 6456, 456, 4567456);

-- --------------------------------------------------------

--
-- Table structure for table `startstoppl`
--

CREATE TABLE `startstoppl` (
  `id` int(11) NOT NULL,
  `isStart` tinyint(1) NOT NULL,
  `closedDate` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `startstoppl`
--

INSERT INTO `startstoppl` (`id`, `isStart`, `closedDate`) VALUES
(12, 0, '0');

-- --------------------------------------------------------

--
-- Table structure for table `zones`
--

CREATE TABLE `zones` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `code` varchar(255) NOT NULL,
  `coverage` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `zones`
--

INSERT INTO `zones` (`id`, `name`, `code`, `coverage`) VALUES
(1, 'Limbe', 'PC-252', 'It covers Limbe mile 4, right to batoke'),
(3, 'Mutengene', 'PC-527', 'It covers from Tiko till mile 14'),
(4, 'Buea', 'PC-433', 'It takes from Buea town till mile 16'),
(5, 'Douala', 'PC-562', 'This covers all the branches located in douala'),
(6, 'America', 'PC-168', 'This is for churches located within america'),
(7, 'England', 'PC-506', 'For all our churches found in England');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `academic_badge`
--
ALTER TABLE `academic_badge`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `atbicourses`
--
ALTER TABLE `atbicourses`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `atbilecturer`
--
ALTER TABLE `atbilecturer`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `atbioffice`
--
ALTER TABLE `atbioffice`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `atbistudents`
--
ALTER TABLE `atbistudents`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `atbistudentsattendance`
--
ALTER TABLE `atbistudentsattendance`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `atbituition`
--
ALTER TABLE `atbituition`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `branches`
--
ALTER TABLE `branches`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `camarks`
--
ALTER TABLE `camarks`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `contributions`
--
ALTER TABLE `contributions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `departments`
--
ALTER TABLE `departments`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `depmembersmessaging`
--
ALTER TABLE `depmembersmessaging`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `familyrelatives`
--
ALTER TABLE `familyrelatives`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `firsttimers`
--
ALTER TABLE `firsttimers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `fund_campaigns`
--
ALTER TABLE `fund_campaigns`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `gate_checking`
--
ALTER TABLE `gate_checking`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `hospitality`
--
ALTER TABLE `hospitality`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `inventoryequipments`
--
ALTER TABLE `inventoryequipments`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `inventorymovement`
--
ALTER TABLE `inventorymovement`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `itemsbrand`
--
ALTER TABLE `itemsbrand`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `itemscategory`
--
ALTER TABLE `itemscategory`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `memberattendance`
--
ALTER TABLE `memberattendance`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `members`
--
ALTER TABLE `members`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `neversuggest`
--
ALTER TABLE `neversuggest`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notifications`
--
ALTER TABLE `notifications`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notification_computer`
--
ALTER TABLE `notification_computer`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `other_incomes`
--
ALTER TABLE `other_incomes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `pledgers`
--
ALTER TABLE `pledgers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `pledging_info`
--
ALTER TABLE `pledging_info`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `plregistration`
--
ALTER TABLE `plregistration`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `products`
--
ALTER TABLE `products`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `record_offerings`
--
ALTER TABLE `record_offerings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `record_seed`
--
ALTER TABLE `record_seed`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `record_thanksgiving`
--
ALTER TABLE `record_thanksgiving`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `record_tithes`
--
ALTER TABLE `record_tithes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `startstoppl`
--
ALTER TABLE `startstoppl`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `zones`
--
ALTER TABLE `zones`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `academic_badge`
--
ALTER TABLE `academic_badge`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `atbicourses`
--
ALTER TABLE `atbicourses`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `atbilecturer`
--
ALTER TABLE `atbilecturer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `atbioffice`
--
ALTER TABLE `atbioffice`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `atbistudents`
--
ALTER TABLE `atbistudents`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `atbistudentsattendance`
--
ALTER TABLE `atbistudentsattendance`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=30;

--
-- AUTO_INCREMENT for table `atbituition`
--
ALTER TABLE `atbituition`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `branches`
--
ALTER TABLE `branches`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `camarks`
--
ALTER TABLE `camarks`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=171;

--
-- AUTO_INCREMENT for table `contributions`
--
ALTER TABLE `contributions`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;

--
-- AUTO_INCREMENT for table `departments`
--
ALTER TABLE `departments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `depmembersmessaging`
--
ALTER TABLE `depmembersmessaging`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `familyrelatives`
--
ALTER TABLE `familyrelatives`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=148;

--
-- AUTO_INCREMENT for table `firsttimers`
--
ALTER TABLE `firsttimers`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `fund_campaigns`
--
ALTER TABLE `fund_campaigns`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=50;

--
-- AUTO_INCREMENT for table `gate_checking`
--
ALTER TABLE `gate_checking`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `hospitality`
--
ALTER TABLE `hospitality`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `inventoryequipments`
--
ALTER TABLE `inventoryequipments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `inventorymovement`
--
ALTER TABLE `inventorymovement`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `itemsbrand`
--
ALTER TABLE `itemsbrand`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `itemscategory`
--
ALTER TABLE `itemscategory`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `memberattendance`
--
ALTER TABLE `memberattendance`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=54;

--
-- AUTO_INCREMENT for table `members`
--
ALTER TABLE `members`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=41;

--
-- AUTO_INCREMENT for table `neversuggest`
--
ALTER TABLE `neversuggest`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `notifications`
--
ALTER TABLE `notifications`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT for table `notification_computer`
--
ALTER TABLE `notification_computer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `other_incomes`
--
ALTER TABLE `other_incomes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `pledgers`
--
ALTER TABLE `pledgers`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

--
-- AUTO_INCREMENT for table `pledging_info`
--
ALTER TABLE `pledging_info`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=60;

--
-- AUTO_INCREMENT for table `plregistration`
--
ALTER TABLE `plregistration`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `products`
--
ALTER TABLE `products`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `record_offerings`
--
ALTER TABLE `record_offerings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=63;

--
-- AUTO_INCREMENT for table `record_seed`
--
ALTER TABLE `record_seed`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `record_thanksgiving`
--
ALTER TABLE `record_thanksgiving`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `record_tithes`
--
ALTER TABLE `record_tithes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;

--
-- AUTO_INCREMENT for table `startstoppl`
--
ALTER TABLE `startstoppl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `zones`
--
ALTER TABLE `zones`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
