<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
	
	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$full_name = $row['name'];
    include "includes/sidebar.php";

?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Departmental Finance Management</h3>
                <p class="text-subtitle text-muted">Departmental financial section where all departmental contribustions and transaction can be seen</p>
                
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Departmental Finance</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<?php
	include 'database/config2.php';
	
	$coffquery = "SELECT * FROM contributions WHERE type='Deposit'";
	$coffstmt = $conn->prepare($coffquery);
	$coffstmt->execute();
	$deposit = 0;
	while ($coffrow = $coffstmt->fetch(PDO::FETCH_ASSOC)){
		$deposit = $deposit + $coffrow['amount'];
	}
	
	
	$perquery = "SELECT * FROM contributions WHERE type='Deposit' ORDER BY id DESC LIMIT 1";
	$perstmt=$conn->prepare($perquery);
	$perstmt->execute();
	$perrow = $perstmt->fetch(PDO::FETCH_ASSOC);

	$persumquery = "SELECT * FROM contributions WHERE type='Deposit'";
	$persumstmt=$conn->prepare($persumquery);
	$persumstmt->execute();
	$cofferSum = 0;
	while($persumrow = $persumstmt->fetch(PDO::FETCH_ASSOC))
	{
		if($persumrow['id'] == $perrow['id']){
			$cofferSum = $cofferSum + 0;
		} else {
		$cofferSum = $cofferSum + $persumrow['amount'];
		}
	}

	
	$coffquery2 = "SELECT * FROM contributions WHERE type='Withdrawal'";
	$coffstmt2 = $conn->prepare($coffquery2);
	$coffstmt2->execute();
	$withdraw = 0;
	while ($coffrow2 = $coffstmt2->fetch(PDO::FETCH_ASSOC)){
		$withdraw = $withdraw + $coffrow2['amount'];
	}
	
	
	$perquery2 = "SELECT * FROM contributions WHERE type='Withdrawal' ORDER BY id DESC LIMIT 1";
	$perstmt2=$conn->prepare($perquery2);
	$perstmt2->execute();
	$perrow2 = $perstmt2->fetch(PDO::FETCH_ASSOC);

	$persumquery2 = "SELECT * FROM contributions WHERE type='Withdrawal'";
	$persumstmt2=$conn->prepare($persumquery2);
	$persumstmt2->execute();
	$cofferSum2 = 0;
	while($persumrow2 = $persumstmt2->fetch(PDO::FETCH_ASSOC))
	{
		if($persumrow2['id'] == $perrow2['id']){
			$cofferSum2 = $cofferSum2 + 0;
		} else {
		$cofferSum2 = $cofferSum2 + $persumrow2['amount'];
		}
	}
	
	
	$coffquery3 = "SELECT * FROM contributions WHERE type='Deposit' AND motive='Coffers'";
	$coffstmt3 = $conn->prepare($coffquery3);
	$coffstmt3->execute();
	$cofferstotal = 0;
	while ($coffrow3 = $coffstmt3->fetch(PDO::FETCH_ASSOC)){
		$cofferstotal = $cofferstotal + $coffrow3['amount'];
	}
	
	$coffquery4 = "SELECT * FROM contributions WHERE type='Deposit' AND motive='Media'";
	$coffstmt4 = $conn->prepare($coffquery4);
	$coffstmt4->execute();
	$mediatotal = 0;
	while ($coffrow4 = $coffstmt4->fetch(PDO::FETCH_ASSOC)){
		$mediatotal = $mediatotal + $coffrow4['amount'];
	}
	
	$coffquery5 = "SELECT * FROM contributions WHERE type='Deposit' AND (motive != 'Media' AND motive != 'Coffers')";
	$coffstmt5 = $conn->prepare($coffquery5);
	$coffstmt5->execute();
	$randomtotal = 0;
	while ($coffrow5 = $coffstmt5->fetch(PDO::FETCH_ASSOC)){
		$randomtotal = $randomtotal + $coffrow5['amount'];
	}
	
?>

<section>
    <div class="row">
        <div class="col col-sm-8">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h4>Total transactions</h4></div>
                    <div class="card-body">
                        <div class="row ">
                            <div class="col-sm-3 col-sm-6">
                                <div class="homeCard l-bg-cherry">
                                    <div class="card-statistic-3 p-4">
                                        <div class="card-icon card-icon-large"><i class="fas fa-hand-holding-usd"></i></i></div>
                                        <div class="mb-4">
                                            <h2 class="card-title mb-0" style="color: white !important; font-weight: 400;">Total Deposite</h2>
                                        </div>
                                        <div class="row align-items-center mb-2 d-flex">
                                            <div class="col-8">
                                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                                    <?php echo number_format($deposit);?>
                                                </h2>
                                            </div>
                                            <div class="col-4 text-right">
                                                <span style="color: green !important;">
												
												<?php
											
											if(($cofferSum == 0) && ($perrow['amount'] > 0)){
												$percentage = 100;
											} else if(($cofferSum == 0) && ($perrow['amount'] == 0)) {
												$percentage = 0;
											}
											else {
											$percentage = ($perrow['amount'] * 100) / $cofferSum;
											}
											echo round($percentage, 1); ?>%
												<i class="fa fa-arrow-up"></i></span>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-3 col-sm-6">
                                <div class="homeCard l-bg-blue-dark">
                                    <div class="card-statistic-3 p-4">
                                        <div class="card-icon card-icon-large"><i class="fas fa-sign-out-alt"></i></div>
                                        <div class="mb-4">
                                            <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Total Withdrawals</h2>
                                        </div>
                                        <div class="row align-items-center mb-2 d-flex">
                                            <div class="col-8">
                                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                                    <?php echo number_format($withdraw);?>
                                                </h2>
                                            </div>
                                            <div class="col-4 text-right" style="color: white !important;">
                                                <span class="text-danger">
											<?php
											
											if(($cofferSum2 == 0) && ($perrow2['amount'] > 0)){
												$percentage2 = 100;
											} else if(($cofferSum2 == 0) && ($perrow2['amount'] == 0)) {
												$percentage2 = 0;
											}
											else {
											$percentage2 = ($perrow2['amount'] * 100) / $cofferSum2;
											}
											echo round($percentage2, 1); ?>%
												<i class="fa fa-arrow-down"></i></span>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col col-sm-4">
            <div class="homeCard l-bg-green-dark">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-dollar-sign"></i></div>
                        <div class="mb-4">
                            <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Total Available Balance</h2>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h1 class="d-flex align-items-center mb-0" style="color: white !important; font-size: 80px;">
                                    <?php 
										echo number_format($cofferstotal - $withdraw);
									?>
                                </h1>
                            </div>
                            <div class="col-4 text-right" style="color: white !important;">
                                <span>Only Coffers</span>
                            </div>
                        </div>

                    </div>
                </div>
        </div>
    </div>
</section>



<section>
    <div class="container">
        <div class="row">
            <div class="col-xl-3 col-md-6">
                <div class="card bg-pattern">
                    <div class="card-body">
                        <div class="float-right">
                        <i class="fas fa-photo-video fa-3x"></i>
                        </div>
                        <h5 class="font-size-20 mt-0 pt-1"><?php echo number_format($mediatotal)?></h5>
                        <p class="text-muted mb-0">Total <b>Media</b> Collected</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-md-6">
                <div class="card bg-pattern">
                    <div class="card-body">
                        <div class="float-right">
                            <i class="fas fa-piggy-bank fa-3x"></i>
                        </div>
                        <h5 class="font-size-20 mt-0 pt-1"><?php echo number_format($cofferstotal)?></h5>
                        <p class="text-muted mb-0">Total <b>Coffers</b> Collected</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-md-6">
                <div class="card bg-pattern">
                    <div class="card-body">
                        <div class="float-right">
                            <i class="fas fa-random fa-3x"></i>
                        </div>
                        <h5 class="font-size-20 mt-0 pt-1"><?php echo number_format($randomtotal)?></h5>
                        <p class="text-muted mb-0">Random Contributions</p>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-md-6">
                <div class="card">
                    <div class="card-body">
                        <form>
                            <div class="form-group mb-0">
                                <label>Search</label>
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search ID..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- end row -->

        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive project-list">
						<?php
							$que = "SELECT * FROM departments ORDER BY id DESC";
							$statement = $conn->prepare($que);
							$statement->execute();
							$num = $statement->rowCount(); 
							if($num>0){
								echo "
								
								<table class='table project-table table-centered table-nowrap'>
                                <thead>
                                    <tr>
                                        <th scope='col' class='text-center'>#</th>
                                        <th scope='col' class='text-center'>Department</th>
                                        <th scope='col' class='text-center'>Last Transaction ID</th>
                                        <th scope='col' class='text-center'>Last Transaction Type</th>
                                        <th scope='col' class='text-center'>Team</th>
                                        <th scope='col' class='text-center'>Coffers Balance</th>
                                        <th scope='col' class='text-center'>Action</th>
                                    </tr>
                                </thead>
                                <tbody id='myDepts'>";
								while ($brow = $statement->fetch(PDO::FETCH_ASSOC)){
									
									
									
										$leaderPhotoquery = "SELECT * FROM members WHERE depId = :id AND position = 'Leader' ";
										$finsecPhotoquery = "SELECT * FROM members WHERE depId = :id AND position = 'Financial Secretary' ";
										
										$leaderstmt = $conn->prepare($leaderPhotoquery);
										$leaderstmt->bindParam(':id', $brow['id']);
										$leaderstmt->execute();
										$leadernum = $leaderstmt->rowCount();
										$leaderrow = $leaderstmt->fetch(PDO::FETCH_ASSOC);
										
										$finsecstmt = $conn->prepare($finsecPhotoquery);
										$finsecstmt->bindParam(':id', $brow['id']);
										$finsecstmt->execute();
										$finsecnum = $finsecstmt->rowCount();
										$finsecrow = $finsecstmt->fetch(PDO::FETCH_ASSOC);
										
										
										$transquery = "SELECT * FROM contributions WHERE departmentId = :id ORDER BY id DESC LIMIT 1";
										$transtmt = $conn->prepare($transquery);
										$transtmt->bindParam(':id', $brow['id']);
										$transtmt->execute();
										$transnum = $transtmt->rowCount();
										$transrow = $transtmt->fetch(PDO::FETCH_ASSOC);
										
										
										$wwquery2 = "SELECT * FROM contributions WHERE departmentId = :id AND (motive='Coffers' OR type='Withdrawal')";
										$wwstmt2=$conn->prepare($wwquery2);
										$wwstmt2->bindParam(':id', $brow['id']);
										$wwstmt2->execute();
										$coffersReceived = 0;

										while ($wwrow2 = $wwstmt2->fetch(PDO::FETCH_ASSOC)){
											if($wwrow2['type'] == 'Withdrawal'){
												$coffersReceived = $coffersReceived - $wwrow2['amount'];
											} else if($wwrow2['type'] == 'Deposit'){
												$coffersReceived = $coffersReceived + $wwrow2['amount'];
											}
										}

										
										
									echo"
                                    <tr>
                                        <th scope='row' class='text-center'>{$brow['id']}</th>
                                        <td class='text-center'>{$brow['name']}</td>
                                        <td class='text-center'>"; 
										
										if($transnum == 0){
											$tid = 'None';
											$ttype = 'None';
										} else if($transnum > 0){
											$tid = $transrow['transactionId'];
											$ttype = $transrow['type'];
										}
										
										echo"{$tid}</td>
                                        <td class='text-center'>";
										
										if($ttype == 'Deposit'){
											?>
											<span class='badge bg-success'>Deposit</span>
											<?php
										} else if($ttype == 'Withdrawal'){
											?>
											<span class='badge bg-info'>Withdrawal</span>
											<?php
										} else if($ttype == 'Pending') {
											?>
											<span class='badge bg-warning'>Pending</span>
											<?php
										} else if($ttype == 'Rejected'){
											?>
											<span class='badge bg-danger'>Rejected</span>
											<?php
										} else {
											echo "None";
										}
										
                                            
											echo"
                                        </td>
                                        <td class='text-center'>
                                            <div class'team'>
											<a href='javascript: void(0);' class='team-member' data-toggle='tooltip' data-placement='top' title='' data-original-title='Roger Drake'>"; ?>
												<?php echo $leaderrow['image'] ? "<img src='members-images/{$leaderrow['image']}' class='rounded-circle avatar-xs' alt='' />" : "";  
											echo "</a>";
											echo "
											<a href='javascript: void(0);' class='team-member' data-toggle='tooltip' data-placement='top' title='' data-original-title='Roger Drake'>"; ?>
												<?php echo $finsecrow['image'] ? "<img src='members-images/{$finsecrow['image']}' class='rounded-circle avatar-xs' alt='' />" : "";  
											echo "</a>
                                            </div>
                                        </td>
                                        <td class='text-center'>
                                            <h3 class='mb-0 text-center'>"; ?> <?php echo number_format($coffersReceived); echo "</h3>
                                        </td>

                                        <td class='text-center'>
                                            <div class='action'>
                                                <a href='depaccount.php?id={$brow['id']}' class='text-success mr-4' data-toggle='tooltip' data-placement='top' title='' data-original-title='Edit'> <i class='fa fa-eye h5 m-0'></i></a>
                                            </div>
                                        </td>
                                    </tr>";
								}
								echo"
                                </tbody>
                            </table>
								
								";
						 
							}
						 
							else{
							echo "<div class='alert alert-danger'>No departments found.</div>";
							}
						?>
                            
                        </div>
                        <!-- end project-list -->
                    </div>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
</section>




<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<?php
    include "includes/footer.php" ;
?>