<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    if(isset($_GET['pid'])){
        $yId = $_GET['pid'];
    
        $yquery = "SELECT * FROM products WHERE id=$yId LIMIT 1";
        $idstmts = $conn->prepare($yquery);
        $idstmts->execute();
        
        $idrows = $idstmts->fetch(PDO::FETCH_ASSOC);
        
        extract($idrows);
    }

?>

<section>
<div class="homCard" style="margin-left:25%">
    <div class="modal__container">
      <div class="modal__featured">
        <button type="button" class="button--transparent button--close" onclick="goBack()">
          <svg class="nc-icon glyph" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="32px" height="32px" viewBox="0 0 32 32">
            <g><path fill="#ffffff" d="M1.293,15.293L11,5.586L12.414,7l-8,8H31v2H4.414l8,8L11,26.414l-9.707-9.707 C0.902,16.316,0.902,15.684,1.293,15.293z"></path> </g></svg>
        </button>
        <div class="modal__circle"></div>
        <!-- <img src="#" class="modal__product" id="blah" title="Please Select an Image" style="max-width: 90%; margin-top:160px" />-->
		<?php echo $image ? "<img class='modal__product' id='blah' src='fbc-items-images/{$image}' style='width:100px; margin-top:160px;' />" : "No image found.";  ?>
      </div>
      <div class="modal__content">
        <h2>Edit Product</h2> <br>
		<?php

        // check if form was submitted
        if(isset($_POST['editProduct'])){
            
            try{
            
                $update_products_query = "SELECT * FROM products WHERE id = $yId LIMIT 0,1";
                $update_products_stmt = $conn->prepare( $update_products_query );
                
                // execute our query
                $update_products_stmt->execute();
                
                // store retrieved row to a variable
                $update_products_row = $update_products_stmt->fetch(PDO::FETCH_ASSOC);
                
                
                $updating_products_query = "UPDATE products
                            SET name=:name, description=:description, stock=:stock, price=:price, type=:type, image=:image, pack_items=:pack_items
                            WHERE id = :id";
            
                // prepare query for excecution
                $updating_products_stmt = $conn->prepare($updating_products_query);
            
                
                if (empty($_POST['editPName'])){
                    $editPName = "";
                }
                else if (!empty($_POST['editPName'])){
                    $editPName = htmlspecialchars(strip_tags($_POST['editPName']));
                }
                if (empty($_POST['editPDescription'])){
                    $editPDescription = "";
                }
                else if (!empty($_POST['editPDescription'])){
                    $editPDescription=htmlspecialchars(strip_tags($_POST['editPDescription']));
                }
                if (empty($_POST['editPStock'])){
                    $editPStock = "";
                }
                else if (!empty($_POST['editPStock'])){
                    $editPStock=htmlspecialchars(strip_tags($_POST['editPStock']));
                }
                if (empty($_POST['editPPrice'])){
                    $editPPrice = "";
                }
                else if (!empty($_POST['editPPrice'])){
                    $editPPrice=htmlspecialchars(strip_tags($_POST['editPPrice']));
                }
                if (empty($_POST['eidtPType'])){
                    $eidtPType = "";
                }
                else if (!empty($_POST['eidtPType'])){
                    $eidtPType=htmlspecialchars(strip_tags($_POST['eidtPType']));
                }
                if (empty($_POST['editPackItems'])){
                    $editPackItems = "";
                }
                else if (!empty($_POST['editPackItems'])){
                    $editPackItems=htmlspecialchars(strip_tags($_POST['editPackItems']));
                }
                if (empty($_POST['image'])){
                    $image = $image;
                }
                else if (!empty($_POST['image'])){
                    //$editPImage=htmlspecialchars(strip_tags($_POST['editPackItems']));
                    
                    $image=!empty($_FILES["image"]["name"])
                            ? sha1_file($_FILES['image']['tmp_name']) . "-" . basename($_FILES["image"]["name"])
                            : "";
                    $image=htmlspecialchars(strip_tags($image));
                }
                
                // bind the parameters
                $updating_products_stmt->bindParam(':name', $editPName);
                $updating_products_stmt->bindParam(':description', $editPDescription);
                $updating_products_stmt->bindParam(':stock', $editPStock);
                $updating_products_stmt->bindParam(':price', $editPPrice);
                $updating_products_stmt->bindParam(':type', $eidtPType);
                $updating_products_stmt->bindParam(':image', $image);
                $updating_products_stmt->bindParam(':pack_items', $editPackItems);
                $updating_products_stmt->bindParam(':id', $id);
            
                // Execute the query
                if($updating_products_stmt->execute()){
                    echo "<div class='alert alert-success'>Information updated successfully.</div>";
                    if($image){
            
                        // sha1_file() function is used to make a unique file name
                        $target_directory = "fbc-items-images/";
                        $target_file = $target_directory . $image;
                        $file_type = pathinfo($target_file, PATHINFO_EXTENSION);
                        
                        
                        // make sure certain file types are allowed
                        $allowed_file_types=array("jpg", "jpeg", "png", "gif");
                        if(!in_array($file_type, $allowed_file_types)){
                            $file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
                        }
                        // make sure file does not exist
                        if(file_exists($target_file)){
                            $file_upload_error_messages.="<div>Image already exists. Try to change file name.</div>";
                        }
                        
                        // make sure the image folder exists
                        // if not, create it
                        if(!is_dir($target_directory)){
                            mkdir($target_directory, 0777, true);
                        }
                        // if $file_upload_error_messages is still empty
                        if(empty($file_upload_error_messages)){
                            // it means there are no errors, so try to upload the file
                            if(move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)){
                                // it means photo was uploaded
                            }else{
                                echo "<div class='alert alert-danger'>
                                    <div>Unable to upload photo.</div>
                                    <div>Update the record to upload photo.</div>
                                </div>";
                            }
                        }
                            
                        // if $file_upload_error_messages is NOT empty
                        else{
                            // it means there are some errors, so show them to user
                            echo "<div class='alert alert-danger'>
                                <div>{$file_upload_error_messages}</div>
                                <div>Update the record to upload photo.</div>
                            </div>";
                        }
                    }
                }else{
                    echo "<div class='alert alert-danger'>Unable to update the information properly. Please try again.</div>";
                }
            
            }
            
            // show errors
            catch(PDOException $exception){
                die('ERROR: ' . $exception->getMessage());
            }
        }
        ?>
		<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?pid={$id}");?>" method="POST">
          <ul class="form-list">
            <li class="form-list__row">
              <label>Item name</label>
              <input type="text" name="editPName" value="" />
            </li>
            <li class="form-list__row">
              <label>Description</label>
                <textarea name="editPDescription" id="" cols="45" rows="2" class="form-control"></textarea>
            </li>
            <li class="form-list__row form-list__row--inline">
              <div>
                <label>Details</label>
                <div class="form-list__input-inline">
                  <!-- <input type="number" name="cc_month" placeholder="Stock"  maxlength="2" required="" />-->
                  <input type="number" name="editPStock" placeholder="Stock"  maxlength="2"  value="<?php echo htmlspecialchars($stock, ENT_QUOTES);  ?>"  />
                  <!--<input type="number" name="cc_year" placeholder="Price"  pattern="\\d*" minlength="2" maxlength="2" required="" />-->
                  <input type="number" name="editPPrice" placeholder="Price"  pattern="\\d*" minlength="2" maxlength="2"  value="<?php echo htmlspecialchars($price, ENT_QUOTES);  ?>"  />
                </div>
              </div>
              <div>
                <label>
                  Type

                  <a href="#cvv-modal" class="button--transparent modal-open button--info">
                    <svg class="nc-icon glyph" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="16px" height="16px" viewBox="0 0 16 16"><g> <path fill="#35a4fb" d="M8,0C3.6,0,0,3.6,0,8s3.6,8,8,8s8-3.6,8-8S12.4,0,8,0z M8,13c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1s1,0.4,1,1 C9,12.6,8.6,13,8,13z M9.5,8.4C9,8.7,9,8.8,9,9v1H7V9c0-1.3,0.8-1.9,1.4-2.3C8.9,6.4,9,6.3,9,6c0-0.6-0.4-1-1-1 C7.6,5,7.3,5.2,7.1,5.5L6.6,6.4l-1.7-1l0.5-0.9C5.9,3.6,6.9,3,8,3c1.7,0,3,1.3,3,3C11,7.4,10.1,8,9.5,8.4z"></path> </g></svg>
                    <span class="visuallyhidden">What is CVV?</span>
                  </a>
                </label>
                <select name="eidtPType" id="prdType" class="groupItems" >
                    <option select disabled></option>
                    <option value=""></option>
                    <option value="single">single</option>
                    <option value="pack">pack</option>
                </select>
               </div>
            </li>
            <div id="prdTypeDiv">
                <li class="form-list__row" id="otherItems">
                    <label>List Pack Items <span class="badge bg-warning">separate each items with a comma</span></label>
                    <input type="text" name="editPackItems" value="<?php echo htmlspecialchars($pack_items, ENT_QUOTES);  ?>">
                </li>
            </div> <br>
            <!--<li>
                <input type="number" name="cc_year" placeholder="Cost/Quantity" value="" />
            </li>  <br> -->
            <li>
              <input type="file" onchange="readURL(this);" name="image" class="form-control" id="customFile" /> 
            </li>
            <br>
            <li>
              <button type="submit" name="editProduct" class="button">Save</button>
            </li>
          </ul>
        </form>
      </div> <!-- END: .modal__content -->
    </div> <!-- END: .modal__container -->
  </div> <!-- END: .modal -->
<!-- Edit product modal -->
</section>

<script>
    function goBack() {
    window.history.back();
    }
</script>


<script>
    jQuery.expr[':'].contains = function(a, i, m) {
    return jQuery(a).text().toUpperCase()
        .indexOf(m[3].toUpperCase()) >= 0;
    };

    $('#search').keyup(function (){
        $('.card').removeClass('d-none');
        var filter = $(this).val(); // get the value of the input, which we filter on
        $('.card-deck').find('.card .card-body h4:not(:contains("'+filter+'"))').parent().parent().addClass('d-none');
    })

    $('#btnSort').click(function (){
        $('.card-deck .card').sort(function(a,b) {
            return $(a).find(".card-title").text() > $(b).find(".card-title").text() ? 1 : -1;
        }).appendTo(".card-deck");
    })
</script>
<?php
include "includes/footer.php" ;
?>