<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
	include "database/config2.php";
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Category not found.');

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Editing Category
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<?php
$retrique = "SELECT * FROM itemscategory WHERE id=$id";
$retristmt = $conn->prepare($retrique);
$retristmt->execute();
$retrirow = $retristmt->fetch(PDO::FETCH_ASSOC);

if(isset($_POST['editCategory'])){
	$updquery = "UPDATE itemscategory SET name=:name WHERE id=$id";
	$updstmt = $conn->prepare($updquery);
	
	$name = htmlspecialchars(strip_tags($_POST['brandName']));
	$updstmt->bindParam(':name', $name);
	
	if($updstmt->execute()){
								echo "<div class='alert alert-success'>Sucessfully updated.</div>";		
	}
}
?>

<section class="container">
    <div class="row">
        <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Edit Broadcasting</h5></div>
                    <div class="card-body">
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
                            <div class="row">
                                <div class="col col-sm-12">
                                    <input type="text" name="brandName" placeholder="Category Name" value="<?php echo htmlspecialchars($retrirow['name'], ENT_QUOTES) ?>" required class="form-control">
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="editCategory" type="submit" class="button">Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-6">
            
        </div>
    </div>
</section>






<?php
include "includes/footer.php" ;
?>