<?php 
	include '../database/config.php';
	
	    session_start();
	
	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
	$isLogin = $row['isLogin'];

    if (!isset($_SESSION['depId'])){
		header("Location: login.php");
	} else {
		if($isLogin == 0){
			unset($_SESSION["depId"]);
			header("Location: login.php");
		}
	}
	
    include "includes/header.php";
    include "includes/sidebar.php";
	
	
		include '../database/config2.php';


	function dateDiffInDays($date1, $date2) 
{
    // Calculating the difference in timestamps
    $diff = strtotime($date2) - strtotime($date1);
      
    // 1 day = 24 hours
    // 24 * 60 * 60 = 86400 seconds
    return abs(round($diff / 86400));
}

	$query2 = "SELECT * FROM members WHERE depId = :departmentalId";
	$stmt2=$conn->prepare($query2);
	$stmt2->bindParam(':departmentalId', $departmentalId);
	$stmt2->execute();
	$num2=$stmt2->rowCount();
	$num3 = 0;
	
	while($row2 = $stmt2->fetch(PDO::FETCH_ASSOC)){
		$interval = dateDiffInDays($row2['date_joined'], date('Y-m-d'));
		if($interval < 2){
			$num3++;
		}
	}
	$num4 = ($num3 * 100)/$num2;
	
	$query3 = "SELECT * FROM members WHERE depId = :departmentalId AND action='Suspended'";
	$stmt3=$conn->prepare($query3);
	$stmt3->bindParam(':departmentalId', $departmentalId);
	$stmt3->execute();
	$num5=$stmt3->rowCount();
	
	$num6 = ($num5 * 100)/$num2;
	
					$passleaderQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Ass. Leader'";
					$assleaderstmt = $conn->prepare($passleaderQuery);
					$assleaderstmt->execute();
					$assleaderrow = $assleaderstmt->fetch(PDO::FETCH_ASSOC);
					
					$pfinsecQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Financial Secretary'";
					$finsecstmt = $conn->prepare($pfinsecQuery);
					$finsecstmt->execute();
					$finsecrow = $finsecstmt->fetch(PDO::FETCH_ASSOC);
					
					$psecretaryQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Secretary'";
					$secretarystmt = $conn->prepare($psecretaryQuery);
					$secretarystmt->execute();
					$secretaryrow = $secretarystmt->fetch(PDO::FETCH_ASSOC);


$wwquery2 = "SELECT * FROM contributions WHERE departmentId=:departmentId AND (motive='Coffers' OR type='Withdrawal') AND isBranch=0";
$wwstmt2=$conn->prepare($wwquery2);
$wwstmt2->bindParam(':departmentId', $departmentalId);
$wwstmt2->execute();
$coffersReceived = 0;

while ($wwrow2 = $wwstmt2->fetch(PDO::FETCH_ASSOC)){
	if($wwrow2['type'] == 'Withdrawal'){
		$coffersReceived = $coffersReceived - $wwrow2['amount'];
	} else if($wwrow2['type'] == 'Deposit'){
	    $coffersReceived = $coffersReceived + $wwrow2['amount'];
	}
}
$perquery = "SELECT * FROM contributions WHERE departmentId=:departmentId AND ((type='Deposit' AND motive='Coffers') OR type='Withdrawal') AND isBranch=0 ORDER BY id DESC LIMIT 1";
$perstmt=$conn->prepare($perquery);
$perstmt->bindParam(':departmentId', $departmentalId);
$perstmt->execute();
$perrow = $perstmt->fetch(PDO::FETCH_ASSOC);

$persumquery = "SELECT * FROM contributions WHERE departmentId=:departmentId AND type='Deposit' AND motive='Coffers' AND isBranch=0";
$persumstmt=$conn->prepare($persumquery);
$persumstmt->bindParam(':departmentId', $departmentalId);
$persumstmt->execute();
$cofferSum = 0;
while($persumrow = $persumstmt->fetch(PDO::FETCH_ASSOC))
{
	if($persumrow['id'] == $perrow['id']){
		$cofferSum = $cofferSum + 0;
	} else {
	$cofferSum = $cofferSum + $persumrow['amount'];
	}
}

	
?>

<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="cord-body">
                <div class="container-fluid">
                    <div id="clock" class="light">
                        <div class="display">
                            <div class="weekdays"></div>
                            <div class="ampm"></div>
                            <div class="alarm"></div>
                            <div class="digits" style="margin-top:-50px"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php
$queryn = "SELECT * FROM notifications WHERE depId=:depId AND state='sent' AND hasRead=0";
	$stmtn=$conn->prepare($queryn);
	$stmtn->bindParam(':depId', $departmentalId);
	$stmtn->execute();
	$rown=$stmtn->fetch(PDO::FETCH_ASSOC);
	$numn=$stmtn->rowCount();
	
?>

<section>
    <div class="col-md-12">
        <div class="row ">
            <div class="col-sm-3 col-sm-6">
                <div class="homeCard l-bg-cherry">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-envelope-open-text"></i></div>
                        <div class="mb-4">
                            <h2 class="card-title mb-0" style="color: white !important; font-weight: 400;">Unread Notifications</h2>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                    <?php echo $numn; ?>
                                </h2>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
            <div class="col-sm-3 col-sm-6">
                <div class="homeCard l-bg-blue-dark">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-users"></i></div>
                        <div class="mb-4">
                            <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Members</h2>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                    <?php echo $num2; ?>
                                </h2>
                            </div>
                            <div class="col-4 text-right" style="color: white !important;">
                                <span><?php echo round($num4, 1); ?>% <i class="fa fa-arrow-up"></i></span>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-green" role="progressbar" data-width="<?php echo ($num3 * 100)/$num2; ?>%" aria-valuenow="<?php echo ($num3 * 100)/$num2; ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo ($num3 * 100)/$num2; ?>%;"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 col-sm-6">
                <div class="homeCard l-bg-green-dark">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-user-times"></i></div>
                        <div class="mb-4">
                            <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Suspended Members</h2>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                    <?php echo $num5; ?>
                                </h2>
                            </div>
                            <div class="col-4 text-right" style="color: white !important;">
                                <span><?php echo round($num6, 1); ?>%</span>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-orange" role="progressbar" data-width="<?php ($num5 * 100)/$num2; ?>%" aria-valuenow="<?php echo ($num5 * 100)/$num2; ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo ($num5 * 100)/$num2; ?>%;"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 col-sm-6">
                <div class="homeCard l-bg-orange-dark">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-dollar-sign"></i></div>
                        <div class="mb-4">
                            <h2 style="color: white !important; font-weight: 400;" class="card-title mb-0">Coffers</h2>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0" style="color: white !important;">
                                    CFA <?php echo number_format($coffersReceived); ?>
                                </h2>
                            </div>
                            <div class="col-4 text-right" style="color: white !important;">
							
									<?php
										if($perrow['type'] == 'Deposit'){
											?>
                                    <span>											
											<?php
											
											if(($cofferSum == 0) && ($perrow['amount'] > 0)){
												$percentage = 100;
											} else if(($cofferSum == 0) && ($perrow['amount'] == 0)) {
												$percentage = 0;
											}
											else {
											$percentage = ($perrow['amount'] * 100) / $cofferSum;
											}
											echo round($percentage, 1); ?>% <i class="fa fa-arrow-up"></i>
									</span>
											<?php
										} else if($perrow['type'] == 'Withdrawal'){
											?>
                                    <span>											
											<?php
											
											if(($cofferSum == 0) && ($perrow['amount'] > 0)){
												$percentage = 100;
											} else if(($cofferSum == 0) && ($perrow['amount'] == 0)) {
												$percentage = 0;
											}
											else {
											$percentage = ($perrow['amount'] * 100) / $cofferSum;
											}
											echo round($percentage, 1); ?>% <i class="fa fa-arrow-down"></i>
									</span>
											<?php
										}
									?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section>
    <div class="container-fluid">
        <div class="departmentalinfo">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-body">
                        <div class="deptcontent">
                            <p class="text-centent">
								<?php
									echo $leaderrow['image'] ? "<img src='../members-images/{$leaderrow['image']}' class='rounded-circle avatar-xl app-profil img-thumbnail' alt='profile-image' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl app-profil' alt='profile-image' >";
									echo $assleaderrow['image'] ? "<img src='../members-images/{$assleaderrow['image']}' class='rounded-circle avatar-xl app-profil img-thumbnail' alt='profile-image' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl app-profil' alt='profile-image' >";
									echo $finsecrow['image'] ? "<img src='../members-images/{$finsecrow['image']}' class='rounded-circle avatar-xl app-profil img-thumbnail' alt='profile-image' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl app-profil' alt='profile-image' >";
									echo $secretaryrow['image'] ? "<img src='../members-images/{$secretaryrow['image']}' class='rounded-circle avatar-xl app-profil img-thumbnail' alt='profile-image' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl app-profil' alt='profile-image' >";
								?>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
<?php
if (isset($_POST['report'])) {
 
    // include database connection
    include '../database/config2.php';
 
    try{
 
        // insert query
        $queryx = "INSERT INTO notification_computer SET date=:date, details=:activity, file=:file, type='activities', departmentId=:departmentId";
 
        // prepare query for execution
        $stmtx = $conn->prepare($queryx);
 
 // new 'image' field
$file=!empty($_FILES["rep"]["name"])
        ? sha1_file($_FILES['rep']['tmp_name']) . "-" . basename($_FILES["rep"]["name"])
        : "";
 
 
        // posted values
        $activity=htmlspecialchars(strip_tags($_POST['activity']));
        $date=date('Y-m-d');
		$file=htmlspecialchars(strip_tags($file));

        // bind the parameters
        $stmtx->bindParam(':departmentId', $departmentalId);
        $stmtx->bindParam(':activity', $activity);
        $stmtx->bindParam(':date', $date);
        $stmtx->bindParam(':file', $file);
 
        if($stmtx->execute()){
            echo "<div class='alert alert-success'>Activity was saved.</div>";

// now, if file is not empty, try to upload the file
if($file){
 
    // sha1_file() function is used to make a unique file name
    $target_directory = "activities/";
    $target_file = $target_directory . $file;
    $file_type = pathinfo($target_file, PATHINFO_EXTENSION);
 
    // error message is empty
    $file_upload_error_messages="";
 // make sure file does not exist
if(file_exists($target_file)){
    $file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
}
 
 // make sure submitted file is not too large, can't be larger than 5 MB
if($_FILES['rep']['size'] > (512000000)){
    $file_upload_error_messages.="<div>File must be less than 500 MB in size.</div>";
}
 
if(!is_dir($target_directory)){
    mkdir($target_directory, 0777, true);
}
 


// if $file_upload_error_messages is still empty
if(empty($file_upload_error_messages)){
    // it means there are no errors, so try to upload the file
    if(move_uploaded_file($_FILES["rep"]["tmp_name"], $target_file)){
        // it means photo was uploaded
    }else{
        echo "<div class='alert alert-danger'>
            <div>Unable to upload file.</div>
            <div>Update the record to upload file.</div>
        </div>";
    }
}
 
// if $file_upload_error_messages is NOT empty
else{
    // it means there are some errors, so show them to user
    echo "<div class='alert alert-danger'>
        <div>{$file_upload_error_messages}</div>
        <div>Update the record to upload file.</div>
    </div>";
}
}
		
        } else {
            echo "<div class='alert alert-danger'>Unable to save activity.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

?>	


				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post" enctype="multipart/form-data" class="updatefeed"> 
                    <div class="body">
                        <div class="media mb-3">
                            <div class="media-body">
                            <textarea class="autosize" name="activity" placeholder="Post departmental Activities..." rows="1" id="note" data-emoji="true" required></textarea>
                            <div class="position-relative">
                                <input type="file" class="d-none" name="rep" accept="audio/*|video/*|video/x-m4v|video/webm|video/x-ms-wmv|video/x-msvideo|video/3gpp|video/flv|video/x-flv|video/mp4|video/quicktime|video/mpeg|video/ogv|.ts|.mkv|image/*|image/heic|image/heif" onchange="previewFiles()" id="inputUp" multiple>
                                <a class="mediaUp mr-4"><i class="material-icons mr-2"  data-tippy="add (Video, Audio, Photo)" onclick="trgger('inputUp')" style=" font-size: 39px !important; padding-bottom: 10px;">perm_media</i></a>
                            </div>
                            </div>
                        </div>
                    </div>
                    <div class="row col-md-12 ml-auto mr-auto preview"></div>
                    <div class="footer" style="float: right">
                        <button type="submit" name="report" class="btn btn-info" style="padding-left: 25px; padding-right: 25px; font-size: 25px">Post</button>
                    </div>
                </form>
<?php
		$conquery2 = "SELECT * FROM notification_computer WHERE departmentId=:depId AND type='activities' ORDER BY id DESC";
		$constmt2 = $conn->prepare($conquery2);
		$constmt2->bindParam(':depId', $departmentalId);
		$constmt2->execute();
		$connum2 = $constmt2->rowCount();
	?>
	

                <h2>Activity Feed</h2>
                <div class="activity-feed">
				
				<?php 
				if($connum2>0){
					while ($conrow2 = $constmt2->fetch(PDO::FETCH_ASSOC)){
						
						echo 
						"<div class='feed-item'>
							<div class='date'>". date('M d', strtotime($conrow2['date']))."</div>
							<div class='text'>{$conrow2['details']}</div>
						</div>";
					}
				 
				}
				else{
					echo "<div class='alert alert-danger'>No activities yet.</div>";
				}
				?>
				
                </div>
            </div>
        </div>
    </div>
</section>


<script>
    $(function(){

// Cache some selectors

var clock = $('#clock'),
    alarm = clock.find('.alarm'),
    ampm = clock.find('.ampm');

// Map digits to their names (this will be an array)
var digit_to_name = 'zero one two three four five six seven eight nine'.split(' ');

// This object will hold the digit elements
var digits = {};

// Positions for the hours, minutes, and seconds
var positions = [
    'h1', 'h2', ':', 'm1', 'm2', ':', 's1', 's2'
];

// Generate the digits with the needed markup,
// and add them to the clock

var digit_holder = clock.find('.digits');

$.each(positions, function(){

    if(this == ':'){
        digit_holder.append('<div class="dots">');
    }
    else{

        var pos = $('<div>');

        for(var i=1; i<8; i++){
            pos.append('<span class="d' + i + '">');
        }

        // Set the digits as key:value pairs in the digits object
        digits[this] = pos;

        // Add the digit elements to the page
        digit_holder.append(pos);
    }

});

// Add the weekday names

var weekday_names = 'MON TUE WED THU FRI SAT SUN'.split(' '),
    weekday_holder = clock.find('.weekdays');

$.each(weekday_names, function(){
    weekday_holder.append('<span>' + this + '</span>');
});

var weekdays = clock.find('.weekdays span');

// Run a timer every second and update the clock

(function update_time(){

    // Use moment.js to output the current time as a string
    // hh is for the hours in 12-hour format,
    // mm - minutes, ss-seconds (all with leading zeroes),
    // d is for day of week and A is for AM/PM

    var now = moment().format("hhmmssdA");

    digits.h1.attr('class', digit_to_name[now[0]]);
    digits.h2.attr('class', digit_to_name[now[1]]);
    digits.m1.attr('class', digit_to_name[now[2]]);
    digits.m2.attr('class', digit_to_name[now[3]]);
    digits.s1.attr('class', digit_to_name[now[4]]);
    digits.s2.attr('class', digit_to_name[now[5]]);

    // The library returns Sunday as the first day of the week.
    // Stupid, I know. Lets shift all the days one position down, 
    // and make Sunday last

    var dow = now[6];
    dow--;

    // Sunday!
    if(dow < 0){
        // Make it last
        dow = 6;
    }

    // Mark the active day of the week
    weekdays.removeClass('active').eq(dow).addClass('active');

    // Set the am/pm text:
    ampm.text(now[7]+now[8]);

    // Schedule this function to be run again in 1 sec
    setTimeout(update_time, 1000);

})();

// Switch the theme

$('a.button').click(function(){
    clock.toggleClass('light dark');
});

});

</script>
<?php 
    include "includes/footer.php";
?>