<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	


?>

<section>
    <!-- View Product Report modal -->
<div class="homeCard">
  <div class="card-content">
    <div class="card-header" style="background-color: white;">
        <button onclick="goBack()" class="button">Go Back</button>
    </div>
        <div class="card-body" style="background-color: #f2f2f2;">
            <div class="row">
                <div class="col col-9">
                    <div class="card">
                        <div class="card-header"></div>
                        <div class="card-body">
                            <br><br>
                            <div class="container">
                                <div class="row">
                                    <div class="col col-md-4 " id='totalSales'>
                                        <div class="text-center">
                                            <span style="color: white; font-weight: 700">Total Sales</span>
                                            <h1 style="color: white">6,000,000</h1>
                                            <span style="color: white; font-weight: 700">Since the day of creation</span>
                                        </div>
                                    </div>
                                    <div class="col col-md-4" id='totDiscounts'>
                                        <div class="text-center">
                                            <span style="color: white; font-weight: 700">Total discount</span>
                                                <h1 style="color: white">554,000</h1>
                                            <span style="color: white; font-weight: 700">Since the day of creation</span>
                                        </div>
                                    </div>
                                    <div class="col col-md-4" id='currentStock'>
                                        <div class="text-center">
                                            <span style="color: white; font-weight: 700">As at now, 250/250 <i class="fas fa-caret-up fa-3x" style="color: green"></i> <i class="fas fa-caret-down fa-3x" style="color: red"></i></span>
                                            <h1 style="color: white">Grace Water</h1>
                                            <span style="color: white; font-weight: 700">is available</span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                                <br><br>

                            <div class="container">
                                <h2 class="text-center">Sales History</h2>
                            <div >

                            </div>
                            <div class="form-group"> 
                                <select class="display" name="state" id="maxRows">
                                    <option value="5000">Show ALL Rows</option>
                                    <option value="2">2</option>
                                    <option value="5">5</option>
                                    <option value="10">10</option>
                                    <option value="15">15</option>
                                    <option value="20">20</option>
                                    <option value="50">50</option>
                                    <option value="70">70</option>
                                    <option value="100">100</option>
                                </select>
                                <label for="entries">entries per page</label>
                                <input type="text" id="myInput" onkeyup="myTableSearch()" placeholder="Search for names.." title="Type in a name">
                            </div>

                                <table class="table table-striped table-class" id= "table-id">
                                    <tr>
                                        <th>S/N</th>
                                        <th>Date</th>
                                        <th>Quantity Sold</th>
                                        <th>Original Amount</th>
                                        <th>Discounted Amount</th>
                                        <th>Losses</th>
                                        <th>Income</th>
                                        <th>Comments</th>
                                        <th>Done by</th>
                                    </tr>
                                    <tr>
                                        <td>551</td>
                                        <td>Oct 26, 2015</td>
                                        <td>241</td>
                                        <td>10,000</td>
                                        <td>
                                            5,000
                                            <div class="progress progress-danger  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width:50%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">50%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-danger">5,000</span>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">1,205,000</span>
                                        </td>
                                        <td>The Shepherd gave a discount because of the times we are in</td>
                                        <td>
                                            <div class='avatar avatar-xl'>
                                                <?php echo "<img src='fbc-items-images/{$image}' alt='User'>" ; ?> Pst N. Perculiar
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>551</td>
                                        <td>Oct 26, 2015</td>
                                        <td>241</td>
                                        <td>10,000</td>
                                        <td>
                                            5,000
                                            <div class="progress progress-danger  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width:50%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">50%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-danger">5,000</span>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">1,205,000</span>
                                        </td>
                                        <td>The Shepherd gave a discount because of the times we are in</td>
                                        <td>
                                            <div class='avatar avatar-xl'>
                                                <?php echo "<img src='fbc-items-images/{$image}' alt='User'>" ; ?> Pst N. Perculiar
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>551</td>
                                        <td>Oct 26, 2015</td>
                                        <td>241</td>
                                        <td>10,000</td>
                                        <td>
                                            5,000
                                            <div class="progress progress-danger  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width:50%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">50%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-danger">5,000</span>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">1,205,000</span>
                                        </td>
                                        <td>The Shepherd gave a discount because of the times we are in</td>
                                        <td>
                                            <div class='avatar avatar-xl'>
                                                <?php echo "<img src='fbc-items-images/{$image}' alt='User'>" ; ?> Pst N. Perculiar
                                            </div>
                                        </td>
                                    </tr>
                                   <tr>
                                        <td>551</td>
                                        <td>Oct 26, 2015</td>
                                        <td>241</td>
                                        <td>10,000</td>
                                        <td>
                                            5,000
                                            <div class="progress progress-danger  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width:50%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">50%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-danger">5,000</span>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">1,205,000</span>
                                        </td>
                                        <td>The Shepherd gave a discount because of the times we are in</td>
                                        <td>
                                            <div class='avatar avatar-xl'>
                                                <?php echo "<img src='fbc-items-images/{$image}' alt='User'>" ; ?> Pst N. Perculiar
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>551</td>
                                        <td>Oct 26, 2015</td>
                                        <td>241</td>
                                        <td>10,000</td>
                                        <td>
                                            5,000
                                            <div class="progress progress-danger  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width:50%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">50%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-danger">5,000</span>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">1,205,000</span>
                                        </td>
                                        <td>The Shepherd gave a discount because of the times we are in</td>
                                        <td>
                                            <div class='avatar avatar-xl'>
                                                <?php echo "<img src='fbc-items-images/{$image}' alt='User'>" ; ?> Pst N. Perculiar
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </div> <!--End of Container -->
                        </div>
                        <div class="card-footer"></div>
                    </div>
                </div>

                <!--Campeign Overview -->
                <div class="col col-3">
                    <div class="card">
                        <div class="card-header">
                            <p>Grace Water</p><hr>
                        </div>
                        <div class="card-body">
                            <img src="assets/images/product.jpg" alt="user profile" width="100%;">
                        </div>
                        <div class="card-footer">
                           
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header">
                            <p>Stock Refill History</p><hr>
                            
                            
                            <table class='table table-striped' id='table1'>
                                <thead>
                                    <tr>
                                        <th scope='col'  style='text-align: center;' style='text-align: center;'>Date</th>
                                        <th scope='col'  style='text-align: center;' style='text-align: center;'>Quantity</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                    <tr>
                                        <td style='text-align: center;'>25 Dec, 2021</td>
                                        <td style='text-align: center;'>50</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</section>

<script>
    function goBack() {
    window.history.back();
    }
</script>
<?php
include "includes/footer.php" ;
?>