<?php
if(isset($_POST['sub'])){
	
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
$type=isset($_GET['type']) ? $_GET['type'] : die('ERROR: Record type not found.');
$departmentId=isset($_GET['departmentId']) ? $_GET['departmentId'] : die('ERROR: Departmental id not found.');
$senderId=isset($_GET['senderId']) ? $_GET['senderId'] : die('ERROR: Sender id not found.');
 
    // include database connection
include 'database/config2.php';
 
    try{
		
		if($type == 'report'){
			$subject = 'Departmental Report';
		} else if($type == 'activities'){
			$subject = 'Departmental Activity';
		} else if($type == 'conduct'){
			$subject = 'Member Conduct';
		}
        // insert query
        $query = "INSERT INTO notifications SET subject=:subject, notification=:notification, depId=:depId, date=:date, state='sent', senderId=:senderId";
 
        // prepare query for execution
        $stmt = $conn->prepare($query);
 
        // posted values
        $notification=htmlspecialchars(strip_tags($_POST['response']));
        $date=date('Y-m-d H:i:s');

        $stmt->bindParam(':subject', $subject);
        $stmt->bindParam(':notification', $notification);
        $stmt->bindParam(':depId', $departmentId);
        $stmt->bindParam(':date', $date);
        $stmt->bindParam(':senderId', $senderId);


        $query2 = "UPDATE notification_computer SET hasRead=1, reply=:reply WHERE id = :id";
        $stmt2 = $conn->prepare($query2);
		$stmt2->bindParam(':reply', $notification);
		$stmt2->bindParam(':id', $id);


        if($stmt->execute() && $stmt2->execute()){
			header("Location: notifications.php");
        }else{
            echo "<div class='alert alert-danger'>Unable to save record.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>