<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";
	
	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$full_name = $row['name'];
?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Seed Records</h3>
                <p class="text-subtitle text-muted">Please state the exact amount that came in as seed 
                    <a  href="#" class="scripture" title="2 Corinthians 9:10" data-toggle="popover" data-placement="right" data-trigger="hover" 
                        data-content="Now he who supplies seed to the sower and bread for food will also supply and increase your store of seed and will enlarge the harvest of your righteousness.">2 Corinthians 9:10
                    </a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">seed Form</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
 </div>

 

<!-- Multiple addons start -->
<div data-ng-app="" data-ng-init="tenk=0;fivek=0;twok=0;onek=0;fabshi=0;fabshishi=0;piece=0;ngoma=0;twentyfab=0;tenfr=0;fivefr=0;momo=0;orangemomo=0;bank=0">
<section id="multiple-addons">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    
                </div>
				
                <div class="card-content">
					<form action="includes/server.php" method="POST" >
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-6 mb-1">
                                    <div class="row">
                                        <div class="col-sm-12 mb-1">
                                            <div class="form-group has-icon-left">
                                                <div class="position-relative">
                                                    <input type="text" class="form-control"placeholder="Service Tag" id="first-name-icon" name="tag">
                                                    <div class="form-control-icon">
                                                        <i class="fas fa-tags"></i>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-12 mb-1">
                                            <div class="form-group has-icon-left">
                                                <div class="position-relative">
                                                    <input type="date" class="form-control" name="date" max="<?php echo date("Y-m-d")?>"
                                                    placeholder="date" id="first-name-icon" required>
                                                    <div class="form-control-icon">
                                                        <i class="far fa-calendar-alt"></i> 
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-12 mb-1">
                                            <div class="form-group has-icon-left">
                                                <div class="position-relative">
                                                    <input type="text" class="form-control" name="today_date" placeholder="<?php echo date("l d M Y");?>"  value="<?php echo date("l d M Y");?>" readonly>
                                                    <div class="form-control-icon">
                                                        <i class="far fa-calendar-check"></i>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-12 mb-1">
                                            <div class="form-group has-icon-left">
                                                <div class="position-relative">
                                                    <input type="text" class="form-control" name="author" placeholder="<?php echo $full_name; ?>" value="<?php echo $full_name; ?>" readonly>
                                                    <div class="form-control-icon">
                                                        <i class="fas fa-user-edit"></i>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="col-sm-12 mb-1">
                                            <div class="form-group has-icon-left">
                                                <select type="text" class="form-control" name="sType" id="sType" required>
                                                    <option selected disabled>Type of seed...</option>
                                                    <option value="Alter Seed">Alter Seed</option>
                                                    <option value="Personal Seed">Personal Seed</option>
                                                    <option value="Anonymous Seed">Anonymous Seed</option>
                                                </select>
                                            </div>
                                        </div>
										
										<?php
											include 'database/config2.php';

												$sql = "SELECT DISTINCT sowers FROM record_seed WHERE sowers!='' ORDER BY id DESC";
															$stmt = $conn->prepare($sql);
															$stmt->execute();
															 
															// this is how to get number of rows returned
															$num = $stmt->rowCount();
															 
															
												?>

                                        <div class="col-sm-12 mb-1" id="pSeedDiv">
                                            <div class="form-group has-icon-left" id="pSeed">
                                                <input class="form-control" placeholder="Name of Sower" type="text" id="wizards" name="sowers" list="wizards-list">
                                                <datalist id="wizards-list">
                                                    <?php 
														//check if more than 0 record found
															if($num>0){
																// data from database will be here
																while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
																
																	extract($row);
																	?>
																	<option><?php echo "{$sowers}";?></option>
																		
																	<?php			
																}
															 
															}
															 
															// if no records found
															else{
																?>
																<option></option>
																<?php
															}

													?>
                                                </datalist>
                                                <div id="" style="margin-top: 15px;">
                                                    <select type="text" class="form-control" name="mType" id="GType">
                                                        <option selected disabled>Motive</option>
                                                        <option value="Specific Seed">Specific seed</option>
                                                        <option value="Random Seed">Random seed</option>
                                                    </select>
                                                </div>

                                                <div class="col-sm-12 mb-1" id="motiveSeedDiv" style="margin-top: 15px;">
                                                    <div class="form-group has-icon-left" id="motiveSeed">
                                                        <div class="position-relative">
                                                            <textarea name="reason" id="" cols="90" rows="10" placeholder="Shalom, please explain the reason of this seed"></textarea>
                                                            <div class="form-control-icon">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                
                                            </div>
                                        </div>

                                        
                                        <div class="row">
                                            <div class="">
                                                <div class="row text-center">

                                                </div>

                                                <div class="row">

                                                </div>
                                            </div>
                                        <div class="col-sm-6 mb-1">

                                        </div>
                                    </div>
                                    </div>
                                </div>

                                <div class="col-sm-6 mb-1">
                                    <div class="row">
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="tenk" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)"  ng-model="tenk">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">10,000 frs note</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="fivek" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="fivek">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">5,000 frs note</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="twok" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="twok">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">2,000 frs note</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="onek" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="onek">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">1,000 frs note</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="fivehundred" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="fabshi">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">500 frs note</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="fivehundred2" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="fabshishi">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">500 frs coin</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="onehundred" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="piece">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">100 frs coin</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="fifty" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="ngoma">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">50 frs coin</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="twentyfive" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="twentyfab">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">25 frs coin</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="ten" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="tenfr">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">10 frs coin</span>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mb-1">
                                            <div class="input-group">
                                                <input type="number" name="five" min="0" class="form-control" aria-label="Dollar amount (with dot and two decimal places)" ng-model="fivefr">
                                                <span class="input-group-text">*</span>
                                                <span class="input-group-text">5 frs coin</span>
                                            </div>
                                        </div>
                                            <br>
                                            <br>
                                            <br>
                                            <br>
                                        <div class="row text-center">
                                            <div class="col-md-12">
                                                    <h3>Other forms of seeds</h3>
                                            </div>
                                                <br>
                                                <br>
                                                <br>
                                            <div class="col-md-4">
                                                <div style="size: 20px; width: 50%; margin: auto;">
                                                    <img src="assets/images/momo.png" alt="afferred cash" style="size: 20px; width: 100%">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div style="size: 20px; width: 50%; margin: auto;">
                                                    <img src="assets/images/orange_money.png" alt="afferred cash" style="size: 20px; width: 100%">
                                                </div>
                                            </div>

                                            <div class="col-md-4">
                                                <div style="size: 20px; width: 50%; margin: auto;">
                                                    <img src="assets/images/bank.png" alt="afferred cash" style="size: 20px; width: 100%">
                                                </div>
                                            </div>
                                        </div>
                                            <br>
                                        <div class="row">
                                                <br>
                                                <br>
                                            <div class="col-md-4">
                                                <div class="position-relative" style="width: 100%; margin: auto;">
                                                    <input type="number" class="money" min="0" placeholder="" name="mtnmomo" style="display: block; width: 100%; margin: auto;" ng-model="momo">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative" style="width: 100%; margin: auto;">
                                                    <input type="number" class="money" min="0" name="orangemomo" placeholder="" style="display: block; width: 100%; margin: auto;" ng-model="orangemomo">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative" style="width: 100%; margin: auto;">
                                                    <input type="number" class="money" min="0" name="bank" placeholder="" style="display: block; width: 100%; margin: auto;" ng-model="bank">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-12 mb-1">
                                            <div style="margin: 25px;">
                                                <h2 class="text-success">Total: {{tenk * 10000 + fivek * 5000 + twok * 2000 + onek * 1000 + fabshi * 500 + fabshishi * 500 + piece * 100 + ngoma * 50 + twentyfab * 25 + tenfr * 10 + fivefr * 5 + momo + orangemomo + bank}}</h2>
                                            </div>
                                        </div>
                                            
                                            <p class="text-subtitle text-muted">
                                                <input type="checkbox" id="checkbox2" class='form-check-input' required>
                                                I have carefully filled ALL seed amount as received (
                                                <a href="#" class="scripture" title="Leviticus 19:11" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Do not steal. “ ‘Do not lie. “ ‘Do not deceive one another.">Leviticus 19:11</a>)
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div style="float: right;">
                                        <button type="submit" name="val_seed" class="btn btn-outline-primary">
                                            Validate
                                        </button>
                                        <button type="reset"
                                            class="btn btn-light-secondary me-1 mb-1">Reset
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </form>
						</div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
<!-- Multiple addons end -->

<?php
    include "includes/footer.php" ;
?>