<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	


	

if(isset($_GET['did'])){
    $myId = $_GET['did'];

    $myquery = "SELECT * FROM fund_campaigns WHERE id=$myId LIMIT 1";
    $idstmts = $conn->prepare($myquery);
    $idstmts->execute();
    
    $idrows = $idstmts->fetch(PDO::FETCH_ASSOC);
    
    extract($idrows);
}

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Viewing Buy Bus Fund Raising
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container-fluid">
<div class="homeCard" id="viewCampaign" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="card-content">
    <div class="card-header" style="background-color: white;">
	
            <h2 class="modal-title" id="myModalLabel17">Viewing: <?php echo $name;?></h2>
        </div>
        <div class="card-body" style="background-color: #f2f2f2;">
            <div class="row">
                <div class="col col-9">
                    <div class="card">
                        <div class="card-header"></div>
                        <div class="card-body">
                            <h2 class="text-success">Raised: XAF <?php echo number_format($raised);?> 
                                <a href="#"><i class="fas fa-sync-alt" style="color: #d6d2d2;"></i></a>
                            </h2>
                            <div class="progress" style="height: 68px;">
                                <div class="progress-bar progress-bar-striped bg-danger active" role="progressbar" style="width: <?php echo $percentage_complete?>%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"><?php echo $percentage_complete?>% complete</div>
                            </div> 
                            <br>
                            <p style="float: left;">Goal: XAF <?php echo number_format($goal)?></p>
                            <p style="float: right;">Raised: XAF <?php echo number_format($raised);?></p>
                                <br><br>

                            <div class="container">
                            <h5>Name of contributors
                                <a  href="#" class="scripture" title="1 Chronicles 29:2 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                                    data-content="With all my resources I have provided for the temple of my God—gold for the gold work, silver for the silver, 
                                    bronze for the bronze, iron for the iron and wood for the wood, as well as onyx for the settings, turquoise,[a] stones of 
                                    various colors, and all kinds of fine stone and marble—all of these in large quantities.">
                                    <small> 1 Chronicles 29:2</small>
                                </a>
                            </h5>
                            <div>

                            </div>
                            <div class="form-group"> 
                                <select class="display" name="state" id="maxRows">
                                    <option value="5000">Show ALL Rows</option>
                                    <option value="2">2</option>
                                    <option value="5">5</option>
                                    <option value="10">10</option>
                                    <option value="15">15</option>
                                    <option value="20">20</option>
                                    <option value="50">50</option>
                                    <option value="70">70</option>
                                    <option value="100">100</option>
                                </select>
                                <label for="entries">entries per page</label>
                                <input type="text" id="myInput" onkeyup="myTableSearch()" placeholder="Search for names.." title="Type in a name">
                            </div>
			<?php
			 
				// select all data
				$campaign_pledger_query = "SELECT * FROM pledging_info WHERE campaign_name=:campaign_name ORDER BY id DESC";
				$campaign_pledger_stmt = $conn->prepare($campaign_pledger_query);
				$campaign_pledger_stmt->bindParam(':campaign_name', $name);
				$campaign_pledger_stmt->execute();
				 
				// this is how to get number of rows returned
				$campaign_pledger_num = $campaign_pledger_stmt->rowCount();
				//check if more than 0 record found
				if($campaign_pledger_num>0){
				
				
					?>	
			 
                                <table class="table table-striped table-class" id= "table-id">
                                    <tr>
									
									<?php
									//start table
									 
										//creating our table heading
										echo "<th>Name</th>
                                        <th>Date Pledged</th>
                                        <th>Date Redeemed</th>
                                        <th>Amount Pledged</th>
                                        <th>Amount Paid</th>
                                        <th>% Complete</th>
                                        <th>Status</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Home</th>
                                        <th>Method</th>
										";
									 
									// end table
										?>
									
                                    </tr>
									<?php
									while ($campaign_pledger_row = $campaign_pledger_stmt->fetch(PDO::FETCH_ASSOC)){
							
									extract($campaign_pledger_row);
									
														
										$campaign_pledger_query2 = "SELECT * FROM pledgers WHERE id=:pledger_id ORDER BY id DESC";
										$campaign_pledger_stmt2 = $conn->prepare($campaign_pledger_query2);
										$campaign_pledger_stmt2->bindParam(':pledger_id', $pledger_id);
										$campaign_pledger_stmt2->execute();
										$campaign_pledger_num2 = $campaign_pledger_stmt2->rowCount();

										$campaign_pledger_row2 = $campaign_pledger_stmt2->fetch(PDO::FETCH_ASSOC);
										
										if($pledged_date == '0000-00-00'){
											$pldate = "Not yet";
										}else{
											$pldate = date('l d M Y', strtotime($pledged_date));
										}
										
										if($redeemed_date == '0000-00-00'){
											$redate = "Not yet";
										}else{
											$redate = date('l d M Y', strtotime($redeemed_date));
										}
										
									?>
									<tr>
										<?php
											// creating new table row per record
											echo "
												<td>{$pledger_name}</td>
												<td>". $pldate ."</td>
												<td>". $redate ."</td>
												<td>"?>XAF <?php echo number_format($amount_pledged);?> <?php echo "</td>
												<td>"?>XAF <?php echo number_format($amount_paid);?> <?php echo "</td>"
												?> 
													<td>
													<?php
													if($amount_pledged == 0){
														$varPer = 0;
													}else{
														$varPer = ($amount_paid * 100)/$amount_pledged;
														if($varPer > 100)
														{
															$varPer = 100;
														}
													}
													?>
														<div class="progress progress-danger  mb-4">
															<div class="progress-bar progress-bar-striped" role="progressbar" style="width:<?php echo $varPer?>%"
																aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"><?php echo number_format($varPer)?>%
															</div>
														</div>
													</td>
													<td>
													<?php
														if($end == '0000-00-00'){	
															?>
															<span class="badge bg-success">On time</span>								 
															<?php 	
														}else{
															if($end > date("Y-m-d"))
															{ 
														?>
															<span class="badge bg-success">On time</span>								 
																
															<?php 
															}
															else{
										
																?>
															<span class="badge bg-danger">Late</span>
																<?php
															}
														}
													?>
													
													</td>
													<td><?php echo $campaign_pledger_row2['email'] ?></td>
													<td><?php echo $campaign_pledger_row2['phone'] ?></td>
													<td><?php echo $campaign_pledger_row2['address'] ?></td>
													<td>Cash</td>
												
									</tr>
									<?php
	
									}
										?>
								</table>

				<?php
				}
			 
			// if no records found
			else{
				echo "<div class='alert alert-danger'>No one has pledged for this campaign yet.</div>";
			}
			?>                            </div> <!--End of Container -->
                        </div>
                        <div class="card-footer"></div>
                    </div>
                </div>

                <!--Campeign Overview -->
                <div class="col col-3">
                    <div class="card">
                        <div class="card-header">
                            <p>Overview</p><hr>
                        </div>
                        <div class="card-body">
						<?php
							if($end == '0000-00-00'){
								$dateLimit = "No end";
							}else{
								$dateLimit = date('l d M Y', strtotime($end));
							}
						?>
                                <p style="float: ;"><b>Date range:</b><span style="float: right;"><?php echo date('l d M Y', strtotime($start)) ?> - <?php echo $dateLimit; ?></span></p>
                                <p style="float: ;"><b>Goal:</b><span style="float: right;">XAF <?php echo number_format($goal)?></span></p>
								
								<?php
									if($campaign_pledger_num == 0){
										?>
									<p style="float: ;"><b>Pledges:</b><span style="float: right;">Nobody yet</span></p>	
									<?php
									} else if($campaign_pledger_num == 1){?>
									<p style="float: ;"><b>Pledges:</b><span style="float: right;"><?php echo $campaign_pledger_num?> person</span></p>	
									<?php } else { ?>
									<p style="float: ;"><b>Pledges:</b><span style="float: right;"><?php echo $campaign_pledger_num?> people</span></p>	
									<?php }
								?>
							   
                                <p style="float: ;"><b>Pledges Redeemed:</b><span style="float: right;">XAF <?php echo number_format($raised)?></span></p>
                                <p style="float: ;"><b>Balance:</b><span style="float: right;">XAF <?php echo number_format($goal - $raised)?></span></p>
                            
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header">
                            <p>Tracking</p><hr>
                        </div>
                        <div class="card-body">
                            <small><em>Below are payments that were above or bellow the expected amount</em></small>
                            <p style="float: ;"><b>Expected:</b><span style="float: right;">XAF <?php echo number_format($goal)?></span></p>
                            <p style="float: ;"><b>Income:</b><span style="float: right;">XAF <?php echo number_format($raised)?></span></p>
                            <hr>
							<?php
								if($goal > $raised){ ?>
                            <p style="float: ;"><b>Amount above: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="top" data-trigger="hover" data-content="This is the amount that came in above the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
                            <p style="float: ;"><b>Amount below: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="left" data-trigger="hover" data-content="This is the amount that came in below the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;">XAF <?php echo number_format($goal - $raised)?></span></p>
									
							<?php	} else if($goal < $raised){ ?>
                           <p style="float: ;"><b>Amount above: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="top" data-trigger="hover" data-content="This is the amount that came in above the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;">XAF <?php echo number_format($raised - $goal)?></span></p>
                            <p style="float: ;"><b>Amount below: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="left" data-trigger="hover" data-content="This is the amount that came in below the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
								
							<?php   } else {    ?>
                           <p style="float: ;"><b>Amount above: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="top" data-trigger="hover" data-content="This is the amount that came in above the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
                            <p style="float: ;"><b>Amount below: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="left" data-trigger="hover" data-content="This is the amount that came in below the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
								
							<?php   }
							?>
                            <p style="float: ;"><b>Status:</b><span style="float: right;">
								<?php
								if($end == '0000-00-00'){
							if($raised >= $goal){
							?>
								<span class="badge bg-danger">Inactive</span>
							<?php 
							}else{
								?>
								<span class="badge bg-success">Active</span>								
								<?php
							}
						}else{
							if(($raised >= $goal) || ($end <= date("Y-m-d")))
							{ 
								?>
								<span class="badge bg-danger">Inactive</span>
							<?php }
							else{
								?>
								<span class="badge bg-success">Active</span>
								<?php
							}
						}
							?>
						</span></p>
                        
                        </div>
                    </div>
                </div>
            </div>
    </div>
  </div>
</div> 
</section>


<?php
include "includes/footer.php" ;
?>