<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";

	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$full_name = $row['name'];


?>
            <div class="page-heading">
                <div class="page-title">
                    <div class="row">
                        <div class="col-12 col-md-6 order-md-1 order-last">
                            <h3>Record of Offering</h3> 
                            <p class="text-subtitle text-muted">Please state the exact amount that came in as Offering (
                                <a href="#" class="scripture" title="Malachai 3:8" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Will a mere mortal rob God? Yet you rob me. “But you ask, ‘How are we robbing you?’
“In tithes and offerings.">Malachai 3:8</a>)
                            </p> 
                        </div>
                        <div class="col-12 col-md-6 order-md-2 order-first">
                            <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Offering Form</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>

                <!-- Basic Horizontal form layout section start -->
                <section id="basic-horizontal-layouts">
                    <div class="row match-height">
                        <div class="col-md-6 col-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title">Fill all fields <?php $m = date("l m Y"); echo $m; ?></h4>
                                </div>
                                <div class="card-content">
                                    <div class="card-body">
									
									
									
                                        <form class="form form-horizontal" action="ofcal.php" method="POST">
                                            <div class="form-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label>Service Tag</label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="text" class="form-control"
                                                                    placeholder="Service Tag" id="first-name-icon" name="tag">
                                                                <div class="form-control-icon">
                                                                 <i class="fas fa-tags"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <label>Service Date <span class="reqired">*</span></label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="date" class="form-control" max=<?php echo date("Y-m-d")?> name="date"
                                                                    placeholder="date" id="first-name-icon" required>
                                                                <div class="form-control-icon">
                                                                    <i class="far fa-calendar-alt"></i> 
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <label>Today's Date <span class="reqired">*</span></label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="text" class="form-control" name="today_date" placeholder="<?php echo date("l d M Y");?>"  value="<?php echo date("l d M Y");?>" readonly>
                                                                <div class="form-control-icon">
                                                                    <i class="far fa-calendar-check"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <label>Submitted by <span class="reqired">*</span></label>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="text" class="form-control" name="author"
                                                                    placeholder="<?php echo $full_name; ?>" value="<?php echo $full_name; ?>" readonly>
                                                                <div class="form-control-icon">
                                                                    <i class="fas fa-user-edit"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!--Section for bank note values -->
                                                    <div class="col-md-4">
                                                        <img src="assets/images/cash.png" alt="afferred cash" style="size: 20px; float: left; width: 50%">
                                                    </div>
                                                    <div class="col-md-8">
                                                        <p>God bless you. Please in this section, make sure you enter the exact quantity of bank 
                                                            notes and coins available during your count</p>
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="tenk" min="0" placeholder="">
                                                                    <i class=""> * XAF 10,000</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="fivek" min="0" placeholder="">
                                                                    <i class=""> * XAF 5,000</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="twok" min="0" placeholder="">
                                                                    <i class=""> * XAF 2,000</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="onek" min="0" placeholder="">
                                                                    <i class=""> * XAF 1,000</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="fivehundred" min="0" placeholder="">
                                                                    <i class=""> * XAF 500</i>
                                                            </div>
                                                        </div>
                                                        <p>Coins</p>
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="fivehundred2" min="0" placeholder="">
                                                                    <i class=""> * XAF 500</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="onehundred" min="0" placeholder="">
                                                                    <i class=""> * XAF 100</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="fifty" min="0" placeholder="">
                                                                    <i class=""> * XAF 50</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="twentyfive" min="0" placeholder="">
                                                                    <i class=""> * XAF 25</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="ten" min="0" placeholder="">
                                                                    <i class=""> * XAF 10</i>
                                                            </div>
                                                        </div>

                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="number" class="money" name="five" min="0" placeholder="">
                                                                    <i class=""> * XAF 5</i>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                                <br>
                                                <br>
                                                <div class="row text-center">
                                                    <div class="col-md-12">
                                                            <h3>Other forms of offering</h3>
                                                    </div>
                                                        <br>
                                                        <br>
                                                        <br>
                                                    <div class="col-md-4">
                                                        <div style="size: 20px; width: 50%; margin: auto;">
                                                            <img src="assets/images/momo.png" alt="afferred cash" style="size: 20px; width: 100%">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div style="size: 20px; width: 50%; margin: auto;">
                                                            <img src="assets/images/orange_money.png" alt="afferred cash" style="size: 20px; width: 100%">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-4">
                                                        <div style="size: 20px; width: 50%; margin: auto;">
                                                            <img src="assets/images/bank.png" alt="afferred cash" style="size: 20px; width: 100%">
                                                        </div>
                                                    </div>
                                                </div>
                                                    <br>
                                                <div class="row">
                                                        <br>
                                                        <br>
                                                    <div class="col-md-4">
                                                        <div class="position-relative" style="width: 100%; margin: auto;">
                                                            <input type="number" class="money" placeholder="" name="mtnmomo" min="0" style="display: block; width: 100%; margin: auto;">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="position-relative" style="width: 100%; margin: auto;">
                                                            <input type="number" class="money" name="orangemomo" placeholder="" min="0" style="display: block; width: 100%; margin: auto;">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="position-relative" style="width: 100%; margin: auto;">
                                                            <input type="number" class="money" name="bank" placeholder="" min="0" style="display: block; width: 100%; margin: auto;">
                                                        </div>
                                                    </div>
                                                </div>
                                                    <br>
                                                        <br>
                                                    <div class="row">
                                                        <div style="width: 100%; margin: auto;">
                                                            <button type="submit"
                                                                class="btn btn-primary me-1 mb-1" name="submit_button">Calculate
                                                            </button>
                                                            <button type="reset"
                                                                class="btn btn-light-secondary me-1 mb-1">Reset
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- // Basic Horizontal form layout section end -->

<?php
    include "includes/footer.php" ;
?>