<?php 

	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: ../auth-login.php");
    }
	/*
	if ((!isset($_POST['validate'])) || (!isset($_POST['val_tithes'])))
	{
		header("Location:../");
	}
	*/
	include "includes/header.php";
	
	
	?>

<div id="loade"></div>
<div style="display:block;" id="myDivs" class="animate-bottom">
	<div id="page-wrap" class="invoiceBGwaterMark">
		<div class="container-fluid">
			<div class="main">
				<button class="button" id="noprint" type="button" onclick="window.print()" value="print">
					<i class="fas fa-print fa-2x"></i>
				</button>
			</div>
			<page size="A4" layout="landscape" id="printableArea">
				<div class="">
				<div class="row">
					<div class="col col-md-4" style="margin-right: -90px;"><img src="../assets/images/ltmlogo.png" alt="LTM Logo" style="size: 10px; position: absolute;"></div>
					<div style="border-bottom: 2px solid black; margin-bottom: -10px !important; margin-left: 150px !important;">
						<P style="font-size: 25px; font-weight: 700; margin-bottom:0px">AGAPE TRANSFORMING BIBLE INSTITUTE (ATBI)</P>
						<P style="font-size: 15px; font-weight: 400; margin-bottom:0px">OMBE-MUTENGENE CAMEROON</P>
						<p style="font-size: 12px; margin-bottom: -2px !important;">Tel: (+237) 652 848 668 | 675 485 016 <br> email: info@ltmhom.com <br>website: www.ltmhom.com <br></p>
					</div>
				</div>
				<?php
				
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Student not found.');
	include '../database/config2.php';
	
	$checkstudent = "SELECT * FROM atbistudents WHERE id=:id";
	$checkstmt = $conn->prepare($checkstudent);
	$checkstmt->bindParam(':id', $id);
	$checkstmt->execute();
	$checkrow = $checkstmt->fetch(PDO::FETCH_ASSOC);
	if($checkrow['memberId'] == 0){
		$name = $checkrow['studentName'];
		$dob = $checkrow['dob'];
	} else {
		$checkname = "SELECT * FROM members WHERE id=:id AND duplicated_id=0";
		$checknamestmt = $conn->prepare($checkname);
		$checknamestmt->bindParam(':id', $checkrow['memberId']);
		$checknamestmt->execute();
		$checknamerow = $checknamestmt->fetch(PDO::FETCH_ASSOC);
		$name = $checknamerow['name'];
		$dob = $checknamerow['dob'];
	}
	
	$batchinfo = "SELECT * FROM academic_badge WHERE id=:id";
	$batchstmt = $conn->prepare($batchinfo);
	$batchstmt->bindParam(':id', $checkrow['badge']);
	$batchstmt->execute();
	$batchrow = $batchstmt -> fetch(PDO::FETCH_ASSOC);
				?>
					<br>
					<h5 class="text-center" style="color: black !important; margin-bottom: -10px !important;">TRANSCRIPTS</h5> <br>
					<div class="row">
						<div class="col col-md-6">
							<ul style="list-style: none;">
								<li>Matricule No: <b><?php echo htmlspecialchars($checkrow['matricule'], ENT_QUOTES);?></b></li>
								<li>Students Name: <b><?php echo htmlspecialchars($name, ENT_QUOTES);?></b></li>
								<li>Date of Birth: <b><?php echo date('d M Y', strtotime($dob));?></b></li>
							</ul>
						</div>
						<div class="col col-md-6">
							<ul style="list-style: none;">
								<li>Academic Year: <b><?php echo htmlspecialchars($batchrow['acadYear'], ENT_QUOTES);?></b></li>
								<li>Batch: <b><?php echo htmlspecialchars($batchrow['name'], ENT_QUOTES);?></b></li>
								<li>Level: <b>Pastoral Course (PC)</b></li>
							</ul>
						</div>
					</div>
					
					<div class="row">
					
					
						<div class="col col-md-6">
							<h4>First Semester</h4>
						<?php
									$reportquery = "SELECT DISTINCT studentId, courseId FROM camarks WHERE studentId=:studentId AND semester=1";
									$reportstmt = $conn->prepare($reportquery);
									$reportstmt->bindParam(':studentId', $id);
									$reportstmt->execute();								
									$reportnum = $reportstmt->rowCount();
									if($reportnum > 0){
										
										echo "
										<table class='table table-bordered table-striped'>
											<thead>
												<tr>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Code</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Title</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>CV</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Total/100</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Grade</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Remark</th>
												</tr>
											</thead>
											<tbody>
										";
										$subGradePointAverage = 0;
										$totalTotal = 0;
										while($reportrow = $reportstmt->fetch(PDO::FETCH_ASSOC)){
										
										$reportcardquery = "SELECT * FROM camarks WHERE studentId=:studentId AND courseId=:courseId AND semester=1";
											$reportcardstmt = $conn->prepare($reportcardquery);
											$reportcardstmt->bindParam(':studentId', $id);
											$reportcardstmt->bindParam(':courseId', $reportrow['courseId']);
											$reportcardstmt->execute();
											$caMark = 0;
											$examMark = 0;
											$wroteResit = 0;
											while($reportcardrow = $reportcardstmt->fetch(PDO::FETCH_ASSOC)){
												if($reportcardrow['isCa'] == 1){
													$caMark = $reportcardrow['marks'] + $reportcardrow['bonus'];
												} else if($reportcardrow['isExam'] == 1){
													$examMark = $reportcardrow['marks'] + $reportcardrow['bonus'];
												} else if($reportcardrow['isResit'] == 1){
													$examMark = $reportcardrow['marks'];
													$wroteResit = 1;													
												}
											}
											$findCourse = "SELECT * FROM atbicourses WHERE id=:id";
											$findstmt = $conn->prepare($findCourse);
											$findstmt->bindParam(':id', $reportrow['courseId']);
											$findstmt->execute();
											$findrow = $findstmt->fetch(PDO::FETCH_ASSOC);
											$total = $caMark + $examMark;
										echo "
											<tr>
												<td style='padding-top: 0px; padding-bottom: 0px;'>{$findrow['code']}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;'>{$findrow['name']}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;'>{$findrow['cv']}</td>";
																								
												if($wroteResit == 0){
													if($total >= 80){
														$courseGrade = "A";
														$Remark = "Excellent";
														$gradePoint = 4;
														
													} else if($total >= 70 && $total <= 79){
														$courseGrade = "B+";
														$Remark = "Very Good";
														$gradePoint = 3.5;
													} else if($total >= 60 && $total <= 69){
														$courseGrade = "B";
														$Remark = "Good";
														$gradePoint = 3;
													} else if($total >= 55 && $total <= 59){
														$courseGrade = "C+";
														$Remark = "Good";
														$gradePoint = 2.5;
													} else if($total >= 50 && $total <= 54){
														$courseGrade = "C";
														$Remark = "Pass";
														$gradePoint = 2;
													} else if($total >= 45 && $total <= 49){
														$courseGrade = "D+";
														$Remark = "Poor";
														$gradePoint = 1.5;
													} else if($total >= 40 && $total <= 44){
														$courseGrade = "D";
														$Remark = "Poor";
														$gradePoint = 1;
													} else if($total >= 0 && $total <= 39){
														$courseGrade = "F";
														$Remark = "Failed";
														$gradePoint = 0;
													}
												} else if($wroteResit == 1){
													if($total >= 80){
														$courseGrade = "B+";
														$Remark = "Very Good";
														$gradePoint = 3.5;
													} else if($total >= 70 && $total <= 79){
														$courseGrade = "B";
														$Remark = "Good";
														$gradePoint = 3;
													} else if($total >= 60 && $total <= 69){
														$courseGrade = "C+";
														$Remark = "Good";
														$gradePoint = 3;
													} else if($total >= 55 && $total <= 59){
														$courseGrade = "C";
														$Remark = "Pass";
														$gradePoint = 2;
													} else if($total >= 50 && $total <= 54){
														$courseGrade = "D+";
														$Remark = "Poor";
														$gradePoint = 1.5;
													} else if($total >= 45 && $total <= 49){
														$courseGrade = "D";
														$Remark = "Poor";
														$gradePoint = 1;
													} else if($total >= 0 && $total <= 44){
														$courseGrade = "F";
														$Remark = "Failed";
														$gradePoint = 0;
													}
												}
												if($total < 50){
												echo "
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-danger'>{$total}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-danger'>{$courseGrade}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-danger'>{$Remark}</td>
												";	
												} else if($total >= 50){
												echo "
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-success'>{$total}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-success'>{$courseGrade}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-success'>{$Remark}</td>
												";	
												}
												
												echo "
											</tr>
											";
											$totalGradePoint = $findrow['cv'] * $gradePoint;
											$total = $findrow['cv'] * 4;
											$subGradePointAverage = $subGradePointAverage + $totalGradePoint;
											$totalTotal = $totalTotal + $total;
										}
										$GPA1 = ($subGradePointAverage * 4)/$totalTotal;
									} else {
										echo "<div class='alert alert-danger'>Nothing to Show</div>";																				
									}
						?>	
							
								
							</tbody>
						</table>
						<div class="row">
							<div class="col col-md-12">
								<table class="table table-bordered table-striped">
									<tbody>
										<tr>
											<td style="padding-top: 0px; padding-bottom: 0px;">Total GPA</td>
											<th>4</th>
										</tr>
										<tr>
											<td style="padding-top: 0px; padding-bottom: 0px;">Your GPA</td>
										<th><?php echo number_format((float)$GPA1, 2, '.', ''); ?></th>
										</tr>
										<tr>
											<th style="padding-top: 0px; padding-bottom: 0px;">Category</th>
											
										<?php
											if($GPA1 >= 3.6){
												$finalRemark = "First Class";
											} else if($GPA1 >= 3 && $GPA1 < 3.6){
												$finalRemark = "Second Class Upper";
											} else if($GPA1 >= 2.5 && $GPA1 < 3){
												$finalRemark = "Second Class Lower";
											} else if($GPA1 >= 2 && $GPA1 < 2.5){
												$finalRemark = "Pass";
											} else if($GPA1 < 2){
												$finalRemark = "Fail";
											}
											
											if($GPA1 >= 2){
												echo "<th class='text-success'>{$finalRemark}</th>";
											} else {
												echo "<th class='text-danger'>{$finalRemark}</th>";
											}
										?>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
					<div class="col col-md-6">
							<h4>Second Semester</h4>
						<?php
									$reportquery = "SELECT DISTINCT studentId, courseId FROM camarks WHERE studentId=:studentId AND semester=2";
									$reportstmt = $conn->prepare($reportquery);
									$reportstmt->bindParam(':studentId', $id);
									$reportstmt->execute();								
									$reportnum = $reportstmt->rowCount();
									if($reportnum > 0){
										
										echo "
										<table class='table table-bordered table-striped'>
											<thead>
												<tr>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Code</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Title</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>CV</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Total/100</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Grade</th>
													<th style='padding-top: 5px; padding-bottom: 5px;' scope='col'>Remark</th>
												</tr>
											</thead>
											<tbody>
										";
										$subGradePointAverage = 0;
										$totalTotal = 0;
										while($reportrow = $reportstmt->fetch(PDO::FETCH_ASSOC)){
										
										$reportcardquery = "SELECT * FROM camarks WHERE studentId=:studentId AND courseId=:courseId AND semester=2";
											$reportcardstmt = $conn->prepare($reportcardquery);
											$reportcardstmt->bindParam(':studentId', $id);
											$reportcardstmt->bindParam(':courseId', $reportrow['courseId']);
											$reportcardstmt->execute();
											$caMark = 0;
											$examMark = 0;
											$wroteResit = 0;
											while($reportcardrow = $reportcardstmt->fetch(PDO::FETCH_ASSOC)){
												if($reportcardrow['isCa'] == 1){
													$caMark = $reportcardrow['marks'] + $reportcardrow['bonus'];
												} else if($reportcardrow['isExam'] == 1){
													$examMark = $reportcardrow['marks'] + $reportcardrow['bonus'];
												} else if($reportcardrow['isResit'] == 1){
													$examMark = $reportcardrow['marks'];
													$wroteResit = 1;													
												}
											}
											$findCourse = "SELECT * FROM atbicourses WHERE id=:id";
											$findstmt = $conn->prepare($findCourse);
											$findstmt->bindParam(':id', $reportrow['courseId']);
											$findstmt->execute();
											$findrow = $findstmt->fetch(PDO::FETCH_ASSOC);
											$total = $caMark + $examMark;
										echo "
											<tr>
												<td style='padding-top: 0px; padding-bottom: 0px;'>{$findrow['code']}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;'>{$findrow['name']}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;'>{$findrow['cv']}</td>";
																								
												if($wroteResit == 0){
													if($total >= 80){
														$courseGrade = "A";
														$Remark = "Excellent";
														$gradePoint = 4;
														
													} else if($total >= 70 && $total <= 79){
														$courseGrade = "B+";
														$Remark = "Very Good";
														$gradePoint = 3.5;
													} else if($total >= 60 && $total <= 69){
														$courseGrade = "B";
														$Remark = "Good";
														$gradePoint = 3;
													} else if($total >= 55 && $total <= 59){
														$courseGrade = "C+";
														$Remark = "Good";
														$gradePoint = 2.5;
													} else if($total >= 50 && $total <= 54){
														$courseGrade = "C";
														$Remark = "Pass";
														$gradePoint = 2;
													} else if($total >= 45 && $total <= 49){
														$courseGrade = "D+";
														$Remark = "Poor";
														$gradePoint = 1.5;
													} else if($total >= 40 && $total <= 44){
														$courseGrade = "D";
														$Remark = "Poor";
														$gradePoint = 1;
													} else if($total >= 0 && $total <= 39){
														$courseGrade = "F";
														$Remark = "Failed";
														$gradePoint = 0;
													}
												} else if($wroteResit == 1){
													if($total >= 80){
														$courseGrade = "B+";
														$Remark = "Very Good";
														$gradePoint = 3.5;
													} else if($total >= 70 && $total <= 79){
														$courseGrade = "B";
														$Remark = "Good";
														$gradePoint = 3;
													} else if($total >= 60 && $total <= 69){
														$courseGrade = "C+";
														$Remark = "Good";
														$gradePoint = 3;
													} else if($total >= 55 && $total <= 59){
														$courseGrade = "C";
														$Remark = "Pass";
														$gradePoint = 2;
													} else if($total >= 50 && $total <= 54){
														$courseGrade = "D+";
														$Remark = "Poor";
														$gradePoint = 1.5;
													} else if($total >= 45 && $total <= 49){
														$courseGrade = "D";
														$Remark = "Poor";
														$gradePoint = 1;
													} else if($total >= 0 && $total <= 44){
														$courseGrade = "F";
														$Remark = "Failed";
														$gradePoint = 0;
													}
												}
												if($total < 50){
												echo "
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-danger'>{$total}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-danger'>{$courseGrade}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-danger'>{$Remark}</td>
												";	
												} else if($total >= 50){
												echo "
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-success'>{$total}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-success'>{$courseGrade}</td>
												<td style='padding-top: 0px; padding-bottom: 0px;' class='text-success'>{$Remark}</td>
												";	
												}
												
												echo "
											</tr>
											";
											$totalGradePoint = $findrow['cv'] * $gradePoint;
											$total = $findrow['cv'] * 4;
											$subGradePointAverage = $subGradePointAverage + $totalGradePoint;
											$totalTotal = $totalTotal + $total;
										}
										$GPA = ($subGradePointAverage * 4)/$totalTotal;
									} else {
										echo "<div class='alert alert-danger'>Nothing to Show</div>";																				
									}
						?>	
							
								
							</tbody>
						</table>
						<div class="row">
							<div class="col col-md-12">
								<table class="table table-bordered table-striped">
									<tbody>
										<tr>
											<td style="padding-top: 0px; padding-bottom: 0px;">Total GPA</td>
											<th>4</th>
										</tr>
										<tr>
											<td style="padding-top: 0px; padding-bottom: 0px;">Your GPA</td>
										<th><?php echo number_format((float)$GPA, 2, '.', ''); ?></th>
										</tr>
										<tr>
											<th style="padding-top: 0px; padding-bottom: 0px;">Category</th>
											
										<?php
											if($GPA >= 3.6){
												$finalRemark = "First Class";
											} else if($GPA >= 3 && $GPA < 3.6){
												$finalRemark = "Second Class Upper";
											} else if($GPA >= 2.5 && $GPA < 3){
												$finalRemark = "Second Class Lower";
											} else if($GPA >= 2 && $GPA < 2.5){
												$finalRemark = "Pass";
											} else if($GPA < 2){
												$finalRemark = "Fail";
											}
											
											if($GPA >= 2){
												echo "<th class='text-success'>{$finalRemark}</th>";
											} else {
												echo "<th class='text-danger'>{$finalRemark}</th>";
											}
										?>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
					<?php
					
					$cummGPA = ($GPA1 + $GPA)/2;
					?>
					</div>
					<div class="row">
						<div class="col col-md-4">
						<h4>Cummulative GPA</h4>
							<table class="table table-bordered table-striped">
								<tbody>
									<tr>
										<td>Total GPA</td>
										<th>4</th>
									</tr>
									<tr>
										<td>Your GPA</td>
										<th><?php echo number_format((float)$cummGPA, 2, '.', ''); ?></th>
									</tr>
									<tr>
										<th>Category</th>
										<?php
											if($cummGPA >= 3.6){
												$finalRemark3 = "First Class";
											} else if($cummGPA >= 3 && $cummGPA < 3.6){
												$finalRemark3 = "Second Class Upper";
											} else if($cummGPA >= 2.5 && $cummGPA < 3){
												$finalRemark3 = "Second Class Lower";
											} else if($cummGPA >= 2 && $cummGPA < 2.5){
												$finalRemark3 = "Pass";
											} else if($cummGPA < 2){
												$finalRemark3 = "Fail";
											}
											
											if($cummGPA >= 2){
												echo "<th class='text-success'>{$finalRemark3}</th>";
											} else {
												echo "<th class='text-danger'>{$finalRemark3}</th>";
											}
										?>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="col col-md-8" style="border: 2px solid grey">
							<p class="text-center">FOR OFFICIAL USE ONLY</p>
						</div>
					</div>
				</div>
			</page>
		</div>
	</div>




</div>

<script>
	var myVars;

	function myFunctioning() {
	myVars = setTimeout(showPage, 3000);
	}

	function showPage() {
	document.getElementById("loader").style.display = "none";
	document.getElementById("myDivs").style.display = "block";
	}
</script>


<script>
function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents;

     window.print();

     document.body.innerHTML = originalContents;
}
</script>

<script>
	function goBack() {
	window.history.back();
	}
</script>
	
</body>

</html>